package timezone

var tzInfos = map[string]*TzInfo{
	"Africa/Abidjan": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT",
		shortDaylight:      "",
		standardOffset:     0,
		daylightOffset:     0,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "CI",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Africa/Accra": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time",
		longDaylight:       "Ghana Summer Time",
		shortGeneric:       "",
		shortStandard:      "GMT",
		shortDaylight:      "GHST",
		standardOffset:     0,
		daylightOffset:     1200,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+00:20",
		countryCode:        "GH",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1942,
	},
	"Africa/Addis_Ababa": &TzInfo{
		longGeneric:        "",
		longStandard:       "East Africa Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "EAT",
		shortDaylight:      "",
		standardOffset:     10800,
		daylightOffset:     0,
		standardOffsetHHMM: "+03:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "ET",
		isDeprecated:       false,
		linkTo:             "Africa/Nairobi",
		lastDST:            0,
	},
	"Africa/Algiers": &TzInfo{
		longGeneric:        "Central European Time",
		longStandard:       "Central European Standard Time",
		longDaylight:       "Western European Summer Time",
		shortGeneric:       "CET",
		shortStandard:      "CET",
		shortDaylight:      "WEST",
		standardOffset:     3600,
		daylightOffset:     3600,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+01:00",
		countryCode:        "DZ",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1980,
	},
	"Africa/Asmara": &TzInfo{
		longGeneric:        "",
		longStandard:       "East Africa Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "EAT",
		shortDaylight:      "",
		standardOffset:     10800,
		daylightOffset:     0,
		standardOffsetHHMM: "+03:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "ER",
		isDeprecated:       false,
		linkTo:             "Africa/Nairobi",
		lastDST:            0,
	},
	"Africa/Asmera": &TzInfo{
		longGeneric:        "",
		longStandard:       "East Africa Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "EAT",
		shortDaylight:      "",
		standardOffset:     10800,
		daylightOffset:     0,
		standardOffsetHHMM: "+03:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "KE",
		isDeprecated:       true,
		linkTo:             "Africa/Nairobi",
		lastDST:            0,
	},
	"Africa/Bamako": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT",
		shortDaylight:      "",
		standardOffset:     0,
		daylightOffset:     0,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "ML",
		isDeprecated:       false,
		linkTo:             "Africa/Abidjan",
		lastDST:            0,
	},
	"Africa/Bangui": &TzInfo{
		longGeneric:        "West Africa Time",
		longStandard:       "West Africa Standard Time",
		longDaylight:       "",
		shortGeneric:       "WAT",
		shortStandard:      "WAT",
		shortDaylight:      "",
		standardOffset:     3600,
		daylightOffset:     0,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "CF",
		isDeprecated:       false,
		linkTo:             "Africa/Lagos",
		lastDST:            0,
	},
	"Africa/Banjul": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT",
		shortDaylight:      "",
		standardOffset:     0,
		daylightOffset:     0,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "GM",
		isDeprecated:       false,
		linkTo:             "Africa/Abidjan",
		lastDST:            0,
	},
	"Africa/Bissau": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT",
		shortDaylight:      "",
		standardOffset:     0,
		daylightOffset:     0,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "GW",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Africa/Blantyre": &TzInfo{
		longGeneric:        "",
		longStandard:       "Central Africa Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "CAT",
		shortDaylight:      "",
		standardOffset:     7200,
		daylightOffset:     0,
		standardOffsetHHMM: "+02:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "MW",
		isDeprecated:       false,
		linkTo:             "Africa/Maputo",
		lastDST:            0,
	},
	"Africa/Brazzaville": &TzInfo{
		longGeneric:        "West Africa Time",
		longStandard:       "West Africa Standard Time",
		longDaylight:       "",
		shortGeneric:       "WAT",
		shortStandard:      "WAT",
		shortDaylight:      "",
		standardOffset:     3600,
		daylightOffset:     0,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "CG",
		isDeprecated:       false,
		linkTo:             "Africa/Lagos",
		lastDST:            0,
	},
	"Africa/Bujumbura": &TzInfo{
		longGeneric:        "",
		longStandard:       "Central Africa Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "CAT",
		shortDaylight:      "",
		standardOffset:     7200,
		daylightOffset:     0,
		standardOffsetHHMM: "+02:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "BI",
		isDeprecated:       false,
		linkTo:             "Africa/Maputo",
		lastDST:            0,
	},
	"Africa/Cairo": &TzInfo{
		longGeneric:        "Eastern European Time",
		longStandard:       "Eastern European Standard Time",
		longDaylight:       "Eastern European Summer Time",
		shortGeneric:       "EET",
		shortStandard:      "EET",
		shortDaylight:      "EEST",
		standardOffset:     7200,
		daylightOffset:     10800,
		standardOffsetHHMM: "+02:00",
		daylightOffsetHHMM: "+03:00",
		countryCode:        "EG",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2014,
	},
	"Africa/Casablanca": &TzInfo{
		longGeneric:        "Western European Time",
		longStandard:       "Western European Standard Time",
		longDaylight:       "Western European Summer Time",
		shortGeneric:       "WET",
		shortStandard:      "WET",
		shortDaylight:      "WEST",
		standardOffset:     0,
		daylightOffset:     3600,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+01:00",
		countryCode:        "MA",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2038,
	},
	"Africa/Ceuta": &TzInfo{
		longGeneric:        "Central European Time",
		longStandard:       "Central European Standard Time",
		longDaylight:       "Central European Summer Time",
		shortGeneric:       "CET",
		shortStandard:      "CET",
		shortDaylight:      "CEST",
		standardOffset:     3600,
		daylightOffset:     7200,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+02:00",
		countryCode:        "ES",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Africa/Conakry": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT",
		shortDaylight:      "",
		standardOffset:     0,
		daylightOffset:     0,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "GN",
		isDeprecated:       false,
		linkTo:             "Africa/Abidjan",
		lastDST:            0,
	},
	"Africa/Dakar": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT",
		shortDaylight:      "",
		standardOffset:     0,
		daylightOffset:     0,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "SN",
		isDeprecated:       false,
		linkTo:             "Africa/Abidjan",
		lastDST:            0,
	},
	"Africa/Dar_es_Salaam": &TzInfo{
		longGeneric:        "",
		longStandard:       "East Africa Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "EAT",
		shortDaylight:      "",
		standardOffset:     10800,
		daylightOffset:     0,
		standardOffsetHHMM: "+03:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "TZ",
		isDeprecated:       false,
		linkTo:             "Africa/Nairobi",
		lastDST:            0,
	},
	"Africa/Djibouti": &TzInfo{
		longGeneric:        "",
		longStandard:       "East Africa Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "EAT",
		shortDaylight:      "",
		standardOffset:     10800,
		daylightOffset:     0,
		standardOffsetHHMM: "+03:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "DJ",
		isDeprecated:       false,
		linkTo:             "Africa/Nairobi",
		lastDST:            0,
	},
	"Africa/Douala": &TzInfo{
		longGeneric:        "West Africa Time",
		longStandard:       "West Africa Standard Time",
		longDaylight:       "",
		shortGeneric:       "WAT",
		shortStandard:      "WAT",
		shortDaylight:      "",
		standardOffset:     3600,
		daylightOffset:     0,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "CM",
		isDeprecated:       false,
		linkTo:             "Africa/Lagos",
		lastDST:            0,
	},
	"Africa/El_Aaiun": &TzInfo{
		longGeneric:        "Western European Time",
		longStandard:       "Western European Standard Time",
		longDaylight:       "Western European Summer Time",
		shortGeneric:       "WET",
		shortStandard:      "WET",
		shortDaylight:      "WEST",
		standardOffset:     0,
		daylightOffset:     3600,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+01:00",
		countryCode:        "EH",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2038,
	},
	"Africa/Freetown": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT",
		shortDaylight:      "",
		standardOffset:     0,
		daylightOffset:     0,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "SL",
		isDeprecated:       false,
		linkTo:             "Africa/Abidjan",
		lastDST:            0,
	},
	"Africa/Gaborone": &TzInfo{
		longGeneric:        "",
		longStandard:       "Central Africa Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "CAT",
		shortDaylight:      "",
		standardOffset:     7200,
		daylightOffset:     0,
		standardOffsetHHMM: "+02:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "BW",
		isDeprecated:       false,
		linkTo:             "Africa/Maputo",
		lastDST:            0,
	},
	"Africa/Harare": &TzInfo{
		longGeneric:        "",
		longStandard:       "Central Africa Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "CAT",
		shortDaylight:      "",
		standardOffset:     7200,
		daylightOffset:     0,
		standardOffsetHHMM: "+02:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "ZW",
		isDeprecated:       false,
		linkTo:             "Africa/Maputo",
		lastDST:            0,
	},
	"Africa/Johannesburg": &TzInfo{
		longGeneric:        "",
		longStandard:       "South Africa Standard Time",
		longDaylight:       "South Africa Summer Time",
		shortGeneric:       "",
		shortStandard:      "SAST",
		shortDaylight:      "SAST",
		standardOffset:     7200,
		daylightOffset:     10800,
		standardOffsetHHMM: "+02:00",
		daylightOffsetHHMM: "+03:00",
		countryCode:        "ZA",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1944,
	},
	"Africa/Juba": &TzInfo{
		longGeneric:        "",
		longStandard:       "East Africa Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "EAT",
		shortDaylight:      "",
		standardOffset:     10800,
		daylightOffset:     10800,
		standardOffsetHHMM: "+03:00",
		daylightOffsetHHMM: "+03:00",
		countryCode:        "SS",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1985,
	},
	"Africa/Kampala": &TzInfo{
		longGeneric:        "",
		longStandard:       "East Africa Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "EAT",
		shortDaylight:      "",
		standardOffset:     10800,
		daylightOffset:     0,
		standardOffsetHHMM: "+03:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "UG",
		isDeprecated:       false,
		linkTo:             "Africa/Nairobi",
		lastDST:            0,
	},
	"Africa/Khartoum": &TzInfo{
		longGeneric:        "",
		longStandard:       "Central Africa Time",
		longDaylight:       "Central Africa Summer Time",
		shortGeneric:       "",
		shortStandard:      "CAT",
		shortDaylight:      "CAST",
		standardOffset:     7200,
		daylightOffset:     10800,
		standardOffsetHHMM: "+02:00",
		daylightOffsetHHMM: "+03:00",
		countryCode:        "SD",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1985,
	},
	"Africa/Kigali": &TzInfo{
		longGeneric:        "",
		longStandard:       "Central Africa Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "CAT",
		shortDaylight:      "",
		standardOffset:     7200,
		daylightOffset:     0,
		standardOffsetHHMM: "+02:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "RW",
		isDeprecated:       false,
		linkTo:             "Africa/Maputo",
		lastDST:            0,
	},
	"Africa/Kinshasa": &TzInfo{
		longGeneric:        "West Africa Time",
		longStandard:       "West Africa Standard Time",
		longDaylight:       "",
		shortGeneric:       "WAT",
		shortStandard:      "WAT",
		shortDaylight:      "",
		standardOffset:     3600,
		daylightOffset:     0,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "CD",
		isDeprecated:       false,
		linkTo:             "Africa/Lagos",
		lastDST:            0,
	},
	"Africa/Lagos": &TzInfo{
		longGeneric:        "West Africa Time",
		longStandard:       "West Africa Standard Time",
		longDaylight:       "",
		shortGeneric:       "WAT",
		shortStandard:      "WAT",
		shortDaylight:      "",
		standardOffset:     3600,
		daylightOffset:     0,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "NG",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Africa/Libreville": &TzInfo{
		longGeneric:        "West Africa Time",
		longStandard:       "West Africa Standard Time",
		longDaylight:       "",
		shortGeneric:       "WAT",
		shortStandard:      "WAT",
		shortDaylight:      "",
		standardOffset:     3600,
		daylightOffset:     0,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "GA",
		isDeprecated:       false,
		linkTo:             "Africa/Lagos",
		lastDST:            0,
	},
	"Africa/Lome": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT",
		shortDaylight:      "",
		standardOffset:     0,
		daylightOffset:     0,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "TG",
		isDeprecated:       false,
		linkTo:             "Africa/Abidjan",
		lastDST:            0,
	},
	"Africa/Luanda": &TzInfo{
		longGeneric:        "West Africa Time",
		longStandard:       "West Africa Standard Time",
		longDaylight:       "",
		shortGeneric:       "WAT",
		shortStandard:      "WAT",
		shortDaylight:      "",
		standardOffset:     3600,
		daylightOffset:     0,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "AO",
		isDeprecated:       false,
		linkTo:             "Africa/Lagos",
		lastDST:            0,
	},
	"Africa/Lubumbashi": &TzInfo{
		longGeneric:        "",
		longStandard:       "Central Africa Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "CAT",
		shortDaylight:      "",
		standardOffset:     7200,
		daylightOffset:     0,
		standardOffsetHHMM: "+02:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "CD",
		isDeprecated:       false,
		linkTo:             "Africa/Maputo",
		lastDST:            0,
	},
	"Africa/Lusaka": &TzInfo{
		longGeneric:        "",
		longStandard:       "Central Africa Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "CAT",
		shortDaylight:      "",
		standardOffset:     7200,
		daylightOffset:     0,
		standardOffsetHHMM: "+02:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "ZM",
		isDeprecated:       false,
		linkTo:             "Africa/Maputo",
		lastDST:            0,
	},
	"Africa/Malabo": &TzInfo{
		longGeneric:        "West Africa Time",
		longStandard:       "West Africa Standard Time",
		longDaylight:       "",
		shortGeneric:       "WAT",
		shortStandard:      "WAT",
		shortDaylight:      "",
		standardOffset:     3600,
		daylightOffset:     0,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "GQ",
		isDeprecated:       false,
		linkTo:             "Africa/Lagos",
		lastDST:            0,
	},
	"Africa/Maputo": &TzInfo{
		longGeneric:        "",
		longStandard:       "Central Africa Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "CAT",
		shortDaylight:      "",
		standardOffset:     7200,
		daylightOffset:     0,
		standardOffsetHHMM: "+02:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "MZ",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Africa/Maseru": &TzInfo{
		longGeneric:        "",
		longStandard:       "South Africa Standard Time",
		longDaylight:       "South Africa Summer Time",
		shortGeneric:       "",
		shortStandard:      "SAST",
		shortDaylight:      "SAST",
		standardOffset:     7200,
		daylightOffset:     10800,
		standardOffsetHHMM: "+02:00",
		daylightOffsetHHMM: "+03:00",
		countryCode:        "LS",
		isDeprecated:       false,
		linkTo:             "Africa/Johannesburg",
		lastDST:            1944,
	},
	"Africa/Mbabane": &TzInfo{
		longGeneric:        "",
		longStandard:       "South Africa Standard Time",
		longDaylight:       "South Africa Summer Time",
		shortGeneric:       "",
		shortStandard:      "SAST",
		shortDaylight:      "SAST",
		standardOffset:     7200,
		daylightOffset:     10800,
		standardOffsetHHMM: "+02:00",
		daylightOffsetHHMM: "+03:00",
		countryCode:        "SZ",
		isDeprecated:       false,
		linkTo:             "Africa/Johannesburg",
		lastDST:            1944,
	},
	"Africa/Mogadishu": &TzInfo{
		longGeneric:        "",
		longStandard:       "East Africa Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "EAT",
		shortDaylight:      "",
		standardOffset:     10800,
		daylightOffset:     0,
		standardOffsetHHMM: "+03:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "SO",
		isDeprecated:       false,
		linkTo:             "Africa/Nairobi",
		lastDST:            0,
	},
	"Africa/Monrovia": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT",
		shortDaylight:      "",
		standardOffset:     0,
		daylightOffset:     0,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "LR",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Africa/Nairobi": &TzInfo{
		longGeneric:        "",
		longStandard:       "East Africa Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "EAT",
		shortDaylight:      "",
		standardOffset:     10800,
		daylightOffset:     0,
		standardOffsetHHMM: "+03:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "KE",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Africa/Ndjamena": &TzInfo{
		longGeneric:        "West Africa Time",
		longStandard:       "West Africa Standard Time",
		longDaylight:       "",
		shortGeneric:       "WAT",
		shortStandard:      "WAT",
		shortDaylight:      "",
		standardOffset:     3600,
		daylightOffset:     7200,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+02:00",
		countryCode:        "TD",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1980,
	},
	"Africa/Niamey": &TzInfo{
		longGeneric:        "West Africa Time",
		longStandard:       "West Africa Standard Time",
		longDaylight:       "",
		shortGeneric:       "WAT",
		shortStandard:      "WAT",
		shortDaylight:      "",
		standardOffset:     3600,
		daylightOffset:     0,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "NE",
		isDeprecated:       false,
		linkTo:             "Africa/Lagos",
		lastDST:            0,
	},
	"Africa/Nouakchott": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT",
		shortDaylight:      "",
		standardOffset:     0,
		daylightOffset:     0,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "MR",
		isDeprecated:       false,
		linkTo:             "Africa/Abidjan",
		lastDST:            0,
	},
	"Africa/Ouagadougou": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT",
		shortDaylight:      "",
		standardOffset:     0,
		daylightOffset:     0,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "BF",
		isDeprecated:       false,
		linkTo:             "Africa/Abidjan",
		lastDST:            0,
	},
	"Africa/Porto-Novo": &TzInfo{
		longGeneric:        "West Africa Time",
		longStandard:       "West Africa Standard Time",
		longDaylight:       "",
		shortGeneric:       "WAT",
		shortStandard:      "WAT",
		shortDaylight:      "",
		standardOffset:     3600,
		daylightOffset:     0,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "BJ",
		isDeprecated:       false,
		linkTo:             "Africa/Lagos",
		lastDST:            0,
	},
	"Africa/Sao_Tome": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT",
		shortDaylight:      "",
		standardOffset:     0,
		daylightOffset:     0,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "ST",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Africa/Timbuktu": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT",
		shortDaylight:      "",
		standardOffset:     0,
		daylightOffset:     0,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "CI",
		isDeprecated:       true,
		linkTo:             "Africa/Abidjan",
		lastDST:            0,
	},
	"Africa/Tripoli": &TzInfo{
		longGeneric:        "Eastern European Time",
		longStandard:       "Eastern European Standard Time",
		longDaylight:       "Central European Summer Time",
		shortGeneric:       "EET",
		shortStandard:      "EET",
		shortDaylight:      "CEST",
		standardOffset:     7200,
		daylightOffset:     7200,
		standardOffsetHHMM: "+02:00",
		daylightOffsetHHMM: "+02:00",
		countryCode:        "LY",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2013,
	},
	"Africa/Tunis": &TzInfo{
		longGeneric:        "Central European Time",
		longStandard:       "Central European Standard Time",
		longDaylight:       "Central European Summer Time",
		shortGeneric:       "CET",
		shortStandard:      "CET",
		shortDaylight:      "CEST",
		standardOffset:     3600,
		daylightOffset:     7200,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+02:00",
		countryCode:        "TN",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2008,
	},
	"Africa/Windhoek": &TzInfo{
		longGeneric:        "",
		longStandard:       "Central Africa Time",
		longDaylight:       "Central Africa Summer Time",
		shortGeneric:       "",
		shortStandard:      "CAT",
		shortDaylight:      "CAST",
		standardOffset:     7200,
		daylightOffset:     7200,
		standardOffsetHHMM: "+02:00",
		daylightOffsetHHMM: "+02:00",
		countryCode:        "NA",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2017,
	},
	"America/Adak": &TzInfo{
		longGeneric:        "Hawaii-Aleutian Time",
		longStandard:       "Hawaii-Aleutian Standard Time",
		longDaylight:       "Hawaii-Aleutian Daylight Time",
		shortGeneric:       "HAT",
		shortStandard:      "HAST",
		shortDaylight:      "HADT",
		standardOffset:     -36000,
		daylightOffset:     -32400,
		standardOffsetHHMM: "-10:00",
		daylightOffsetHHMM: "-09:00",
		countryCode:        "US",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Anchorage": &TzInfo{
		longGeneric:        "Alaska Time",
		longStandard:       "Alaska Standard Time",
		longDaylight:       "Alaska Daylight Time",
		shortGeneric:       "AKT",
		shortStandard:      "AKST",
		shortDaylight:      "AKDT",
		standardOffset:     -32400,
		daylightOffset:     -28800,
		standardOffsetHHMM: "-09:00",
		daylightOffsetHHMM: "-08:00",
		countryCode:        "US",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Anguilla": &TzInfo{
		longGeneric:        "Atlantic Time",
		longStandard:       "Atlantic Standard Time",
		longDaylight:       "",
		shortGeneric:       "AT",
		shortStandard:      "AST",
		shortDaylight:      "",
		standardOffset:     -14400,
		daylightOffset:     0,
		standardOffsetHHMM: "-04:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "AI",
		isDeprecated:       false,
		linkTo:             "America/Port_of_Spain",
		lastDST:            0,
	},
	"America/Antigua": &TzInfo{
		longGeneric:        "Atlantic Time",
		longStandard:       "Atlantic Standard Time",
		longDaylight:       "",
		shortGeneric:       "AT",
		shortStandard:      "AST",
		shortDaylight:      "",
		standardOffset:     -14400,
		daylightOffset:     0,
		standardOffsetHHMM: "-04:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "AG",
		isDeprecated:       false,
		linkTo:             "America/Port_of_Spain",
		lastDST:            0,
	},
	"America/Araguaina": &TzInfo{
		longGeneric:        "Brasilia Time",
		longStandard:       "Brasilia Standard Time",
		longDaylight:       "Brasilia Summer Time",
		shortGeneric:       "BRT",
		shortStandard:      "BRT",
		shortDaylight:      "BRST",
		standardOffset:     -10800,
		daylightOffset:     -7200,
		standardOffsetHHMM: "-03:00",
		daylightOffsetHHMM: "-02:00",
		countryCode:        "BR",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2013,
	},
	"America/Argentina/Buenos_Aires": &TzInfo{
		longGeneric:        "Argentina Time",
		longStandard:       "Argentina Standard Time",
		longDaylight:       "Argentina Summer Time",
		shortGeneric:       "ART",
		shortStandard:      "ART",
		shortDaylight:      "ARST",
		standardOffset:     -10800,
		daylightOffset:     -7200,
		standardOffsetHHMM: "-03:00",
		daylightOffsetHHMM: "-02:00",
		countryCode:        "AR",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2009,
	},
	"America/Argentina/Catamarca": &TzInfo{
		longGeneric:        "Argentina Time",
		longStandard:       "Argentina Standard Time",
		longDaylight:       "Argentina Summer Time",
		shortGeneric:       "ART",
		shortStandard:      "ART",
		shortDaylight:      "ARST",
		standardOffset:     -10800,
		daylightOffset:     -7200,
		standardOffsetHHMM: "-03:00",
		daylightOffsetHHMM: "-02:00",
		countryCode:        "AR",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2008,
	},
	"America/Argentina/ComodRivadavia": &TzInfo{
		longGeneric:        "Argentina Time",
		longStandard:       "Argentina Standard Time",
		longDaylight:       "Argentina Summer Time",
		shortGeneric:       "ART",
		shortStandard:      "ART",
		shortDaylight:      "ARST",
		standardOffset:     -10800,
		daylightOffset:     -7200,
		standardOffsetHHMM: "-03:00",
		daylightOffsetHHMM: "-02:00",
		countryCode:        "AR",
		isDeprecated:       true,
		linkTo:             "America/Argentina/Catamarca",
		lastDST:            2008,
	},
	"America/Argentina/Cordoba": &TzInfo{
		longGeneric:        "Argentina Time",
		longStandard:       "Argentina Standard Time",
		longDaylight:       "Argentina Summer Time",
		shortGeneric:       "ART",
		shortStandard:      "ART",
		shortDaylight:      "ARST",
		standardOffset:     -10800,
		daylightOffset:     -7200,
		standardOffsetHHMM: "-03:00",
		daylightOffsetHHMM: "-02:00",
		countryCode:        "AR",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2009,
	},
	"America/Argentina/Jujuy": &TzInfo{
		longGeneric:        "Argentina Time",
		longStandard:       "Argentina Standard Time",
		longDaylight:       "Argentina Summer Time",
		shortGeneric:       "ART",
		shortStandard:      "ART",
		shortDaylight:      "ARST",
		standardOffset:     -10800,
		daylightOffset:     -7200,
		standardOffsetHHMM: "-03:00",
		daylightOffsetHHMM: "-02:00",
		countryCode:        "AR",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2008,
	},
	"America/Argentina/La_Rioja": &TzInfo{
		longGeneric:        "Argentina Time",
		longStandard:       "Argentina Standard Time",
		longDaylight:       "Argentina Summer Time",
		shortGeneric:       "ART",
		shortStandard:      "ART",
		shortDaylight:      "ARST",
		standardOffset:     -10800,
		daylightOffset:     -7200,
		standardOffsetHHMM: "-03:00",
		daylightOffsetHHMM: "-02:00",
		countryCode:        "AR",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2008,
	},
	"America/Argentina/Mendoza": &TzInfo{
		longGeneric:        "Argentina Time",
		longStandard:       "Argentina Standard Time",
		longDaylight:       "Argentina Summer Time",
		shortGeneric:       "ART",
		shortStandard:      "ART",
		shortDaylight:      "ARST",
		standardOffset:     -10800,
		daylightOffset:     -7200,
		standardOffsetHHMM: "-03:00",
		daylightOffsetHHMM: "-02:00",
		countryCode:        "AR",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2008,
	},
	"America/Argentina/Rio_Gallegos": &TzInfo{
		longGeneric:        "Argentina Time",
		longStandard:       "Argentina Standard Time",
		longDaylight:       "Argentina Summer Time",
		shortGeneric:       "ART",
		shortStandard:      "ART",
		shortDaylight:      "ARST",
		standardOffset:     -10800,
		daylightOffset:     -7200,
		standardOffsetHHMM: "-03:00",
		daylightOffsetHHMM: "-02:00",
		countryCode:        "AR",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2008,
	},
	"America/Argentina/Salta": &TzInfo{
		longGeneric:        "Argentina Time",
		longStandard:       "Argentina Standard Time",
		longDaylight:       "Argentina Summer Time",
		shortGeneric:       "ART",
		shortStandard:      "ART",
		shortDaylight:      "ARST",
		standardOffset:     -10800,
		daylightOffset:     -7200,
		standardOffsetHHMM: "-03:00",
		daylightOffsetHHMM: "-02:00",
		countryCode:        "AR",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2008,
	},
	"America/Argentina/San_Juan": &TzInfo{
		longGeneric:        "Argentina Time",
		longStandard:       "Argentina Standard Time",
		longDaylight:       "Argentina Summer Time",
		shortGeneric:       "ART",
		shortStandard:      "ART",
		shortDaylight:      "ARST",
		standardOffset:     -10800,
		daylightOffset:     -7200,
		standardOffsetHHMM: "-03:00",
		daylightOffsetHHMM: "-02:00",
		countryCode:        "AR",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2008,
	},
	"America/Argentina/San_Luis": &TzInfo{
		longGeneric:        "Argentina Time",
		longStandard:       "Argentina Standard Time",
		longDaylight:       "Western Argentina Summer Time",
		shortGeneric:       "ART",
		shortStandard:      "ART",
		shortDaylight:      "WARST",
		standardOffset:     -10800,
		daylightOffset:     -10800,
		standardOffsetHHMM: "-03:00",
		daylightOffsetHHMM: "-03:00",
		countryCode:        "AR",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2009,
	},
	"America/Argentina/Tucuman": &TzInfo{
		longGeneric:        "Argentina Time",
		longStandard:       "Argentina Standard Time",
		longDaylight:       "Argentina Summer Time",
		shortGeneric:       "ART",
		shortStandard:      "ART",
		shortDaylight:      "ARST",
		standardOffset:     -10800,
		daylightOffset:     -7200,
		standardOffsetHHMM: "-03:00",
		daylightOffsetHHMM: "-02:00",
		countryCode:        "AR",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2009,
	},
	"America/Argentina/Ushuaia": &TzInfo{
		longGeneric:        "Argentina Time",
		longStandard:       "Argentina Standard Time",
		longDaylight:       "Argentina Summer Time",
		shortGeneric:       "ART",
		shortStandard:      "ART",
		shortDaylight:      "ARST",
		standardOffset:     -10800,
		daylightOffset:     -7200,
		standardOffsetHHMM: "-03:00",
		daylightOffsetHHMM: "-02:00",
		countryCode:        "AR",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2008,
	},
	"America/Aruba": &TzInfo{
		longGeneric:        "Atlantic Time",
		longStandard:       "Atlantic Standard Time",
		longDaylight:       "",
		shortGeneric:       "AT",
		shortStandard:      "AST",
		shortDaylight:      "",
		standardOffset:     -14400,
		daylightOffset:     0,
		standardOffsetHHMM: "-04:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "AW",
		isDeprecated:       false,
		linkTo:             "America/Curacao",
		lastDST:            0,
	},
	"America/Asuncion": &TzInfo{
		longGeneric:        "Paraguay Time",
		longStandard:       "Paraguay Standard Time",
		longDaylight:       "Paraguay Summer Time",
		shortGeneric:       "PYT",
		shortStandard:      "PYT",
		shortDaylight:      "PYST",
		standardOffset:     -14400,
		daylightOffset:     -10800,
		standardOffsetHHMM: "-04:00",
		daylightOffsetHHMM: "-03:00",
		countryCode:        "PY",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2038,
	},
	"America/Atikokan": &TzInfo{
		longGeneric:        "Eastern Time",
		longStandard:       "Eastern Standard Time",
		longDaylight:       "Central Prevailing Time",
		shortGeneric:       "ET",
		shortStandard:      "EST",
		shortDaylight:      "CPT",
		standardOffset:     -18000,
		daylightOffset:     -18000,
		standardOffsetHHMM: "-05:00",
		daylightOffsetHHMM: "-05:00",
		countryCode:        "CA",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1945,
	},
	"America/Atka": &TzInfo{
		longGeneric:        "Hawaii-Aleutian Time",
		longStandard:       "Hawaii-Aleutian Standard Time",
		longDaylight:       "Hawaii-Aleutian Daylight Time",
		shortGeneric:       "HAT",
		shortStandard:      "HAST",
		shortDaylight:      "HADT",
		standardOffset:     -36000,
		daylightOffset:     -32400,
		standardOffsetHHMM: "-10:00",
		daylightOffsetHHMM: "-09:00",
		countryCode:        "US",
		isDeprecated:       true,
		linkTo:             "America/Adak",
		lastDST:            2037,
	},
	"America/Bahia": &TzInfo{
		longGeneric:        "Brasilia Time",
		longStandard:       "Brasilia Standard Time",
		longDaylight:       "Brasilia Summer Time",
		shortGeneric:       "BRT",
		shortStandard:      "BRT",
		shortDaylight:      "BRST",
		standardOffset:     -10800,
		daylightOffset:     -7200,
		standardOffsetHHMM: "-03:00",
		daylightOffsetHHMM: "-02:00",
		countryCode:        "BR",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2012,
	},
	"America/Bahia_Banderas": &TzInfo{
		longGeneric:        "Central Time",
		longStandard:       "Central Standard Time",
		longDaylight:       "Central Daylight Time",
		shortGeneric:       "CT",
		shortStandard:      "CST",
		shortDaylight:      "CDT",
		standardOffset:     -21600,
		daylightOffset:     -18000,
		standardOffsetHHMM: "-06:00",
		daylightOffsetHHMM: "-05:00",
		countryCode:        "MX",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Barbados": &TzInfo{
		longGeneric:        "Atlantic Time",
		longStandard:       "Atlantic Standard Time",
		longDaylight:       "Atlantic Daylight Time",
		shortGeneric:       "AT",
		shortStandard:      "AST",
		shortDaylight:      "ADT",
		standardOffset:     -14400,
		daylightOffset:     -10800,
		standardOffsetHHMM: "-04:00",
		daylightOffsetHHMM: "-03:00",
		countryCode:        "BB",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1980,
	},
	"America/Belem": &TzInfo{
		longGeneric:        "Brasilia Time",
		longStandard:       "Brasilia Standard Time",
		longDaylight:       "Brasilia Summer Time",
		shortGeneric:       "BRT",
		shortStandard:      "BRT",
		shortDaylight:      "BRST",
		standardOffset:     -10800,
		daylightOffset:     -7200,
		standardOffsetHHMM: "-03:00",
		daylightOffsetHHMM: "-02:00",
		countryCode:        "BR",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1988,
	},
	"America/Belize": &TzInfo{
		longGeneric:        "Central Time",
		longStandard:       "Central Standard Time",
		longDaylight:       "Central Daylight Time",
		shortGeneric:       "CT",
		shortStandard:      "CST",
		shortDaylight:      "CDT",
		standardOffset:     -21600,
		daylightOffset:     -18000,
		standardOffsetHHMM: "-06:00",
		daylightOffsetHHMM: "-05:00",
		countryCode:        "BZ",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1983,
	},
	"America/Blanc-Sablon": &TzInfo{
		longGeneric:        "Atlantic Time",
		longStandard:       "Atlantic Standard Time",
		longDaylight:       "Atlantic Daylight Time",
		shortGeneric:       "AT",
		shortStandard:      "AST",
		shortDaylight:      "ADT",
		standardOffset:     -14400,
		daylightOffset:     -10800,
		standardOffsetHHMM: "-04:00",
		daylightOffsetHHMM: "-03:00",
		countryCode:        "CA",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1945,
	},
	"America/Boa_Vista": &TzInfo{
		longGeneric:        "Amazon Time",
		longStandard:       "Amazon Standard Time",
		longDaylight:       "Amazon Summer Time",
		shortGeneric:       "AMT",
		shortStandard:      "AMT",
		shortDaylight:      "AMST",
		standardOffset:     -14400,
		daylightOffset:     -10800,
		standardOffsetHHMM: "-04:00",
		daylightOffsetHHMM: "-03:00",
		countryCode:        "BR",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2000,
	},
	"America/Bogota": &TzInfo{
		longGeneric:        "Colombia Time",
		longStandard:       "Colombia Standard Time",
		longDaylight:       "Colombia Summer Time",
		shortGeneric:       "COT",
		shortStandard:      "COT",
		shortDaylight:      "COST",
		standardOffset:     -18000,
		daylightOffset:     -14400,
		standardOffsetHHMM: "-05:00",
		daylightOffsetHHMM: "-04:00",
		countryCode:        "CO",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1993,
	},
	"America/Boise": &TzInfo{
		longGeneric:        "Mountain Time",
		longStandard:       "Mountain Standard Time",
		longDaylight:       "Mountain Daylight Time",
		shortGeneric:       "MT",
		shortStandard:      "MST",
		shortDaylight:      "MDT",
		standardOffset:     -25200,
		daylightOffset:     -21600,
		standardOffsetHHMM: "-07:00",
		daylightOffsetHHMM: "-06:00",
		countryCode:        "US",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Buenos_Aires": &TzInfo{
		longGeneric:        "Argentina Time",
		longStandard:       "Argentina Standard Time",
		longDaylight:       "Argentina Summer Time",
		shortGeneric:       "ART",
		shortStandard:      "ART",
		shortDaylight:      "ARST",
		standardOffset:     -10800,
		daylightOffset:     -7200,
		standardOffsetHHMM: "-03:00",
		daylightOffsetHHMM: "-02:00",
		countryCode:        "AR",
		isDeprecated:       true,
		linkTo:             "America/Argentina/Buenos_Aires",
		lastDST:            2009,
	},
	"America/Cambridge_Bay": &TzInfo{
		longGeneric:        "Mountain Time",
		longStandard:       "Mountain Standard Time",
		longDaylight:       "Mountain Daylight Time",
		shortGeneric:       "MT",
		shortStandard:      "MST",
		shortDaylight:      "MDT",
		standardOffset:     -25200,
		daylightOffset:     -21600,
		standardOffsetHHMM: "-07:00",
		daylightOffsetHHMM: "-06:00",
		countryCode:        "CA",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Campo_Grande": &TzInfo{
		longGeneric:        "Amazon Time",
		longStandard:       "Amazon Standard Time",
		longDaylight:       "Amazon Summer Time",
		shortGeneric:       "AMT",
		shortStandard:      "AMT",
		shortDaylight:      "AMST",
		standardOffset:     -14400,
		daylightOffset:     -10800,
		standardOffsetHHMM: "-04:00",
		daylightOffsetHHMM: "-03:00",
		countryCode:        "BR",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2019,
	},
	"America/Cancun": &TzInfo{
		longGeneric:        "Eastern Time",
		longStandard:       "Eastern Standard Time",
		longDaylight:       "Central Daylight Time",
		shortGeneric:       "ET",
		shortStandard:      "EST",
		shortDaylight:      "CDT",
		standardOffset:     -18000,
		daylightOffset:     -18000,
		standardOffsetHHMM: "-05:00",
		daylightOffsetHHMM: "-05:00",
		countryCode:        "MX",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2014,
	},
	"America/Caracas": &TzInfo{
		longGeneric:        "",
		longStandard:       "Venezuela Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "VET",
		shortDaylight:      "",
		standardOffset:     -14400,
		daylightOffset:     0,
		standardOffsetHHMM: "-04:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "VE",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"America/Catamarca": &TzInfo{
		longGeneric:        "Argentina Time",
		longStandard:       "Argentina Standard Time",
		longDaylight:       "Argentina Summer Time",
		shortGeneric:       "ART",
		shortStandard:      "ART",
		shortDaylight:      "ARST",
		standardOffset:     -10800,
		daylightOffset:     -7200,
		standardOffsetHHMM: "-03:00",
		daylightOffsetHHMM: "-02:00",
		countryCode:        "AR",
		isDeprecated:       true,
		linkTo:             "America/Argentina/Catamarca",
		lastDST:            2008,
	},
	"America/Cayenne": &TzInfo{
		longGeneric:        "",
		longStandard:       "French Guiana Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GFT",
		shortDaylight:      "",
		standardOffset:     -10800,
		daylightOffset:     0,
		standardOffsetHHMM: "-03:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "GF",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"America/Cayman": &TzInfo{
		longGeneric:        "Eastern Time",
		longStandard:       "Eastern Standard Time",
		longDaylight:       "",
		shortGeneric:       "ET",
		shortStandard:      "EST",
		shortDaylight:      "",
		standardOffset:     -18000,
		daylightOffset:     0,
		standardOffsetHHMM: "-05:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "KY",
		isDeprecated:       false,
		linkTo:             "America/Panama",
		lastDST:            0,
	},
	"America/Chicago": &TzInfo{
		longGeneric:        "Central Time",
		longStandard:       "Central Standard Time",
		longDaylight:       "Central Daylight Time",
		shortGeneric:       "CT",
		shortStandard:      "CST",
		shortDaylight:      "CDT",
		standardOffset:     -21600,
		daylightOffset:     -18000,
		standardOffsetHHMM: "-06:00",
		daylightOffsetHHMM: "-05:00",
		countryCode:        "US",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Chihuahua": &TzInfo{
		longGeneric:        "Mexican Pacific Time",
		longStandard:       "Mexican Pacific Standard Time",
		longDaylight:       "Mexican Pacific Daylight Time",
		shortGeneric:       "MT",
		shortStandard:      "MST",
		shortDaylight:      "MDT",
		standardOffset:     -25200,
		daylightOffset:     -21600,
		standardOffsetHHMM: "-07:00",
		daylightOffsetHHMM: "-06:00",
		countryCode:        "MX",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Coral_Harbour": &TzInfo{
		longGeneric:        "Eastern Time",
		longStandard:       "Eastern Standard Time",
		longDaylight:       "Central Prevailing Time",
		shortGeneric:       "ET",
		shortStandard:      "EST",
		shortDaylight:      "CPT",
		standardOffset:     -18000,
		daylightOffset:     -18000,
		standardOffsetHHMM: "-05:00",
		daylightOffsetHHMM: "-05:00",
		countryCode:        "CA",
		isDeprecated:       true,
		linkTo:             "America/Atikokan",
		lastDST:            1945,
	},
	"America/Cordoba": &TzInfo{
		longGeneric:        "Argentina Time",
		longStandard:       "Argentina Standard Time",
		longDaylight:       "Argentina Summer Time",
		shortGeneric:       "ART",
		shortStandard:      "ART",
		shortDaylight:      "ARST",
		standardOffset:     -10800,
		daylightOffset:     -7200,
		standardOffsetHHMM: "-03:00",
		daylightOffsetHHMM: "-02:00",
		countryCode:        "AR",
		isDeprecated:       true,
		linkTo:             "America/Argentina/Cordoba",
		lastDST:            2009,
	},
	"America/Costa_Rica": &TzInfo{
		longGeneric:        "Central Time",
		longStandard:       "Central Standard Time",
		longDaylight:       "Central Daylight Time",
		shortGeneric:       "CT",
		shortStandard:      "CST",
		shortDaylight:      "CDT",
		standardOffset:     -21600,
		daylightOffset:     -18000,
		standardOffsetHHMM: "-06:00",
		daylightOffsetHHMM: "-05:00",
		countryCode:        "CR",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1992,
	},
	"America/Creston": &TzInfo{
		longGeneric:        "Mountain Time",
		longStandard:       "Mountain Standard Time",
		longDaylight:       "",
		shortGeneric:       "MT",
		shortStandard:      "MST",
		shortDaylight:      "",
		standardOffset:     -25200,
		daylightOffset:     0,
		standardOffsetHHMM: "-07:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "CA",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"America/Cuiaba": &TzInfo{
		longGeneric:        "Amazon Time",
		longStandard:       "Amazon Standard Time",
		longDaylight:       "Amazon Summer Time",
		shortGeneric:       "AMT",
		shortStandard:      "AMT",
		shortDaylight:      "AMST",
		standardOffset:     -14400,
		daylightOffset:     -10800,
		standardOffsetHHMM: "-04:00",
		daylightOffsetHHMM: "-03:00",
		countryCode:        "BR",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2019,
	},
	"America/Curacao": &TzInfo{
		longGeneric:        "Atlantic Time",
		longStandard:       "Atlantic Standard Time",
		longDaylight:       "",
		shortGeneric:       "AT",
		shortStandard:      "AST",
		shortDaylight:      "",
		standardOffset:     -14400,
		daylightOffset:     0,
		standardOffsetHHMM: "-04:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "CW",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"America/Danmarkshavn": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT",
		shortDaylight:      "",
		standardOffset:     0,
		daylightOffset:     -7200,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "-02:00",
		countryCode:        "GL",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1995,
	},
	"America/Dawson": &TzInfo{
		longGeneric:        "Pacific Time",
		longStandard:       "Pacific Standard Time",
		longDaylight:       "",
		shortGeneric:       "PT",
		shortStandard:      "PST",
		shortDaylight:      "",
		standardOffset:     -25200,
		daylightOffset:     -25200,
		standardOffsetHHMM: "-07:00",
		daylightOffsetHHMM: "-07:00",
		countryCode:        "CA",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2019,
	},
	"America/Dawson_Creek": &TzInfo{
		longGeneric:        "Mountain Time",
		longStandard:       "Mountain Standard Time",
		longDaylight:       "",
		shortGeneric:       "MT",
		shortStandard:      "MST",
		shortDaylight:      "",
		standardOffset:     -25200,
		daylightOffset:     -25200,
		standardOffsetHHMM: "-07:00",
		daylightOffsetHHMM: "-07:00",
		countryCode:        "CA",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1972,
	},
	"America/Denver": &TzInfo{
		longGeneric:        "Mountain Time",
		longStandard:       "Mountain Standard Time",
		longDaylight:       "Mountain Daylight Time",
		shortGeneric:       "MT",
		shortStandard:      "MST",
		shortDaylight:      "MDT",
		standardOffset:     -25200,
		daylightOffset:     -21600,
		standardOffsetHHMM: "-07:00",
		daylightOffsetHHMM: "-06:00",
		countryCode:        "US",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Detroit": &TzInfo{
		longGeneric:        "Eastern Time",
		longStandard:       "Eastern Standard Time",
		longDaylight:       "Eastern Daylight Time",
		shortGeneric:       "ET",
		shortStandard:      "EST",
		shortDaylight:      "EDT",
		standardOffset:     -18000,
		daylightOffset:     -14400,
		standardOffsetHHMM: "-05:00",
		daylightOffsetHHMM: "-04:00",
		countryCode:        "US",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Dominica": &TzInfo{
		longGeneric:        "Atlantic Time",
		longStandard:       "Atlantic Standard Time",
		longDaylight:       "",
		shortGeneric:       "AT",
		shortStandard:      "AST",
		shortDaylight:      "",
		standardOffset:     -14400,
		daylightOffset:     0,
		standardOffsetHHMM: "-04:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "DM",
		isDeprecated:       false,
		linkTo:             "America/Port_of_Spain",
		lastDST:            0,
	},
	"America/Edmonton": &TzInfo{
		longGeneric:        "Mountain Time",
		longStandard:       "Mountain Standard Time",
		longDaylight:       "Mountain Daylight Time",
		shortGeneric:       "MT",
		shortStandard:      "MST",
		shortDaylight:      "MDT",
		standardOffset:     -25200,
		daylightOffset:     -21600,
		standardOffsetHHMM: "-07:00",
		daylightOffsetHHMM: "-06:00",
		countryCode:        "CA",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Eirunepe": &TzInfo{
		longGeneric:        "Acre Time",
		longStandard:       "Acre Standard Time",
		longDaylight:       "Acre Summer Time",
		shortGeneric:       "ACT",
		shortStandard:      "ACT",
		shortDaylight:      "ACST",
		standardOffset:     -18000,
		daylightOffset:     -14400,
		standardOffsetHHMM: "-05:00",
		daylightOffsetHHMM: "-04:00",
		countryCode:        "BR",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1994,
	},
	"America/El_Salvador": &TzInfo{
		longGeneric:        "Central Time",
		longStandard:       "Central Standard Time",
		longDaylight:       "Central Daylight Time",
		shortGeneric:       "CT",
		shortStandard:      "CST",
		shortDaylight:      "CDT",
		standardOffset:     -21600,
		daylightOffset:     -18000,
		standardOffsetHHMM: "-06:00",
		daylightOffsetHHMM: "-05:00",
		countryCode:        "SV",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1988,
	},
	"America/Ensenada": &TzInfo{
		longGeneric:        "Pacific Time",
		longStandard:       "Pacific Standard Time",
		longDaylight:       "Pacific Daylight Time",
		shortGeneric:       "PT",
		shortStandard:      "PST",
		shortDaylight:      "PDT",
		standardOffset:     -28800,
		daylightOffset:     -25200,
		standardOffsetHHMM: "-08:00",
		daylightOffsetHHMM: "-07:00",
		countryCode:        "MX",
		isDeprecated:       true,
		linkTo:             "America/Tijuana",
		lastDST:            2037,
	},
	"America/Fort_Nelson": &TzInfo{
		longGeneric:        "Mountain Time",
		longStandard:       "Mountain Standard Time",
		longDaylight:       "Pacific Daylight Time",
		shortGeneric:       "MT",
		shortStandard:      "MST",
		shortDaylight:      "PDT",
		standardOffset:     -25200,
		daylightOffset:     -25200,
		standardOffsetHHMM: "-07:00",
		daylightOffsetHHMM: "-07:00",
		countryCode:        "CA",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2014,
	},
	"America/Fort_Wayne": &TzInfo{
		longGeneric:        "Eastern Time",
		longStandard:       "Eastern Standard Time",
		longDaylight:       "Eastern Daylight Time",
		shortGeneric:       "ET",
		shortStandard:      "EST",
		shortDaylight:      "EDT",
		standardOffset:     -18000,
		daylightOffset:     -14400,
		standardOffsetHHMM: "-05:00",
		daylightOffsetHHMM: "-04:00",
		countryCode:        "US",
		isDeprecated:       true,
		linkTo:             "America/Indiana/Indianapolis",
		lastDST:            2037,
	},
	"America/Fortaleza": &TzInfo{
		longGeneric:        "Brasilia Time",
		longStandard:       "Brasilia Standard Time",
		longDaylight:       "Brasilia Summer Time",
		shortGeneric:       "BRT",
		shortStandard:      "BRT",
		shortDaylight:      "BRST",
		standardOffset:     -10800,
		daylightOffset:     -7200,
		standardOffsetHHMM: "-03:00",
		daylightOffsetHHMM: "-02:00",
		countryCode:        "BR",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2002,
	},
	"America/Glace_Bay": &TzInfo{
		longGeneric:        "Atlantic Time",
		longStandard:       "Atlantic Standard Time",
		longDaylight:       "Atlantic Daylight Time",
		shortGeneric:       "AT",
		shortStandard:      "AST",
		shortDaylight:      "ADT",
		standardOffset:     -14400,
		daylightOffset:     -10800,
		standardOffsetHHMM: "-04:00",
		daylightOffsetHHMM: "-03:00",
		countryCode:        "CA",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Godthab": &TzInfo{
		longGeneric:        "West Greenland Time",
		longStandard:       "West Greenland Standard Time",
		longDaylight:       "West Greenland Summer Time",
		shortGeneric:       "WGT",
		shortStandard:      "WGT",
		shortDaylight:      "WGST",
		standardOffset:     -10800,
		daylightOffset:     -7200,
		standardOffsetHHMM: "-03:00",
		daylightOffsetHHMM: "-02:00",
		countryCode:        "GL",
		isDeprecated:       true,
		linkTo:             "America/Nuuk",
		lastDST:            2037,
	},
	"America/Goose_Bay": &TzInfo{
		longGeneric:        "Atlantic Time",
		longStandard:       "Atlantic Standard Time",
		longDaylight:       "Atlantic Daylight Time",
		shortGeneric:       "AT",
		shortStandard:      "AST",
		shortDaylight:      "ADT",
		standardOffset:     -14400,
		daylightOffset:     -10800,
		standardOffsetHHMM: "-04:00",
		daylightOffsetHHMM: "-03:00",
		countryCode:        "CA",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Grand_Turk": &TzInfo{
		longGeneric:        "Eastern Time",
		longStandard:       "Eastern Standard Time",
		longDaylight:       "Eastern Daylight Time",
		shortGeneric:       "ET",
		shortStandard:      "EST",
		shortDaylight:      "EDT",
		standardOffset:     -18000,
		daylightOffset:     -14400,
		standardOffsetHHMM: "-05:00",
		daylightOffsetHHMM: "-04:00",
		countryCode:        "TC",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Grenada": &TzInfo{
		longGeneric:        "Atlantic Time",
		longStandard:       "Atlantic Standard Time",
		longDaylight:       "",
		shortGeneric:       "AT",
		shortStandard:      "AST",
		shortDaylight:      "",
		standardOffset:     -14400,
		daylightOffset:     0,
		standardOffsetHHMM: "-04:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "GD",
		isDeprecated:       false,
		linkTo:             "America/Port_of_Spain",
		lastDST:            0,
	},
	"America/Guadeloupe": &TzInfo{
		longGeneric:        "Atlantic Time",
		longStandard:       "Atlantic Standard Time",
		longDaylight:       "",
		shortGeneric:       "AT",
		shortStandard:      "AST",
		shortDaylight:      "",
		standardOffset:     -14400,
		daylightOffset:     0,
		standardOffsetHHMM: "-04:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "GP",
		isDeprecated:       false,
		linkTo:             "America/Port_of_Spain",
		lastDST:            0,
	},
	"America/Guatemala": &TzInfo{
		longGeneric:        "Central Time",
		longStandard:       "Central Standard Time",
		longDaylight:       "Central Daylight Time",
		shortGeneric:       "CT",
		shortStandard:      "CST",
		shortDaylight:      "CDT",
		standardOffset:     -21600,
		daylightOffset:     -18000,
		standardOffsetHHMM: "-06:00",
		daylightOffsetHHMM: "-05:00",
		countryCode:        "GT",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2006,
	},
	"America/Guayaquil": &TzInfo{
		longGeneric:        "",
		longStandard:       "Ecuador Time",
		longDaylight:       "Eastern Daylight Time",
		shortGeneric:       "",
		shortStandard:      "ECT",
		shortDaylight:      "EDT",
		standardOffset:     -18000,
		daylightOffset:     -14400,
		standardOffsetHHMM: "-05:00",
		daylightOffsetHHMM: "-04:00",
		countryCode:        "EC",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1993,
	},
	"America/Guyana": &TzInfo{
		longGeneric:        "",
		longStandard:       "Guyana Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GYT",
		shortDaylight:      "",
		standardOffset:     -14400,
		daylightOffset:     0,
		standardOffsetHHMM: "-04:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "GY",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"America/Halifax": &TzInfo{
		longGeneric:        "Atlantic Time",
		longStandard:       "Atlantic Standard Time",
		longDaylight:       "Atlantic Daylight Time",
		shortGeneric:       "AT",
		shortStandard:      "AST",
		shortDaylight:      "ADT",
		standardOffset:     -14400,
		daylightOffset:     -10800,
		standardOffsetHHMM: "-04:00",
		daylightOffsetHHMM: "-03:00",
		countryCode:        "CA",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Havana": &TzInfo{
		longGeneric:        "Cuba Time",
		longStandard:       "Cuba Standard Time",
		longDaylight:       "Cuba Daylight Time",
		shortGeneric:       "CT",
		shortStandard:      "CST",
		shortDaylight:      "CDT",
		standardOffset:     -18000,
		daylightOffset:     -14400,
		standardOffsetHHMM: "-05:00",
		daylightOffsetHHMM: "-04:00",
		countryCode:        "CU",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Hermosillo": &TzInfo{
		longGeneric:        "Mexican Pacific Time",
		longStandard:       "Mexican Pacific Standard Time",
		longDaylight:       "Mexican Pacific Daylight Time",
		shortGeneric:       "MT",
		shortStandard:      "MST",
		shortDaylight:      "MDT",
		standardOffset:     -25200,
		daylightOffset:     -21600,
		standardOffsetHHMM: "-07:00",
		daylightOffsetHHMM: "-06:00",
		countryCode:        "MX",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1998,
	},
	"America/Indiana/Indianapolis": &TzInfo{
		longGeneric:        "Eastern Time",
		longStandard:       "Eastern Standard Time",
		longDaylight:       "Eastern Daylight Time",
		shortGeneric:       "ET",
		shortStandard:      "EST",
		shortDaylight:      "EDT",
		standardOffset:     -18000,
		daylightOffset:     -14400,
		standardOffsetHHMM: "-05:00",
		daylightOffsetHHMM: "-04:00",
		countryCode:        "US",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Indiana/Knox": &TzInfo{
		longGeneric:        "Central Time",
		longStandard:       "Central Standard Time",
		longDaylight:       "Central Daylight Time",
		shortGeneric:       "CT",
		shortStandard:      "CST",
		shortDaylight:      "CDT",
		standardOffset:     -21600,
		daylightOffset:     -18000,
		standardOffsetHHMM: "-06:00",
		daylightOffsetHHMM: "-05:00",
		countryCode:        "US",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Indiana/Marengo": &TzInfo{
		longGeneric:        "Eastern Time",
		longStandard:       "Eastern Standard Time",
		longDaylight:       "Eastern Daylight Time",
		shortGeneric:       "ET",
		shortStandard:      "EST",
		shortDaylight:      "EDT",
		standardOffset:     -18000,
		daylightOffset:     -14400,
		standardOffsetHHMM: "-05:00",
		daylightOffsetHHMM: "-04:00",
		countryCode:        "US",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Indiana/Petersburg": &TzInfo{
		longGeneric:        "Eastern Time",
		longStandard:       "Eastern Standard Time",
		longDaylight:       "Eastern Daylight Time",
		shortGeneric:       "ET",
		shortStandard:      "EST",
		shortDaylight:      "EDT",
		standardOffset:     -18000,
		daylightOffset:     -14400,
		standardOffsetHHMM: "-05:00",
		daylightOffsetHHMM: "-04:00",
		countryCode:        "US",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Indiana/Tell_City": &TzInfo{
		longGeneric:        "Central Time",
		longStandard:       "Central Standard Time",
		longDaylight:       "Central Daylight Time",
		shortGeneric:       "CT",
		shortStandard:      "CST",
		shortDaylight:      "CDT",
		standardOffset:     -21600,
		daylightOffset:     -18000,
		standardOffsetHHMM: "-06:00",
		daylightOffsetHHMM: "-05:00",
		countryCode:        "US",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Indiana/Vevay": &TzInfo{
		longGeneric:        "Eastern Time",
		longStandard:       "Eastern Standard Time",
		longDaylight:       "Eastern Daylight Time",
		shortGeneric:       "ET",
		shortStandard:      "EST",
		shortDaylight:      "EDT",
		standardOffset:     -18000,
		daylightOffset:     -14400,
		standardOffsetHHMM: "-05:00",
		daylightOffsetHHMM: "-04:00",
		countryCode:        "US",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Indiana/Vincennes": &TzInfo{
		longGeneric:        "Eastern Time",
		longStandard:       "Eastern Standard Time",
		longDaylight:       "Eastern Daylight Time",
		shortGeneric:       "ET",
		shortStandard:      "EST",
		shortDaylight:      "EDT",
		standardOffset:     -18000,
		daylightOffset:     -14400,
		standardOffsetHHMM: "-05:00",
		daylightOffsetHHMM: "-04:00",
		countryCode:        "US",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Indiana/Winamac": &TzInfo{
		longGeneric:        "Eastern Time",
		longStandard:       "Eastern Standard Time",
		longDaylight:       "Eastern Daylight Time",
		shortGeneric:       "ET",
		shortStandard:      "EST",
		shortDaylight:      "EDT",
		standardOffset:     -18000,
		daylightOffset:     -14400,
		standardOffsetHHMM: "-05:00",
		daylightOffsetHHMM: "-04:00",
		countryCode:        "US",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Indianapolis": &TzInfo{
		longGeneric:        "Eastern Time",
		longStandard:       "Eastern Standard Time",
		longDaylight:       "Eastern Daylight Time",
		shortGeneric:       "ET",
		shortStandard:      "EST",
		shortDaylight:      "EDT",
		standardOffset:     -18000,
		daylightOffset:     -14400,
		standardOffsetHHMM: "-05:00",
		daylightOffsetHHMM: "-04:00",
		countryCode:        "US",
		isDeprecated:       true,
		linkTo:             "America/Indiana/Indianapolis",
		lastDST:            2037,
	},
	"America/Inuvik": &TzInfo{
		longGeneric:        "Mountain Time",
		longStandard:       "Mountain Standard Time",
		longDaylight:       "Mountain Daylight Time",
		shortGeneric:       "MT",
		shortStandard:      "MST",
		shortDaylight:      "MDT",
		standardOffset:     -25200,
		daylightOffset:     -21600,
		standardOffsetHHMM: "-07:00",
		daylightOffsetHHMM: "-06:00",
		countryCode:        "CA",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Iqaluit": &TzInfo{
		longGeneric:        "Eastern Time",
		longStandard:       "Eastern Standard Time",
		longDaylight:       "Eastern Daylight Time",
		shortGeneric:       "ET",
		shortStandard:      "EST",
		shortDaylight:      "EDT",
		standardOffset:     -18000,
		daylightOffset:     -14400,
		standardOffsetHHMM: "-05:00",
		daylightOffsetHHMM: "-04:00",
		countryCode:        "CA",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Jamaica": &TzInfo{
		longGeneric:        "Eastern Time",
		longStandard:       "Eastern Standard Time",
		longDaylight:       "Eastern Daylight Time",
		shortGeneric:       "ET",
		shortStandard:      "EST",
		shortDaylight:      "EDT",
		standardOffset:     -18000,
		daylightOffset:     -14400,
		standardOffsetHHMM: "-05:00",
		daylightOffsetHHMM: "-04:00",
		countryCode:        "JM",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1983,
	},
	"America/Jujuy": &TzInfo{
		longGeneric:        "Argentina Time",
		longStandard:       "Argentina Standard Time",
		longDaylight:       "Argentina Summer Time",
		shortGeneric:       "ART",
		shortStandard:      "ART",
		shortDaylight:      "ARST",
		standardOffset:     -10800,
		daylightOffset:     -7200,
		standardOffsetHHMM: "-03:00",
		daylightOffsetHHMM: "-02:00",
		countryCode:        "AR",
		isDeprecated:       true,
		linkTo:             "America/Argentina/Jujuy",
		lastDST:            2008,
	},
	"America/Juneau": &TzInfo{
		longGeneric:        "Alaska Time",
		longStandard:       "Alaska Standard Time",
		longDaylight:       "Alaska Daylight Time",
		shortGeneric:       "AKT",
		shortStandard:      "AKST",
		shortDaylight:      "AKDT",
		standardOffset:     -32400,
		daylightOffset:     -28800,
		standardOffsetHHMM: "-09:00",
		daylightOffsetHHMM: "-08:00",
		countryCode:        "US",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Kentucky/Louisville": &TzInfo{
		longGeneric:        "Eastern Time",
		longStandard:       "Eastern Standard Time",
		longDaylight:       "Eastern Daylight Time",
		shortGeneric:       "ET",
		shortStandard:      "EST",
		shortDaylight:      "EDT",
		standardOffset:     -18000,
		daylightOffset:     -14400,
		standardOffsetHHMM: "-05:00",
		daylightOffsetHHMM: "-04:00",
		countryCode:        "US",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Kentucky/Monticello": &TzInfo{
		longGeneric:        "Eastern Time",
		longStandard:       "Eastern Standard Time",
		longDaylight:       "Eastern Daylight Time",
		shortGeneric:       "ET",
		shortStandard:      "EST",
		shortDaylight:      "EDT",
		standardOffset:     -18000,
		daylightOffset:     -14400,
		standardOffsetHHMM: "-05:00",
		daylightOffsetHHMM: "-04:00",
		countryCode:        "US",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Knox_IN": &TzInfo{
		longGeneric:        "Central Time",
		longStandard:       "Central Standard Time",
		longDaylight:       "Central Daylight Time",
		shortGeneric:       "CT",
		shortStandard:      "CST",
		shortDaylight:      "CDT",
		standardOffset:     -21600,
		daylightOffset:     -18000,
		standardOffsetHHMM: "-06:00",
		daylightOffsetHHMM: "-05:00",
		countryCode:        "US",
		isDeprecated:       true,
		linkTo:             "America/Indiana/Knox",
		lastDST:            2037,
	},
	"America/Kralendijk": &TzInfo{
		longGeneric:        "Atlantic Time",
		longStandard:       "Atlantic Standard Time",
		longDaylight:       "",
		shortGeneric:       "AT",
		shortStandard:      "AST",
		shortDaylight:      "",
		standardOffset:     -14400,
		daylightOffset:     0,
		standardOffsetHHMM: "-04:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "BQ",
		isDeprecated:       false,
		linkTo:             "America/Curacao",
		lastDST:            0,
	},
	"America/La_Paz": &TzInfo{
		longGeneric:        "",
		longStandard:       "Bolivia Time",
		longDaylight:       "Bolivia Summer Time",
		shortGeneric:       "",
		shortStandard:      "BOT",
		shortDaylight:      "BST",
		standardOffset:     -14400,
		daylightOffset:     -12756,
		standardOffsetHHMM: "-04:00",
		daylightOffsetHHMM: "-03:27",
		countryCode:        "BO",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1932,
	},
	"America/Lima": &TzInfo{
		longGeneric:        "Peru Time",
		longStandard:       "Peru Standard Time",
		longDaylight:       "Peru Summer Time",
		shortGeneric:       "PET",
		shortStandard:      "PET",
		shortDaylight:      "PEST",
		standardOffset:     -18000,
		daylightOffset:     -14400,
		standardOffsetHHMM: "-05:00",
		daylightOffsetHHMM: "-04:00",
		countryCode:        "PE",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1994,
	},
	"America/Los_Angeles": &TzInfo{
		longGeneric:        "Pacific Time",
		longStandard:       "Pacific Standard Time",
		longDaylight:       "Pacific Daylight Time",
		shortGeneric:       "PT",
		shortStandard:      "PST",
		shortDaylight:      "PDT",
		standardOffset:     -28800,
		daylightOffset:     -25200,
		standardOffsetHHMM: "-08:00",
		daylightOffsetHHMM: "-07:00",
		countryCode:        "US",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Louisville": &TzInfo{
		longGeneric:        "Eastern Time",
		longStandard:       "Eastern Standard Time",
		longDaylight:       "Eastern Daylight Time",
		shortGeneric:       "ET",
		shortStandard:      "EST",
		shortDaylight:      "EDT",
		standardOffset:     -18000,
		daylightOffset:     -14400,
		standardOffsetHHMM: "-05:00",
		daylightOffsetHHMM: "-04:00",
		countryCode:        "US",
		isDeprecated:       true,
		linkTo:             "America/Kentucky/Louisville",
		lastDST:            2037,
	},
	"America/Lower_Princes": &TzInfo{
		longGeneric:        "Atlantic Time",
		longStandard:       "Atlantic Standard Time",
		longDaylight:       "",
		shortGeneric:       "AT",
		shortStandard:      "AST",
		shortDaylight:      "",
		standardOffset:     -14400,
		daylightOffset:     0,
		standardOffsetHHMM: "-04:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "SX",
		isDeprecated:       false,
		linkTo:             "America/Curacao",
		lastDST:            0,
	},
	"America/Maceio": &TzInfo{
		longGeneric:        "Brasilia Time",
		longStandard:       "Brasilia Standard Time",
		longDaylight:       "Brasilia Summer Time",
		shortGeneric:       "BRT",
		shortStandard:      "BRT",
		shortDaylight:      "BRST",
		standardOffset:     -10800,
		daylightOffset:     -7200,
		standardOffsetHHMM: "-03:00",
		daylightOffsetHHMM: "-02:00",
		countryCode:        "BR",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2002,
	},
	"America/Managua": &TzInfo{
		longGeneric:        "Central Time",
		longStandard:       "Central Standard Time",
		longDaylight:       "Central Daylight Time",
		shortGeneric:       "CT",
		shortStandard:      "CST",
		shortDaylight:      "CDT",
		standardOffset:     -21600,
		daylightOffset:     -18000,
		standardOffsetHHMM: "-06:00",
		daylightOffsetHHMM: "-05:00",
		countryCode:        "NI",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2006,
	},
	"America/Manaus": &TzInfo{
		longGeneric:        "Amazon Time",
		longStandard:       "Amazon Standard Time",
		longDaylight:       "Amazon Summer Time",
		shortGeneric:       "AMT",
		shortStandard:      "AMT",
		shortDaylight:      "AMST",
		standardOffset:     -14400,
		daylightOffset:     -10800,
		standardOffsetHHMM: "-04:00",
		daylightOffsetHHMM: "-03:00",
		countryCode:        "BR",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1994,
	},
	"America/Marigot": &TzInfo{
		longGeneric:        "Atlantic Time",
		longStandard:       "Atlantic Standard Time",
		longDaylight:       "",
		shortGeneric:       "AT",
		shortStandard:      "AST",
		shortDaylight:      "",
		standardOffset:     -14400,
		daylightOffset:     0,
		standardOffsetHHMM: "-04:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "MF",
		isDeprecated:       false,
		linkTo:             "America/Port_of_Spain",
		lastDST:            0,
	},
	"America/Martinique": &TzInfo{
		longGeneric:        "Atlantic Time",
		longStandard:       "Atlantic Standard Time",
		longDaylight:       "Atlantic Daylight Time",
		shortGeneric:       "AT",
		shortStandard:      "AST",
		shortDaylight:      "ADT",
		standardOffset:     -14400,
		daylightOffset:     -10800,
		standardOffsetHHMM: "-04:00",
		daylightOffsetHHMM: "-03:00",
		countryCode:        "MQ",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1980,
	},
	"America/Matamoros": &TzInfo{
		longGeneric:        "Central Time",
		longStandard:       "Central Standard Time",
		longDaylight:       "Central Daylight Time",
		shortGeneric:       "CT",
		shortStandard:      "CST",
		shortDaylight:      "CDT",
		standardOffset:     -21600,
		daylightOffset:     -18000,
		standardOffsetHHMM: "-06:00",
		daylightOffsetHHMM: "-05:00",
		countryCode:        "MX",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Mazatlan": &TzInfo{
		longGeneric:        "Mexican Pacific Time",
		longStandard:       "Mexican Pacific Standard Time",
		longDaylight:       "Mexican Pacific Daylight Time",
		shortGeneric:       "MT",
		shortStandard:      "MST",
		shortDaylight:      "MDT",
		standardOffset:     -25200,
		daylightOffset:     -21600,
		standardOffsetHHMM: "-07:00",
		daylightOffsetHHMM: "-06:00",
		countryCode:        "MX",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Mendoza": &TzInfo{
		longGeneric:        "Argentina Time",
		longStandard:       "Argentina Standard Time",
		longDaylight:       "Argentina Summer Time",
		shortGeneric:       "ART",
		shortStandard:      "ART",
		shortDaylight:      "ARST",
		standardOffset:     -10800,
		daylightOffset:     -7200,
		standardOffsetHHMM: "-03:00",
		daylightOffsetHHMM: "-02:00",
		countryCode:        "AR",
		isDeprecated:       true,
		linkTo:             "America/Argentina/Mendoza",
		lastDST:            2008,
	},
	"America/Menominee": &TzInfo{
		longGeneric:        "Central Time",
		longStandard:       "Central Standard Time",
		longDaylight:       "Central Daylight Time",
		shortGeneric:       "CT",
		shortStandard:      "CST",
		shortDaylight:      "CDT",
		standardOffset:     -21600,
		daylightOffset:     -18000,
		standardOffsetHHMM: "-06:00",
		daylightOffsetHHMM: "-05:00",
		countryCode:        "US",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Merida": &TzInfo{
		longGeneric:        "Central Time",
		longStandard:       "Central Standard Time",
		longDaylight:       "Central Daylight Time",
		shortGeneric:       "CT",
		shortStandard:      "CST",
		shortDaylight:      "CDT",
		standardOffset:     -21600,
		daylightOffset:     -18000,
		standardOffsetHHMM: "-06:00",
		daylightOffsetHHMM: "-05:00",
		countryCode:        "MX",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Metlakatla": &TzInfo{
		longGeneric:        "Alaska Time",
		longStandard:       "Alaska Standard Time",
		longDaylight:       "Alaska Daylight Time",
		shortGeneric:       "AKT",
		shortStandard:      "AKST",
		shortDaylight:      "AKDT",
		standardOffset:     -32400,
		daylightOffset:     -28800,
		standardOffsetHHMM: "-09:00",
		daylightOffsetHHMM: "-08:00",
		countryCode:        "US",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Mexico_City": &TzInfo{
		longGeneric:        "Central Time",
		longStandard:       "Central Standard Time",
		longDaylight:       "Central Daylight Time",
		shortGeneric:       "CT",
		shortStandard:      "CST",
		shortDaylight:      "CDT",
		standardOffset:     -21600,
		daylightOffset:     -18000,
		standardOffsetHHMM: "-06:00",
		daylightOffsetHHMM: "-05:00",
		countryCode:        "MX",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Miquelon": &TzInfo{
		longGeneric:        "St. Pierre & Miquelon Time",
		longStandard:       "St. Pierre & Miquelon Standard Time",
		longDaylight:       "St. Pierre & Miquelon Daylight Time",
		shortGeneric:       "PMST",
		shortStandard:      "PMST",
		shortDaylight:      "PMDT",
		standardOffset:     -10800,
		daylightOffset:     -7200,
		standardOffsetHHMM: "-03:00",
		daylightOffsetHHMM: "-02:00",
		countryCode:        "PM",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Moncton": &TzInfo{
		longGeneric:        "Atlantic Time",
		longStandard:       "Atlantic Standard Time",
		longDaylight:       "Atlantic Daylight Time",
		shortGeneric:       "AT",
		shortStandard:      "AST",
		shortDaylight:      "ADT",
		standardOffset:     -14400,
		daylightOffset:     -10800,
		standardOffsetHHMM: "-04:00",
		daylightOffsetHHMM: "-03:00",
		countryCode:        "CA",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Monterrey": &TzInfo{
		longGeneric:        "Central Time",
		longStandard:       "Central Standard Time",
		longDaylight:       "Central Daylight Time",
		shortGeneric:       "CT",
		shortStandard:      "CST",
		shortDaylight:      "CDT",
		standardOffset:     -21600,
		daylightOffset:     -18000,
		standardOffsetHHMM: "-06:00",
		daylightOffsetHHMM: "-05:00",
		countryCode:        "MX",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Montevideo": &TzInfo{
		longGeneric:        "Uruguay Time",
		longStandard:       "Uruguay Standard Time",
		longDaylight:       "Uruguay Summer Time",
		shortGeneric:       "UYT",
		shortStandard:      "UYT",
		shortDaylight:      "UYST",
		standardOffset:     -10800,
		daylightOffset:     -7200,
		standardOffsetHHMM: "-03:00",
		daylightOffsetHHMM: "-02:00",
		countryCode:        "UY",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2015,
	},
	"America/Montreal": &TzInfo{
		longGeneric:        "Eastern Time",
		longStandard:       "Eastern Standard Time",
		longDaylight:       "Eastern Daylight Time",
		shortGeneric:       "ET",
		shortStandard:      "EST",
		shortDaylight:      "EDT",
		standardOffset:     -18000,
		daylightOffset:     -14400,
		standardOffsetHHMM: "-05:00",
		daylightOffsetHHMM: "-04:00",
		countryCode:        "CA",
		isDeprecated:       true,
		linkTo:             "America/Toronto",
		lastDST:            2037,
	},
	"America/Montserrat": &TzInfo{
		longGeneric:        "Atlantic Time",
		longStandard:       "Atlantic Standard Time",
		longDaylight:       "",
		shortGeneric:       "AT",
		shortStandard:      "AST",
		shortDaylight:      "",
		standardOffset:     -14400,
		daylightOffset:     0,
		standardOffsetHHMM: "-04:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "MS",
		isDeprecated:       false,
		linkTo:             "America/Port_of_Spain",
		lastDST:            0,
	},
	"America/Nassau": &TzInfo{
		longGeneric:        "Eastern Time",
		longStandard:       "Eastern Standard Time",
		longDaylight:       "Eastern Daylight Time",
		shortGeneric:       "ET",
		shortStandard:      "EST",
		shortDaylight:      "EDT",
		standardOffset:     -18000,
		daylightOffset:     -14400,
		standardOffsetHHMM: "-05:00",
		daylightOffsetHHMM: "-04:00",
		countryCode:        "BS",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/New_York": &TzInfo{
		longGeneric:        "Eastern Time",
		longStandard:       "Eastern Standard Time",
		longDaylight:       "Eastern Daylight Time",
		shortGeneric:       "ET",
		shortStandard:      "EST",
		shortDaylight:      "EDT",
		standardOffset:     -18000,
		daylightOffset:     -14400,
		standardOffsetHHMM: "-05:00",
		daylightOffsetHHMM: "-04:00",
		countryCode:        "US",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Nipigon": &TzInfo{
		longGeneric:        "Eastern Time",
		longStandard:       "Eastern Standard Time",
		longDaylight:       "Eastern Daylight Time",
		shortGeneric:       "ET",
		shortStandard:      "EST",
		shortDaylight:      "EDT",
		standardOffset:     -18000,
		daylightOffset:     -14400,
		standardOffsetHHMM: "-05:00",
		daylightOffsetHHMM: "-04:00",
		countryCode:        "CA",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Nome": &TzInfo{
		longGeneric:        "Alaska Time",
		longStandard:       "Alaska Standard Time",
		longDaylight:       "Alaska Daylight Time",
		shortGeneric:       "AKT",
		shortStandard:      "AKST",
		shortDaylight:      "AKDT",
		standardOffset:     -32400,
		daylightOffset:     -28800,
		standardOffsetHHMM: "-09:00",
		daylightOffsetHHMM: "-08:00",
		countryCode:        "US",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Noronha": &TzInfo{
		longGeneric:        "Fernando de Noronha Time",
		longStandard:       "Fernando de Noronha Standard Time",
		longDaylight:       "Fernando de Noronha Summer Time",
		shortGeneric:       "FNT",
		shortStandard:      "FNT",
		shortDaylight:      "FNST",
		standardOffset:     -7200,
		daylightOffset:     -3600,
		standardOffsetHHMM: "-02:00",
		daylightOffsetHHMM: "-01:00",
		countryCode:        "BR",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2002,
	},
	"America/North_Dakota/Beulah": &TzInfo{
		longGeneric:        "Central Time",
		longStandard:       "Central Standard Time",
		longDaylight:       "Central Daylight Time",
		shortGeneric:       "CT",
		shortStandard:      "CST",
		shortDaylight:      "CDT",
		standardOffset:     -21600,
		daylightOffset:     -18000,
		standardOffsetHHMM: "-06:00",
		daylightOffsetHHMM: "-05:00",
		countryCode:        "US",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/North_Dakota/Center": &TzInfo{
		longGeneric:        "Central Time",
		longStandard:       "Central Standard Time",
		longDaylight:       "Central Daylight Time",
		shortGeneric:       "CT",
		shortStandard:      "CST",
		shortDaylight:      "CDT",
		standardOffset:     -21600,
		daylightOffset:     -18000,
		standardOffsetHHMM: "-06:00",
		daylightOffsetHHMM: "-05:00",
		countryCode:        "US",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/North_Dakota/New_Salem": &TzInfo{
		longGeneric:        "Central Time",
		longStandard:       "Central Standard Time",
		longDaylight:       "Central Daylight Time",
		shortGeneric:       "CT",
		shortStandard:      "CST",
		shortDaylight:      "CDT",
		standardOffset:     -21600,
		daylightOffset:     -18000,
		standardOffsetHHMM: "-06:00",
		daylightOffsetHHMM: "-05:00",
		countryCode:        "US",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Nuuk": &TzInfo{
		longGeneric:        "West Greenland Time",
		longStandard:       "West Greenland Standard Time",
		longDaylight:       "West Greenland Summer Time",
		shortGeneric:       "WGT",
		shortStandard:      "WGT",
		shortDaylight:      "WGST",
		standardOffset:     -10800,
		daylightOffset:     -7200,
		standardOffsetHHMM: "-03:00",
		daylightOffsetHHMM: "-02:00",
		countryCode:        "GL",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Ojinaga": &TzInfo{
		longGeneric:        "Mountain Time",
		longStandard:       "Mountain Standard Time",
		longDaylight:       "Mountain Daylight Time",
		shortGeneric:       "MT",
		shortStandard:      "MST",
		shortDaylight:      "MDT",
		standardOffset:     -25200,
		daylightOffset:     -21600,
		standardOffsetHHMM: "-07:00",
		daylightOffsetHHMM: "-06:00",
		countryCode:        "MX",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Panama": &TzInfo{
		longGeneric:        "Eastern Time",
		longStandard:       "Eastern Standard Time",
		longDaylight:       "",
		shortGeneric:       "ET",
		shortStandard:      "EST",
		shortDaylight:      "",
		standardOffset:     -18000,
		daylightOffset:     0,
		standardOffsetHHMM: "-05:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "PA",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"America/Pangnirtung": &TzInfo{
		longGeneric:        "Eastern Time",
		longStandard:       "Eastern Standard Time",
		longDaylight:       "Eastern Daylight Time",
		shortGeneric:       "ET",
		shortStandard:      "EST",
		shortDaylight:      "EDT",
		standardOffset:     -18000,
		daylightOffset:     -14400,
		standardOffsetHHMM: "-05:00",
		daylightOffsetHHMM: "-04:00",
		countryCode:        "CA",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Paramaribo": &TzInfo{
		longGeneric:        "",
		longStandard:       "Suriname Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "SRT",
		shortDaylight:      "",
		standardOffset:     -10800,
		daylightOffset:     0,
		standardOffsetHHMM: "-03:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "SR",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"America/Phoenix": &TzInfo{
		longGeneric:        "Mountain Time",
		longStandard:       "Mountain Standard Time",
		longDaylight:       "Mountain Daylight Time",
		shortGeneric:       "MT",
		shortStandard:      "MST",
		shortDaylight:      "MDT",
		standardOffset:     -25200,
		daylightOffset:     -21600,
		standardOffsetHHMM: "-07:00",
		daylightOffsetHHMM: "-06:00",
		countryCode:        "US",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1967,
	},
	"America/Port-au-Prince": &TzInfo{
		longGeneric:        "Eastern Time",
		longStandard:       "Eastern Standard Time",
		longDaylight:       "Eastern Daylight Time",
		shortGeneric:       "ET",
		shortStandard:      "EST",
		shortDaylight:      "EDT",
		standardOffset:     -18000,
		daylightOffset:     -14400,
		standardOffsetHHMM: "-05:00",
		daylightOffsetHHMM: "-04:00",
		countryCode:        "HT",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Port_of_Spain": &TzInfo{
		longGeneric:        "Atlantic Time",
		longStandard:       "Atlantic Standard Time",
		longDaylight:       "",
		shortGeneric:       "AT",
		shortStandard:      "AST",
		shortDaylight:      "",
		standardOffset:     -14400,
		daylightOffset:     0,
		standardOffsetHHMM: "-04:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "TT",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"America/Porto_Acre": &TzInfo{
		longGeneric:        "Acre Time",
		longStandard:       "Acre Standard Time",
		longDaylight:       "Acre Summer Time",
		shortGeneric:       "ACT",
		shortStandard:      "ACT",
		shortDaylight:      "ACST",
		standardOffset:     -18000,
		daylightOffset:     -14400,
		standardOffsetHHMM: "-05:00",
		daylightOffsetHHMM: "-04:00",
		countryCode:        "BR",
		isDeprecated:       true,
		linkTo:             "America/Rio_Branco",
		lastDST:            1988,
	},
	"America/Porto_Velho": &TzInfo{
		longGeneric:        "Amazon Time",
		longStandard:       "Amazon Standard Time",
		longDaylight:       "Amazon Summer Time",
		shortGeneric:       "AMT",
		shortStandard:      "AMT",
		shortDaylight:      "AMST",
		standardOffset:     -14400,
		daylightOffset:     -10800,
		standardOffsetHHMM: "-04:00",
		daylightOffsetHHMM: "-03:00",
		countryCode:        "BR",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1988,
	},
	"America/Puerto_Rico": &TzInfo{
		longGeneric:        "Atlantic Time",
		longStandard:       "Atlantic Standard Time",
		longDaylight:       "Atlantic Daylight Time",
		shortGeneric:       "AT",
		shortStandard:      "AST",
		shortDaylight:      "ADT",
		standardOffset:     -14400,
		daylightOffset:     -10800,
		standardOffsetHHMM: "-04:00",
		daylightOffsetHHMM: "-03:00",
		countryCode:        "PR",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1945,
	},
	"America/Punta_Arenas": &TzInfo{
		longGeneric:        "Chile Time",
		longStandard:       "Chile Standard Time",
		longDaylight:       "Chile Summer Time",
		shortGeneric:       "CLT",
		shortStandard:      "CLT",
		shortDaylight:      "CLST",
		standardOffset:     -10800,
		daylightOffset:     -10800,
		standardOffsetHHMM: "-03:00",
		daylightOffsetHHMM: "-03:00",
		countryCode:        "CL",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2016,
	},
	"America/Rainy_River": &TzInfo{
		longGeneric:        "Central Time",
		longStandard:       "Central Standard Time",
		longDaylight:       "Central Daylight Time",
		shortGeneric:       "CT",
		shortStandard:      "CST",
		shortDaylight:      "CDT",
		standardOffset:     -21600,
		daylightOffset:     -18000,
		standardOffsetHHMM: "-06:00",
		daylightOffsetHHMM: "-05:00",
		countryCode:        "CA",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Rankin_Inlet": &TzInfo{
		longGeneric:        "Central Time",
		longStandard:       "Central Standard Time",
		longDaylight:       "Central Daylight Time",
		shortGeneric:       "CT",
		shortStandard:      "CST",
		shortDaylight:      "CDT",
		standardOffset:     -21600,
		daylightOffset:     -18000,
		standardOffsetHHMM: "-06:00",
		daylightOffsetHHMM: "-05:00",
		countryCode:        "CA",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Recife": &TzInfo{
		longGeneric:        "Brasilia Time",
		longStandard:       "Brasilia Standard Time",
		longDaylight:       "Brasilia Summer Time",
		shortGeneric:       "BRT",
		shortStandard:      "BRT",
		shortDaylight:      "BRST",
		standardOffset:     -10800,
		daylightOffset:     -7200,
		standardOffsetHHMM: "-03:00",
		daylightOffsetHHMM: "-02:00",
		countryCode:        "BR",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2002,
	},
	"America/Regina": &TzInfo{
		longGeneric:        "Central Time",
		longStandard:       "Central Standard Time",
		longDaylight:       "Mountain Daylight Time",
		shortGeneric:       "CT",
		shortStandard:      "CST",
		shortDaylight:      "MDT",
		standardOffset:     -21600,
		daylightOffset:     -21600,
		standardOffsetHHMM: "-06:00",
		daylightOffsetHHMM: "-06:00",
		countryCode:        "CA",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1959,
	},
	"America/Resolute": &TzInfo{
		longGeneric:        "Central Time",
		longStandard:       "Central Standard Time",
		longDaylight:       "Central Daylight Time",
		shortGeneric:       "CT",
		shortStandard:      "CST",
		shortDaylight:      "CDT",
		standardOffset:     -21600,
		daylightOffset:     -18000,
		standardOffsetHHMM: "-06:00",
		daylightOffsetHHMM: "-05:00",
		countryCode:        "CA",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Rio_Branco": &TzInfo{
		longGeneric:        "Acre Time",
		longStandard:       "Acre Standard Time",
		longDaylight:       "Acre Summer Time",
		shortGeneric:       "ACT",
		shortStandard:      "ACT",
		shortDaylight:      "ACST",
		standardOffset:     -18000,
		daylightOffset:     -14400,
		standardOffsetHHMM: "-05:00",
		daylightOffsetHHMM: "-04:00",
		countryCode:        "BR",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1988,
	},
	"America/Rosario": &TzInfo{
		longGeneric:        "Argentina Time",
		longStandard:       "Argentina Standard Time",
		longDaylight:       "Argentina Summer Time",
		shortGeneric:       "ART",
		shortStandard:      "ART",
		shortDaylight:      "ARST",
		standardOffset:     -10800,
		daylightOffset:     -7200,
		standardOffsetHHMM: "-03:00",
		daylightOffsetHHMM: "-02:00",
		countryCode:        "AR",
		isDeprecated:       true,
		linkTo:             "America/Argentina/Cordoba",
		lastDST:            2009,
	},
	"America/Santa_Isabel": &TzInfo{
		longGeneric:        "Pacific Time",
		longStandard:       "Pacific Standard Time",
		longDaylight:       "Pacific Daylight Time",
		shortGeneric:       "PT",
		shortStandard:      "PST",
		shortDaylight:      "PDT",
		standardOffset:     -28800,
		daylightOffset:     -25200,
		standardOffsetHHMM: "-08:00",
		daylightOffsetHHMM: "-07:00",
		countryCode:        "MX",
		isDeprecated:       true,
		linkTo:             "America/Tijuana",
		lastDST:            2037,
	},
	"America/Santarem": &TzInfo{
		longGeneric:        "Brasilia Time",
		longStandard:       "Brasilia Standard Time",
		longDaylight:       "Amazon Summer Time",
		shortGeneric:       "BRT",
		shortStandard:      "BRT",
		shortDaylight:      "AMST",
		standardOffset:     -10800,
		daylightOffset:     -10800,
		standardOffsetHHMM: "-03:00",
		daylightOffsetHHMM: "-03:00",
		countryCode:        "BR",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1988,
	},
	"America/Santiago": &TzInfo{
		longGeneric:        "Chile Time",
		longStandard:       "Chile Standard Time",
		longDaylight:       "Chile Summer Time",
		shortGeneric:       "CLT",
		shortStandard:      "CLT",
		shortDaylight:      "CLST",
		standardOffset:     -14400,
		daylightOffset:     -10800,
		standardOffsetHHMM: "-04:00",
		daylightOffsetHHMM: "-03:00",
		countryCode:        "CL",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2038,
	},
	"America/Santo_Domingo": &TzInfo{
		longGeneric:        "Atlantic Time",
		longStandard:       "Atlantic Standard Time",
		longDaylight:       "Eastern Half Daylight Time",
		shortGeneric:       "AT",
		shortStandard:      "AST",
		shortDaylight:      "EHDT",
		standardOffset:     -14400,
		daylightOffset:     -16200,
		standardOffsetHHMM: "-04:00",
		daylightOffsetHHMM: "-04:30",
		countryCode:        "DO",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1974,
	},
	"America/Sao_Paulo": &TzInfo{
		longGeneric:        "Brasilia Time",
		longStandard:       "Brasilia Standard Time",
		longDaylight:       "Brasilia Summer Time",
		shortGeneric:       "BRT",
		shortStandard:      "BRT",
		shortDaylight:      "BRST",
		standardOffset:     -10800,
		daylightOffset:     -7200,
		standardOffsetHHMM: "-03:00",
		daylightOffsetHHMM: "-02:00",
		countryCode:        "BR",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2019,
	},
	"America/Scoresbysund": &TzInfo{
		longGeneric:        "East Greenland Time",
		longStandard:       "East Greenland Standard Time",
		longDaylight:       "East Greenland Summer Time",
		shortGeneric:       "EGT",
		shortStandard:      "EGT",
		shortDaylight:      "EGST",
		standardOffset:     -3600,
		daylightOffset:     0,
		standardOffsetHHMM: "-01:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "GL",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Shiprock": &TzInfo{
		longGeneric:        "Mountain Time",
		longStandard:       "Mountain Standard Time",
		longDaylight:       "Mountain Daylight Time",
		shortGeneric:       "MT",
		shortStandard:      "MST",
		shortDaylight:      "MDT",
		standardOffset:     -25200,
		daylightOffset:     -21600,
		standardOffsetHHMM: "-07:00",
		daylightOffsetHHMM: "-06:00",
		countryCode:        "US",
		isDeprecated:       true,
		linkTo:             "America/Denver",
		lastDST:            2037,
	},
	"America/Sitka": &TzInfo{
		longGeneric:        "Alaska Time",
		longStandard:       "Alaska Standard Time",
		longDaylight:       "Alaska Daylight Time",
		shortGeneric:       "AKT",
		shortStandard:      "AKST",
		shortDaylight:      "AKDT",
		standardOffset:     -32400,
		daylightOffset:     -28800,
		standardOffsetHHMM: "-09:00",
		daylightOffsetHHMM: "-08:00",
		countryCode:        "US",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/St_Barthelemy": &TzInfo{
		longGeneric:        "Atlantic Time",
		longStandard:       "Atlantic Standard Time",
		longDaylight:       "",
		shortGeneric:       "AT",
		shortStandard:      "AST",
		shortDaylight:      "",
		standardOffset:     -14400,
		daylightOffset:     0,
		standardOffsetHHMM: "-04:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "BL",
		isDeprecated:       false,
		linkTo:             "America/Port_of_Spain",
		lastDST:            0,
	},
	"America/St_Johns": &TzInfo{
		longGeneric:        "Newfoundland Time",
		longStandard:       "Newfoundland Standard Time",
		longDaylight:       "Newfoundland Daylight Time",
		shortGeneric:       "NT",
		shortStandard:      "NST",
		shortDaylight:      "NDT",
		standardOffset:     -12600,
		daylightOffset:     -9000,
		standardOffsetHHMM: "-03:30",
		daylightOffsetHHMM: "-02:30",
		countryCode:        "CA",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/St_Kitts": &TzInfo{
		longGeneric:        "Atlantic Time",
		longStandard:       "Atlantic Standard Time",
		longDaylight:       "",
		shortGeneric:       "AT",
		shortStandard:      "AST",
		shortDaylight:      "",
		standardOffset:     -14400,
		daylightOffset:     0,
		standardOffsetHHMM: "-04:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "KN",
		isDeprecated:       false,
		linkTo:             "America/Port_of_Spain",
		lastDST:            0,
	},
	"America/St_Lucia": &TzInfo{
		longGeneric:        "Atlantic Time",
		longStandard:       "Atlantic Standard Time",
		longDaylight:       "",
		shortGeneric:       "AT",
		shortStandard:      "AST",
		shortDaylight:      "",
		standardOffset:     -14400,
		daylightOffset:     0,
		standardOffsetHHMM: "-04:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "LC",
		isDeprecated:       false,
		linkTo:             "America/Port_of_Spain",
		lastDST:            0,
	},
	"America/St_Thomas": &TzInfo{
		longGeneric:        "Atlantic Time",
		longStandard:       "Atlantic Standard Time",
		longDaylight:       "",
		shortGeneric:       "AT",
		shortStandard:      "AST",
		shortDaylight:      "",
		standardOffset:     -14400,
		daylightOffset:     0,
		standardOffsetHHMM: "-04:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "VI",
		isDeprecated:       false,
		linkTo:             "America/Port_of_Spain",
		lastDST:            0,
	},
	"America/St_Vincent": &TzInfo{
		longGeneric:        "Atlantic Time",
		longStandard:       "Atlantic Standard Time",
		longDaylight:       "",
		shortGeneric:       "AT",
		shortStandard:      "AST",
		shortDaylight:      "",
		standardOffset:     -14400,
		daylightOffset:     0,
		standardOffsetHHMM: "-04:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "VC",
		isDeprecated:       false,
		linkTo:             "America/Port_of_Spain",
		lastDST:            0,
	},
	"America/Swift_Current": &TzInfo{
		longGeneric:        "Central Time",
		longStandard:       "Central Standard Time",
		longDaylight:       "Mountain Daylight Time",
		shortGeneric:       "CT",
		shortStandard:      "CST",
		shortDaylight:      "MDT",
		standardOffset:     -21600,
		daylightOffset:     -21600,
		standardOffsetHHMM: "-06:00",
		daylightOffsetHHMM: "-06:00",
		countryCode:        "CA",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1961,
	},
	"America/Tegucigalpa": &TzInfo{
		longGeneric:        "Central Time",
		longStandard:       "Central Standard Time",
		longDaylight:       "Central Daylight Time",
		shortGeneric:       "CT",
		shortStandard:      "CST",
		shortDaylight:      "CDT",
		standardOffset:     -21600,
		daylightOffset:     -18000,
		standardOffsetHHMM: "-06:00",
		daylightOffsetHHMM: "-05:00",
		countryCode:        "HN",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2006,
	},
	"America/Thule": &TzInfo{
		longGeneric:        "Atlantic Time",
		longStandard:       "Atlantic Standard Time",
		longDaylight:       "Atlantic Daylight Time",
		shortGeneric:       "AT",
		shortStandard:      "AST",
		shortDaylight:      "ADT",
		standardOffset:     -14400,
		daylightOffset:     -10800,
		standardOffsetHHMM: "-04:00",
		daylightOffsetHHMM: "-03:00",
		countryCode:        "GL",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Thunder_Bay": &TzInfo{
		longGeneric:        "Eastern Time",
		longStandard:       "Eastern Standard Time",
		longDaylight:       "Eastern Daylight Time",
		shortGeneric:       "ET",
		shortStandard:      "EST",
		shortDaylight:      "EDT",
		standardOffset:     -18000,
		daylightOffset:     -14400,
		standardOffsetHHMM: "-05:00",
		daylightOffsetHHMM: "-04:00",
		countryCode:        "CA",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Tijuana": &TzInfo{
		longGeneric:        "Pacific Time",
		longStandard:       "Pacific Standard Time",
		longDaylight:       "Pacific Daylight Time",
		shortGeneric:       "PT",
		shortStandard:      "PST",
		shortDaylight:      "PDT",
		standardOffset:     -28800,
		daylightOffset:     -25200,
		standardOffsetHHMM: "-08:00",
		daylightOffsetHHMM: "-07:00",
		countryCode:        "MX",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Toronto": &TzInfo{
		longGeneric:        "Eastern Time",
		longStandard:       "Eastern Standard Time",
		longDaylight:       "Eastern Daylight Time",
		shortGeneric:       "ET",
		shortStandard:      "EST",
		shortDaylight:      "EDT",
		standardOffset:     -18000,
		daylightOffset:     -14400,
		standardOffsetHHMM: "-05:00",
		daylightOffsetHHMM: "-04:00",
		countryCode:        "CA",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Tortola": &TzInfo{
		longGeneric:        "Atlantic Time",
		longStandard:       "Atlantic Standard Time",
		longDaylight:       "",
		shortGeneric:       "AT",
		shortStandard:      "AST",
		shortDaylight:      "",
		standardOffset:     -14400,
		daylightOffset:     0,
		standardOffsetHHMM: "-04:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "VG",
		isDeprecated:       false,
		linkTo:             "America/Port_of_Spain",
		lastDST:            0,
	},
	"America/Vancouver": &TzInfo{
		longGeneric:        "Pacific Time",
		longStandard:       "Pacific Standard Time",
		longDaylight:       "Pacific Daylight Time",
		shortGeneric:       "PT",
		shortStandard:      "PST",
		shortDaylight:      "PDT",
		standardOffset:     -28800,
		daylightOffset:     -25200,
		standardOffsetHHMM: "-08:00",
		daylightOffsetHHMM: "-07:00",
		countryCode:        "CA",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Virgin": &TzInfo{
		longGeneric:        "Atlantic Time",
		longStandard:       "Atlantic Standard Time",
		longDaylight:       "",
		shortGeneric:       "AT",
		shortStandard:      "AST",
		shortDaylight:      "",
		standardOffset:     -14400,
		daylightOffset:     0,
		standardOffsetHHMM: "-04:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "TT",
		isDeprecated:       true,
		linkTo:             "America/Port_of_Spain",
		lastDST:            0,
	},
	"America/Whitehorse": &TzInfo{
		longGeneric:        "Mountain Time",
		longStandard:       "Mountain Standard Time",
		longDaylight:       "Pacific Daylight Time",
		shortGeneric:       "MT",
		shortStandard:      "MST",
		shortDaylight:      "PDT",
		standardOffset:     -25200,
		daylightOffset:     -25200,
		standardOffsetHHMM: "-07:00",
		daylightOffsetHHMM: "-07:00",
		countryCode:        "CA",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2019,
	},
	"America/Winnipeg": &TzInfo{
		longGeneric:        "Central Time",
		longStandard:       "Central Standard Time",
		longDaylight:       "Central Daylight Time",
		shortGeneric:       "CT",
		shortStandard:      "CST",
		shortDaylight:      "CDT",
		standardOffset:     -21600,
		daylightOffset:     -18000,
		standardOffsetHHMM: "-06:00",
		daylightOffsetHHMM: "-05:00",
		countryCode:        "CA",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Yakutat": &TzInfo{
		longGeneric:        "Alaska Time",
		longStandard:       "Alaska Standard Time",
		longDaylight:       "Alaska Daylight Time",
		shortGeneric:       "AKT",
		shortStandard:      "AKST",
		shortDaylight:      "AKDT",
		standardOffset:     -32400,
		daylightOffset:     -28800,
		standardOffsetHHMM: "-09:00",
		daylightOffsetHHMM: "-08:00",
		countryCode:        "US",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"America/Yellowknife": &TzInfo{
		longGeneric:        "Mountain Time",
		longStandard:       "Mountain Standard Time",
		longDaylight:       "Mountain Daylight Time",
		shortGeneric:       "MT",
		shortStandard:      "MST",
		shortDaylight:      "MDT",
		standardOffset:     -25200,
		daylightOffset:     -21600,
		standardOffsetHHMM: "-07:00",
		daylightOffsetHHMM: "-06:00",
		countryCode:        "CA",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Antarctica/Casey": &TzInfo{
		longGeneric:        "Australian Western Time",
		longStandard:       "Australian Western Standard Time",
		longDaylight:       "",
		shortGeneric:       "AWT",
		shortStandard:      "AWST",
		shortDaylight:      "",
		standardOffset:     28800,
		daylightOffset:     0,
		standardOffsetHHMM: "+08:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "AQ",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Antarctica/Davis": &TzInfo{
		longGeneric:        "",
		longStandard:       "Davis Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "DAVT",
		shortDaylight:      "",
		standardOffset:     25200,
		daylightOffset:     0,
		standardOffsetHHMM: "+07:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "AQ",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Antarctica/DumontDUrville": &TzInfo{
		longGeneric:        "",
		longStandard:       "Dumont-d’Urville Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "DDUT",
		shortDaylight:      "",
		standardOffset:     36000,
		daylightOffset:     0,
		standardOffsetHHMM: "+10:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "AQ",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Antarctica/Macquarie": &TzInfo{
		longGeneric:        "",
		longStandard:       "Macquarie Island Time",
		longDaylight:       "Australian Eastern Daylight Time",
		shortGeneric:       "",
		shortStandard:      "MIST",
		shortDaylight:      "AEDT",
		standardOffset:     39600,
		daylightOffset:     39600,
		standardOffsetHHMM: "+11:00",
		daylightOffsetHHMM: "+11:00",
		countryCode:        "AU",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2010,
	},
	"Antarctica/Mawson": &TzInfo{
		longGeneric:        "",
		longStandard:       "Mawson Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "MAWT",
		shortDaylight:      "",
		standardOffset:     18000,
		daylightOffset:     0,
		standardOffsetHHMM: "+05:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "AQ",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Antarctica/McMurdo": &TzInfo{
		longGeneric:        "New Zealand Time",
		longStandard:       "New Zealand Standard Time",
		longDaylight:       "New Zealand Daylight Time",
		shortGeneric:       "NZT",
		shortStandard:      "NZST",
		shortDaylight:      "NZDT",
		standardOffset:     43200,
		daylightOffset:     46800,
		standardOffsetHHMM: "+12:00",
		daylightOffsetHHMM: "+13:00",
		countryCode:        "AQ",
		isDeprecated:       false,
		linkTo:             "Pacific/Auckland",
		lastDST:            2038,
	},
	"Antarctica/Palmer": &TzInfo{
		longGeneric:        "",
		longStandard:       "Rothera Time",
		longDaylight:       "Chile Summer Time",
		shortGeneric:       "",
		shortStandard:      "ROTT",
		shortDaylight:      "CLST",
		standardOffset:     -10800,
		daylightOffset:     -10800,
		standardOffsetHHMM: "-03:00",
		daylightOffsetHHMM: "-03:00",
		countryCode:        "AQ",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2016,
	},
	"Antarctica/Rothera": &TzInfo{
		longGeneric:        "",
		longStandard:       "Rothera Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "ROTT",
		shortDaylight:      "",
		standardOffset:     -10800,
		daylightOffset:     0,
		standardOffsetHHMM: "-03:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "AQ",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Antarctica/South_Pole": &TzInfo{
		longGeneric:        "New Zealand Time",
		longStandard:       "New Zealand Standard Time",
		longDaylight:       "New Zealand Daylight Time",
		shortGeneric:       "NZT",
		shortStandard:      "NZST",
		shortDaylight:      "NZDT",
		standardOffset:     43200,
		daylightOffset:     46800,
		standardOffsetHHMM: "+12:00",
		daylightOffsetHHMM: "+13:00",
		countryCode:        "NZ",
		isDeprecated:       true,
		linkTo:             "Pacific/Auckland",
		lastDST:            2038,
	},
	"Antarctica/Syowa": &TzInfo{
		longGeneric:        "",
		longStandard:       "Syowa Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "SYOT",
		shortDaylight:      "",
		standardOffset:     10800,
		daylightOffset:     0,
		standardOffsetHHMM: "+03:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "AQ",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Antarctica/Troll": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time",
		longDaylight:       "Central European Summer Time",
		shortGeneric:       "",
		shortStandard:      "GMT",
		shortDaylight:      "CEST",
		standardOffset:     0,
		daylightOffset:     7200,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+02:00",
		countryCode:        "AQ",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Antarctica/Vostok": &TzInfo{
		longGeneric:        "",
		longStandard:       "Vostok Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "VOST",
		shortDaylight:      "",
		standardOffset:     21600,
		daylightOffset:     0,
		standardOffsetHHMM: "+06:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "AQ",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Arctic/Longyearbyen": &TzInfo{
		longGeneric:        "Central European Time",
		longStandard:       "Central European Standard Time",
		longDaylight:       "Central European Summer Time",
		shortGeneric:       "CET",
		shortStandard:      "CET",
		shortDaylight:      "CEST",
		standardOffset:     3600,
		daylightOffset:     7200,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+02:00",
		countryCode:        "SJ",
		isDeprecated:       false,
		linkTo:             "Europe/Oslo",
		lastDST:            2037,
	},
	"Asia/Aden": &TzInfo{
		longGeneric:        "Arabian Time",
		longStandard:       "Arabian Standard Time",
		longDaylight:       "",
		shortGeneric:       "AST",
		shortStandard:      "AST",
		shortDaylight:      "",
		standardOffset:     10800,
		daylightOffset:     0,
		standardOffsetHHMM: "+03:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "YE",
		isDeprecated:       false,
		linkTo:             "Asia/Riyadh",
		lastDST:            0,
	},
	"Asia/Almaty": &TzInfo{
		longGeneric:        "Almaty Time",
		longStandard:       "Almaty Standard Time",
		longDaylight:       "Almaty Summer Time",
		shortGeneric:       "ALMT",
		shortStandard:      "ALMT",
		shortDaylight:      "ALMST",
		standardOffset:     21600,
		daylightOffset:     25200,
		standardOffsetHHMM: "+06:00",
		daylightOffsetHHMM: "+07:00",
		countryCode:        "KZ",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2004,
	},
	"Asia/Amman": &TzInfo{
		longGeneric:        "Eastern European Time",
		longStandard:       "Eastern European Standard Time",
		longDaylight:       "Eastern European Summer Time",
		shortGeneric:       "EET",
		shortStandard:      "EET",
		shortDaylight:      "EEST",
		standardOffset:     7200,
		daylightOffset:     10800,
		standardOffsetHHMM: "+02:00",
		daylightOffsetHHMM: "+03:00",
		countryCode:        "JO",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Asia/Anadyr": &TzInfo{
		longGeneric:        "Anadyr Time",
		longStandard:       "Anadyr Standard Time",
		longDaylight:       "Anadyr Summer Time",
		shortGeneric:       "ANAT",
		shortStandard:      "ANAT",
		shortDaylight:      "ANAST",
		standardOffset:     43200,
		daylightOffset:     43200,
		standardOffsetHHMM: "+12:00",
		daylightOffsetHHMM: "+12:00",
		countryCode:        "RU",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2010,
	},
	"Asia/Aqtau": &TzInfo{
		longGeneric:        "Aqtau Time",
		longStandard:       "Aqtau Standard Time",
		longDaylight:       "Aqtau Summer Time",
		shortGeneric:       "AQTT",
		shortStandard:      "AQTT",
		shortDaylight:      "AQTST",
		standardOffset:     18000,
		daylightOffset:     18000,
		standardOffsetHHMM: "+05:00",
		daylightOffsetHHMM: "+05:00",
		countryCode:        "KZ",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2004,
	},
	"Asia/Aqtobe": &TzInfo{
		longGeneric:        "Aqtobe Time",
		longStandard:       "Aqtobe Standard Time",
		longDaylight:       "Aqtobe Summer Time",
		shortGeneric:       "AQTT",
		shortStandard:      "AQTT",
		shortDaylight:      "AQTST",
		standardOffset:     18000,
		daylightOffset:     21600,
		standardOffsetHHMM: "+05:00",
		daylightOffsetHHMM: "+06:00",
		countryCode:        "KZ",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2004,
	},
	"Asia/Ashgabat": &TzInfo{
		longGeneric:        "Turkmenistan Time",
		longStandard:       "Turkmenistan Standard Time",
		longDaylight:       "Turkmenistan Summer Time",
		shortGeneric:       "TMT",
		shortStandard:      "TMT",
		shortDaylight:      "TMST",
		standardOffset:     18000,
		daylightOffset:     18000,
		standardOffsetHHMM: "+05:00",
		daylightOffsetHHMM: "+05:00",
		countryCode:        "TM",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1991,
	},
	"Asia/Ashkhabad": &TzInfo{
		longGeneric:        "Turkmenistan Time",
		longStandard:       "Turkmenistan Standard Time",
		longDaylight:       "Turkmenistan Summer Time",
		shortGeneric:       "TMT",
		shortStandard:      "TMT",
		shortDaylight:      "TMST",
		standardOffset:     18000,
		daylightOffset:     18000,
		standardOffsetHHMM: "+05:00",
		daylightOffsetHHMM: "+05:00",
		countryCode:        "TM",
		isDeprecated:       true,
		linkTo:             "Asia/Ashgabat",
		lastDST:            1991,
	},
	"Asia/Atyrau": &TzInfo{
		longGeneric:        "Aqtau Time",
		longStandard:       "Aqtau Standard Time",
		longDaylight:       "Aqtau Summer Time",
		shortGeneric:       "AQTT",
		shortStandard:      "AQTT",
		shortDaylight:      "AQTST",
		standardOffset:     18000,
		daylightOffset:     18000,
		standardOffsetHHMM: "+05:00",
		daylightOffsetHHMM: "+05:00",
		countryCode:        "KZ",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2004,
	},
	"Asia/Baghdad": &TzInfo{
		longGeneric:        "Arabian Time",
		longStandard:       "Arabian Standard Time",
		longDaylight:       "Arabian Daylight Time",
		shortGeneric:       "AST",
		shortStandard:      "AST",
		shortDaylight:      "ADT",
		standardOffset:     10800,
		daylightOffset:     14400,
		standardOffsetHHMM: "+03:00",
		daylightOffsetHHMM: "+04:00",
		countryCode:        "IQ",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2007,
	},
	"Asia/Bahrain": &TzInfo{
		longGeneric:        "Arabian Time",
		longStandard:       "Arabian Standard Time",
		longDaylight:       "",
		shortGeneric:       "AST",
		shortStandard:      "AST",
		shortDaylight:      "",
		standardOffset:     10800,
		daylightOffset:     0,
		standardOffsetHHMM: "+03:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "BH",
		isDeprecated:       false,
		linkTo:             "Asia/Qatar",
		lastDST:            0,
	},
	"Asia/Baku": &TzInfo{
		longGeneric:        "Azerbaijan Time",
		longStandard:       "Azerbaijan Standard Time",
		longDaylight:       "Azerbaijan Summer Time",
		shortGeneric:       "AZT",
		shortStandard:      "AZT",
		shortDaylight:      "AZST",
		standardOffset:     14400,
		daylightOffset:     18000,
		standardOffsetHHMM: "+04:00",
		daylightOffsetHHMM: "+05:00",
		countryCode:        "AZ",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2015,
	},
	"Asia/Bangkok": &TzInfo{
		longGeneric:        "",
		longStandard:       "Indochina Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "ICT",
		shortDaylight:      "",
		standardOffset:     25200,
		daylightOffset:     0,
		standardOffsetHHMM: "+07:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "TH",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Asia/Barnaul": &TzInfo{
		longGeneric:        "Krasnoyarsk Time",
		longStandard:       "Krasnoyarsk Standard Time",
		longDaylight:       "Krasnoyarsk Summer Time",
		shortGeneric:       "KRAT",
		shortStandard:      "KRAT",
		shortDaylight:      "KRAST",
		standardOffset:     25200,
		daylightOffset:     25200,
		standardOffsetHHMM: "+07:00",
		daylightOffsetHHMM: "+07:00",
		countryCode:        "RU",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2010,
	},
	"Asia/Beirut": &TzInfo{
		longGeneric:        "Eastern European Time",
		longStandard:       "Eastern European Standard Time",
		longDaylight:       "Eastern European Summer Time",
		shortGeneric:       "EET",
		shortStandard:      "EET",
		shortDaylight:      "EEST",
		standardOffset:     7200,
		daylightOffset:     10800,
		standardOffsetHHMM: "+02:00",
		daylightOffsetHHMM: "+03:00",
		countryCode:        "LB",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Asia/Bishkek": &TzInfo{
		longGeneric:        "",
		longStandard:       "Kyrgyzstan Time",
		longDaylight:       "Kyrgyzstan Summer Time",
		shortGeneric:       "",
		shortStandard:      "KGT",
		shortDaylight:      "KGST",
		standardOffset:     21600,
		daylightOffset:     21600,
		standardOffsetHHMM: "+06:00",
		daylightOffsetHHMM: "+06:00",
		countryCode:        "KG",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2005,
	},
	"Asia/Brunei": &TzInfo{
		longGeneric:        "",
		longStandard:       "Brunei Darussalam Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "BNT",
		shortDaylight:      "",
		standardOffset:     28800,
		daylightOffset:     0,
		standardOffsetHHMM: "+08:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "BN",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Asia/Calcutta": &TzInfo{
		longGeneric:        "",
		longStandard:       "India Standard Time",
		longDaylight:       "India Summer Time",
		shortGeneric:       "",
		shortStandard:      "IST",
		shortDaylight:      "IST",
		standardOffset:     19800,
		daylightOffset:     23400,
		standardOffsetHHMM: "+05:30",
		daylightOffsetHHMM: "+06:30",
		countryCode:        "IN",
		isDeprecated:       true,
		linkTo:             "Asia/Kolkata",
		lastDST:            1945,
	},
	"Asia/Chita": &TzInfo{
		longGeneric:        "Yakutsk Time",
		longStandard:       "Yakutsk Standard Time",
		longDaylight:       "Yakutsk Summer Time",
		shortGeneric:       "YAKT",
		shortStandard:      "YAKT",
		shortDaylight:      "YAKST",
		standardOffset:     32400,
		daylightOffset:     36000,
		standardOffsetHHMM: "+09:00",
		daylightOffsetHHMM: "+10:00",
		countryCode:        "RU",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2010,
	},
	"Asia/Choibalsan": &TzInfo{
		longGeneric:        "Choibalsan Time",
		longStandard:       "Choibalsan Standard Time",
		longDaylight:       "Choibalsan Summer Time",
		shortGeneric:       "CHOT",
		shortStandard:      "CHOT",
		shortDaylight:      "CHOST",
		standardOffset:     28800,
		daylightOffset:     32400,
		standardOffsetHHMM: "+08:00",
		daylightOffsetHHMM: "+09:00",
		countryCode:        "MN",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2016,
	},
	"Asia/Chongqing": &TzInfo{
		longGeneric:        "China Time",
		longStandard:       "China Standard Time",
		longDaylight:       "China Daylight Time",
		shortGeneric:       "CT",
		shortStandard:      "CST",
		shortDaylight:      "CDT",
		standardOffset:     28800,
		daylightOffset:     32400,
		standardOffsetHHMM: "+08:00",
		daylightOffsetHHMM: "+09:00",
		countryCode:        "CN",
		isDeprecated:       true,
		linkTo:             "Asia/Shanghai",
		lastDST:            1991,
	},
	"Asia/Chungking": &TzInfo{
		longGeneric:        "China Time",
		longStandard:       "China Standard Time",
		longDaylight:       "China Daylight Time",
		shortGeneric:       "CT",
		shortStandard:      "CST",
		shortDaylight:      "CDT",
		standardOffset:     28800,
		daylightOffset:     32400,
		standardOffsetHHMM: "+08:00",
		daylightOffsetHHMM: "+09:00",
		countryCode:        "CN",
		isDeprecated:       true,
		linkTo:             "Asia/Shanghai",
		lastDST:            1991,
	},
	"Asia/Colombo": &TzInfo{
		longGeneric:        "",
		longStandard:       "India Standard Time",
		longDaylight:       "India Summer Time",
		shortGeneric:       "",
		shortStandard:      "IST",
		shortDaylight:      "IST",
		standardOffset:     19800,
		daylightOffset:     23400,
		standardOffsetHHMM: "+05:30",
		daylightOffsetHHMM: "+06:30",
		countryCode:        "LK",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1945,
	},
	"Asia/Dacca": &TzInfo{
		longGeneric:        "Bangladesh Time",
		longStandard:       "Bangladesh Standard Time",
		longDaylight:       "Bangladesh Summer Time",
		shortGeneric:       "BDT",
		shortStandard:      "BDT",
		shortDaylight:      "BDST",
		standardOffset:     21600,
		daylightOffset:     25200,
		standardOffsetHHMM: "+06:00",
		daylightOffsetHHMM: "+07:00",
		countryCode:        "BD",
		isDeprecated:       true,
		linkTo:             "Asia/Dhaka",
		lastDST:            2009,
	},
	"Asia/Damascus": &TzInfo{
		longGeneric:        "Eastern European Time",
		longStandard:       "Eastern European Standard Time",
		longDaylight:       "Eastern European Summer Time",
		shortGeneric:       "EET",
		shortStandard:      "EET",
		shortDaylight:      "EEST",
		standardOffset:     7200,
		daylightOffset:     10800,
		standardOffsetHHMM: "+02:00",
		daylightOffsetHHMM: "+03:00",
		countryCode:        "SY",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Asia/Dhaka": &TzInfo{
		longGeneric:        "Bangladesh Time",
		longStandard:       "Bangladesh Standard Time",
		longDaylight:       "Bangladesh Summer Time",
		shortGeneric:       "BDT",
		shortStandard:      "BDT",
		shortDaylight:      "BDST",
		standardOffset:     21600,
		daylightOffset:     25200,
		standardOffsetHHMM: "+06:00",
		daylightOffsetHHMM: "+07:00",
		countryCode:        "BD",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2009,
	},
	"Asia/Dili": &TzInfo{
		longGeneric:        "",
		longStandard:       "East Timor Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "TLT",
		shortDaylight:      "",
		standardOffset:     32400,
		daylightOffset:     0,
		standardOffsetHHMM: "+09:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "TL",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Asia/Dubai": &TzInfo{
		longGeneric:        "",
		longStandard:       "Gulf Standard Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GST",
		shortDaylight:      "",
		standardOffset:     14400,
		daylightOffset:     0,
		standardOffsetHHMM: "+04:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "AE",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Asia/Dushanbe": &TzInfo{
		longGeneric:        "",
		longStandard:       "Tajikistan Time",
		longDaylight:       "Tashkent Summer Time",
		shortGeneric:       "",
		shortStandard:      "TJT",
		shortDaylight:      "TSD",
		standardOffset:     18000,
		daylightOffset:     21600,
		standardOffsetHHMM: "+05:00",
		daylightOffsetHHMM: "+06:00",
		countryCode:        "TJ",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1991,
	},
	"Asia/Famagusta": &TzInfo{
		longGeneric:        "Eastern European Time",
		longStandard:       "Eastern European Standard Time",
		longDaylight:       "Eastern European Summer Time",
		shortGeneric:       "EET",
		shortStandard:      "EET",
		shortDaylight:      "EEST",
		standardOffset:     7200,
		daylightOffset:     10800,
		standardOffsetHHMM: "+02:00",
		daylightOffsetHHMM: "+03:00",
		countryCode:        "CY",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Asia/Gaza": &TzInfo{
		longGeneric:        "Eastern European Time",
		longStandard:       "Eastern European Standard Time",
		longDaylight:       "Eastern European Summer Time",
		shortGeneric:       "EET",
		shortStandard:      "EET",
		shortDaylight:      "EEST",
		standardOffset:     7200,
		daylightOffset:     10800,
		standardOffsetHHMM: "+02:00",
		daylightOffsetHHMM: "+03:00",
		countryCode:        "PS",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Asia/Harbin": &TzInfo{
		longGeneric:        "China Time",
		longStandard:       "China Standard Time",
		longDaylight:       "",
		shortGeneric:       "CT",
		shortStandard:      "CST",
		shortDaylight:      "",
		standardOffset:     28800,
		daylightOffset:     32400,
		standardOffsetHHMM: "+08:00",
		daylightOffsetHHMM: "+09:00",
		countryCode:        "CN",
		isDeprecated:       true,
		linkTo:             "Asia/Shanghai",
		lastDST:            1991,
	},
	"Asia/Hebron": &TzInfo{
		longGeneric:        "Eastern European Time",
		longStandard:       "Eastern European Standard Time",
		longDaylight:       "Eastern European Summer Time",
		shortGeneric:       "EET",
		shortStandard:      "EET",
		shortDaylight:      "EEST",
		standardOffset:     7200,
		daylightOffset:     10800,
		standardOffsetHHMM: "+02:00",
		daylightOffsetHHMM: "+03:00",
		countryCode:        "PS",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Asia/Ho_Chi_Minh": &TzInfo{
		longGeneric:        "",
		longStandard:       "Indochina Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "ICT",
		shortDaylight:      "",
		standardOffset:     25200,
		daylightOffset:     0,
		standardOffsetHHMM: "+07:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "VN",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Asia/Hong_Kong": &TzInfo{
		longGeneric:        "Hong Kong Time",
		longStandard:       "Hong Kong Standard Time",
		longDaylight:       "Hong Kong Summer Time",
		shortGeneric:       "HKT",
		shortStandard:      "HKT",
		shortDaylight:      "HKST",
		standardOffset:     28800,
		daylightOffset:     32400,
		standardOffsetHHMM: "+08:00",
		daylightOffsetHHMM: "+09:00",
		countryCode:        "HK",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1979,
	},
	"Asia/Hovd": &TzInfo{
		longGeneric:        "Hovd Time",
		longStandard:       "Hovd Standard Time",
		longDaylight:       "Hovd Summer Time",
		shortGeneric:       "HOVT",
		shortStandard:      "HOVT",
		shortDaylight:      "HOVST",
		standardOffset:     25200,
		daylightOffset:     28800,
		standardOffsetHHMM: "+07:00",
		daylightOffsetHHMM: "+08:00",
		countryCode:        "MN",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2016,
	},
	"Asia/Irkutsk": &TzInfo{
		longGeneric:        "Irkutsk Time",
		longStandard:       "Irkutsk Standard Time",
		longDaylight:       "Irkutsk Summer Time",
		shortGeneric:       "IRKT",
		shortStandard:      "IRKT",
		shortDaylight:      "IRKST",
		standardOffset:     28800,
		daylightOffset:     32400,
		standardOffsetHHMM: "+08:00",
		daylightOffsetHHMM: "+09:00",
		countryCode:        "RU",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2010,
	},
	"Asia/Istanbul": &TzInfo{
		longGeneric:        "",
		longStandard:       "Turkey Time",
		longDaylight:       "Turkey Summer Time",
		shortGeneric:       "",
		shortStandard:      "TRT",
		shortDaylight:      "TRST",
		standardOffset:     10800,
		daylightOffset:     10800,
		standardOffsetHHMM: "+03:00",
		daylightOffsetHHMM: "+03:00",
		countryCode:        "TR",
		isDeprecated:       true,
		linkTo:             "Europe/Istanbul",
		lastDST:            2016,
	},
	"Asia/Jakarta": &TzInfo{
		longGeneric:        "",
		longStandard:       "Western Indonesia Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "WIB",
		shortDaylight:      "",
		standardOffset:     25200,
		daylightOffset:     0,
		standardOffsetHHMM: "+07:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "ID",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Asia/Jayapura": &TzInfo{
		longGeneric:        "",
		longStandard:       "Eastern Indonesia Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "WIT",
		shortDaylight:      "",
		standardOffset:     32400,
		daylightOffset:     0,
		standardOffsetHHMM: "+09:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "ID",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Asia/Jerusalem": &TzInfo{
		longGeneric:        "Israel Time",
		longStandard:       "Israel Standard Time",
		longDaylight:       "Israel Daylight Time",
		shortGeneric:       "IST",
		shortStandard:      "IST",
		shortDaylight:      "IDT",
		standardOffset:     7200,
		daylightOffset:     10800,
		standardOffsetHHMM: "+02:00",
		daylightOffsetHHMM: "+03:00",
		countryCode:        "IL",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Asia/Kabul": &TzInfo{
		longGeneric:        "",
		longStandard:       "Afghanistan Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "AFT",
		shortDaylight:      "",
		standardOffset:     16200,
		daylightOffset:     0,
		standardOffsetHHMM: "+04:30",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "AF",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Asia/Kamchatka": &TzInfo{
		longGeneric:        "Petropavlovsk-Kamchatski Time",
		longStandard:       "Petropavlovsk-Kamchatski Standard Time",
		longDaylight:       "Petropavlovsk-Kamchatski Summer Time",
		shortGeneric:       "PETT",
		shortStandard:      "PETT",
		shortDaylight:      "PETST",
		standardOffset:     43200,
		daylightOffset:     43200,
		standardOffsetHHMM: "+12:00",
		daylightOffsetHHMM: "+12:00",
		countryCode:        "RU",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2010,
	},
	"Asia/Karachi": &TzInfo{
		longGeneric:        "Pakistan Time",
		longStandard:       "Pakistan Standard Time",
		longDaylight:       "Pakistan Summer Time",
		shortGeneric:       "PKT",
		shortStandard:      "PKT",
		shortDaylight:      "PKST",
		standardOffset:     18000,
		daylightOffset:     21600,
		standardOffsetHHMM: "+05:00",
		daylightOffsetHHMM: "+06:00",
		countryCode:        "PK",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2009,
	},
	"Asia/Kashgar": &TzInfo{
		longGeneric:        "China Time",
		longStandard:       "China Standard Time",
		longDaylight:       "",
		shortGeneric:       "CT",
		shortStandard:      "CST",
		shortDaylight:      "",
		standardOffset:     21600,
		daylightOffset:     0,
		standardOffsetHHMM: "+06:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "CN",
		isDeprecated:       true,
		linkTo:             "Asia/Urumqi",
		lastDST:            0,
	},
	"Asia/Kathmandu": &TzInfo{
		longGeneric:        "",
		longStandard:       "Nepal Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "NPT",
		shortDaylight:      "",
		standardOffset:     20700,
		daylightOffset:     0,
		standardOffsetHHMM: "+05:45",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "NP",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Asia/Katmandu": &TzInfo{
		longGeneric:        "",
		longStandard:       "Nepal Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "NPT",
		shortDaylight:      "",
		standardOffset:     20700,
		daylightOffset:     0,
		standardOffsetHHMM: "+05:45",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "NP",
		isDeprecated:       true,
		linkTo:             "Asia/Kathmandu",
		lastDST:            0,
	},
	"Asia/Khandyga": &TzInfo{
		longGeneric:        "Yakutsk Time",
		longStandard:       "Yakutsk Standard Time",
		longDaylight:       "Yakutsk Summer Time",
		shortGeneric:       "YAKT",
		shortStandard:      "YAKT",
		shortDaylight:      "YAKST",
		standardOffset:     32400,
		daylightOffset:     39600,
		standardOffsetHHMM: "+09:00",
		daylightOffsetHHMM: "+11:00",
		countryCode:        "RU",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2010,
	},
	"Asia/Kolkata": &TzInfo{
		longGeneric:        "",
		longStandard:       "India Standard Time",
		longDaylight:       "India Summer Time",
		shortGeneric:       "",
		shortStandard:      "IST",
		shortDaylight:      "IST",
		standardOffset:     19800,
		daylightOffset:     23400,
		standardOffsetHHMM: "+05:30",
		daylightOffsetHHMM: "+06:30",
		countryCode:        "IN",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1945,
	},
	"Asia/Krasnoyarsk": &TzInfo{
		longGeneric:        "Krasnoyarsk Time",
		longStandard:       "Krasnoyarsk Standard Time",
		longDaylight:       "Krasnoyarsk Summer Time",
		shortGeneric:       "KRAT",
		shortStandard:      "KRAT",
		shortDaylight:      "KRAST",
		standardOffset:     25200,
		daylightOffset:     28800,
		standardOffsetHHMM: "+07:00",
		daylightOffsetHHMM: "+08:00",
		countryCode:        "RU",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2010,
	},
	"Asia/Kuala_Lumpur": &TzInfo{
		longGeneric:        "",
		longStandard:       "Malaysia Time",
		longDaylight:       "Malaya Summer Time",
		shortGeneric:       "",
		shortStandard:      "MYT",
		shortDaylight:      "MLAST",
		standardOffset:     28800,
		daylightOffset:     26400,
		standardOffsetHHMM: "+08:00",
		daylightOffsetHHMM: "+07:20",
		countryCode:        "MY",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1935,
	},
	"Asia/Kuching": &TzInfo{
		longGeneric:        "",
		longStandard:       "Malaysia Time",
		longDaylight:       "Borneo Summer Time",
		shortGeneric:       "",
		shortStandard:      "MYT",
		shortDaylight:      "BORTST",
		standardOffset:     28800,
		daylightOffset:     30000,
		standardOffsetHHMM: "+08:00",
		daylightOffsetHHMM: "+08:20",
		countryCode:        "MY",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1941,
	},
	"Asia/Kuwait": &TzInfo{
		longGeneric:        "Arabian Time",
		longStandard:       "Arabian Standard Time",
		longDaylight:       "",
		shortGeneric:       "AST",
		shortStandard:      "AST",
		shortDaylight:      "",
		standardOffset:     10800,
		daylightOffset:     0,
		standardOffsetHHMM: "+03:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "KW",
		isDeprecated:       false,
		linkTo:             "Asia/Riyadh",
		lastDST:            0,
	},
	"Asia/Macao": &TzInfo{
		longGeneric:        "China Time",
		longStandard:       "China Standard Time",
		longDaylight:       "China Daylight Time",
		shortGeneric:       "CT",
		shortStandard:      "CST",
		shortDaylight:      "CDT",
		standardOffset:     28800,
		daylightOffset:     32400,
		standardOffsetHHMM: "+08:00",
		daylightOffsetHHMM: "+09:00",
		countryCode:        "MO",
		isDeprecated:       true,
		linkTo:             "Asia/Macau",
		lastDST:            1979,
	},
	"Asia/Macau": &TzInfo{
		longGeneric:        "China Time",
		longStandard:       "China Standard Time",
		longDaylight:       "China Daylight Time",
		shortGeneric:       "CT",
		shortStandard:      "CST",
		shortDaylight:      "CDT",
		standardOffset:     28800,
		daylightOffset:     32400,
		standardOffsetHHMM: "+08:00",
		daylightOffsetHHMM: "+09:00",
		countryCode:        "MO",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1979,
	},
	"Asia/Magadan": &TzInfo{
		longGeneric:        "Magadan Time",
		longStandard:       "Magadan Standard Time",
		longDaylight:       "Magadan Summer Time",
		shortGeneric:       "MAGT",
		shortStandard:      "MAGT",
		shortDaylight:      "MAGST",
		standardOffset:     39600,
		daylightOffset:     43200,
		standardOffsetHHMM: "+11:00",
		daylightOffsetHHMM: "+12:00",
		countryCode:        "RU",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2010,
	},
	"Asia/Makassar": &TzInfo{
		longGeneric:        "",
		longStandard:       "Central Indonesia Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "WITA",
		shortDaylight:      "",
		standardOffset:     28800,
		daylightOffset:     0,
		standardOffsetHHMM: "+08:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "ID",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Asia/Manila": &TzInfo{
		longGeneric:        "Philippine Time",
		longStandard:       "Philippine Standard Time",
		longDaylight:       "Philippine Summer Time",
		shortGeneric:       "PHT",
		shortStandard:      "PHT",
		shortDaylight:      "PHST",
		standardOffset:     28800,
		daylightOffset:     32400,
		standardOffsetHHMM: "+08:00",
		daylightOffsetHHMM: "+09:00",
		countryCode:        "PH",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1978,
	},
	"Asia/Muscat": &TzInfo{
		longGeneric:        "",
		longStandard:       "Gulf Standard Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GST",
		shortDaylight:      "",
		standardOffset:     14400,
		daylightOffset:     0,
		standardOffsetHHMM: "+04:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "OM",
		isDeprecated:       false,
		linkTo:             "Asia/Dubai",
		lastDST:            0,
	},
	"Asia/Nicosia": &TzInfo{
		longGeneric:        "Eastern European Time",
		longStandard:       "Eastern European Standard Time",
		longDaylight:       "Eastern European Summer Time",
		shortGeneric:       "EET",
		shortStandard:      "EET",
		shortDaylight:      "EEST",
		standardOffset:     7200,
		daylightOffset:     10800,
		standardOffsetHHMM: "+02:00",
		daylightOffsetHHMM: "+03:00",
		countryCode:        "CY",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Asia/Novokuznetsk": &TzInfo{
		longGeneric:        "Krasnoyarsk Time",
		longStandard:       "Krasnoyarsk Standard Time",
		longDaylight:       "Krasnoyarsk Summer Time",
		shortGeneric:       "KRAT",
		shortStandard:      "KRAT",
		shortDaylight:      "KRAST",
		standardOffset:     25200,
		daylightOffset:     25200,
		standardOffsetHHMM: "+07:00",
		daylightOffsetHHMM: "+07:00",
		countryCode:        "RU",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2010,
	},
	"Asia/Novosibirsk": &TzInfo{
		longGeneric:        "Novosibirsk Time",
		longStandard:       "Novosibirsk Standard Time",
		longDaylight:       "Novosibirsk Summer Time",
		shortGeneric:       "NOVT",
		shortStandard:      "NOVT",
		shortDaylight:      "NOVST",
		standardOffset:     25200,
		daylightOffset:     25200,
		standardOffsetHHMM: "+07:00",
		daylightOffsetHHMM: "+07:00",
		countryCode:        "RU",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2010,
	},
	"Asia/Omsk": &TzInfo{
		longGeneric:        "Omsk Time",
		longStandard:       "Omsk Standard Time",
		longDaylight:       "Omsk Summer Time",
		shortGeneric:       "OMST",
		shortStandard:      "OMST",
		shortDaylight:      "OMSST",
		standardOffset:     21600,
		daylightOffset:     25200,
		standardOffsetHHMM: "+06:00",
		daylightOffsetHHMM: "+07:00",
		countryCode:        "RU",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2010,
	},
	"Asia/Oral": &TzInfo{
		longGeneric:        "",
		longStandard:       "Oral Time",
		longDaylight:       "Oral Summer Time",
		shortGeneric:       "",
		shortStandard:      "ORAT",
		shortDaylight:      "ORAST",
		standardOffset:     18000,
		daylightOffset:     18000,
		standardOffsetHHMM: "+05:00",
		daylightOffsetHHMM: "+05:00",
		countryCode:        "KZ",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2004,
	},
	"Asia/Phnom_Penh": &TzInfo{
		longGeneric:        "",
		longStandard:       "Indochina Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "ICT",
		shortDaylight:      "",
		standardOffset:     25200,
		daylightOffset:     0,
		standardOffsetHHMM: "+07:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "KH",
		isDeprecated:       false,
		linkTo:             "Asia/Bangkok",
		lastDST:            0,
	},
	"Asia/Pontianak": &TzInfo{
		longGeneric:        "",
		longStandard:       "Western Indonesia Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "WIB",
		shortDaylight:      "",
		standardOffset:     25200,
		daylightOffset:     0,
		standardOffsetHHMM: "+07:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "ID",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Asia/Pyongyang": &TzInfo{
		longGeneric:        "Korean Time",
		longStandard:       "Korean Standard Time",
		longDaylight:       "",
		shortGeneric:       "KT",
		shortStandard:      "KST",
		shortDaylight:      "",
		standardOffset:     32400,
		daylightOffset:     0,
		standardOffsetHHMM: "+09:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "KP",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Asia/Qatar": &TzInfo{
		longGeneric:        "Arabian Time",
		longStandard:       "Arabian Standard Time",
		longDaylight:       "",
		shortGeneric:       "AST",
		shortStandard:      "AST",
		shortDaylight:      "",
		standardOffset:     10800,
		daylightOffset:     0,
		standardOffsetHHMM: "+03:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "QA",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Asia/Qostanay": &TzInfo{
		longGeneric:        "",
		longStandard:       "Almaty Standard Time",
		longDaylight:       "Qyzylorda Summer Time",
		shortGeneric:       "",
		shortStandard:      "ALMT",
		shortDaylight:      "QYZST",
		standardOffset:     21600,
		daylightOffset:     21600,
		standardOffsetHHMM: "+06:00",
		daylightOffsetHHMM: "+06:00",
		countryCode:        "KZ",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2004,
	},
	"Asia/Qyzylorda": &TzInfo{
		longGeneric:        "Qyzylorda Time",
		longStandard:       "Qyzylorda Standard Time",
		longDaylight:       "Qyzylorda Summer Time",
		shortGeneric:       "QYZT",
		shortStandard:      "QYZT",
		shortDaylight:      "QYZST",
		standardOffset:     18000,
		daylightOffset:     21600,
		standardOffsetHHMM: "+05:00",
		daylightOffsetHHMM: "+06:00",
		countryCode:        "KZ",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2004,
	},
	"Asia/Rangoon": &TzInfo{
		longGeneric:        "",
		longStandard:       "Myanmar Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "MMT",
		shortDaylight:      "",
		standardOffset:     23400,
		daylightOffset:     0,
		standardOffsetHHMM: "+06:30",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "MM",
		isDeprecated:       true,
		linkTo:             "Asia/Yangon",
		lastDST:            0,
	},
	"Asia/Riyadh": &TzInfo{
		longGeneric:        "Arabian Time",
		longStandard:       "Arabian Standard Time",
		longDaylight:       "",
		shortGeneric:       "AST",
		shortStandard:      "AST",
		shortDaylight:      "",
		standardOffset:     10800,
		daylightOffset:     0,
		standardOffsetHHMM: "+03:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "SA",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Asia/Saigon": &TzInfo{
		longGeneric:        "",
		longStandard:       "Indochina Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "ICT",
		shortDaylight:      "",
		standardOffset:     25200,
		daylightOffset:     0,
		standardOffsetHHMM: "+07:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "VN",
		isDeprecated:       true,
		linkTo:             "Asia/Ho_Chi_Minh",
		lastDST:            0,
	},
	"Asia/Sakhalin": &TzInfo{
		longGeneric:        "Sakhalin Time",
		longStandard:       "Sakhalin Standard Time",
		longDaylight:       "Sakhalin Summer Time",
		shortGeneric:       "SAKT",
		shortStandard:      "SAKT",
		shortDaylight:      "SAKST",
		standardOffset:     39600,
		daylightOffset:     39600,
		standardOffsetHHMM: "+11:00",
		daylightOffsetHHMM: "+11:00",
		countryCode:        "RU",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2010,
	},
	"Asia/Samarkand": &TzInfo{
		longGeneric:        "Uzbekistan Time",
		longStandard:       "Uzbekistan Standard Time",
		longDaylight:       "Uzbekistan Summer Time",
		shortGeneric:       "UZT",
		shortStandard:      "UZT",
		shortDaylight:      "UZST",
		standardOffset:     18000,
		daylightOffset:     21600,
		standardOffsetHHMM: "+05:00",
		daylightOffsetHHMM: "+06:00",
		countryCode:        "UZ",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1991,
	},
	"Asia/Seoul": &TzInfo{
		longGeneric:        "Korean Time",
		longStandard:       "Korean Standard Time",
		longDaylight:       "Korean Daylight Time",
		shortGeneric:       "KT",
		shortStandard:      "KST",
		shortDaylight:      "KDT",
		standardOffset:     32400,
		daylightOffset:     36000,
		standardOffsetHHMM: "+09:00",
		daylightOffsetHHMM: "+10:00",
		countryCode:        "KR",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1988,
	},
	"Asia/Shanghai": &TzInfo{
		longGeneric:        "China Time",
		longStandard:       "China Standard Time",
		longDaylight:       "China Daylight Time",
		shortGeneric:       "CT",
		shortStandard:      "CST",
		shortDaylight:      "CDT",
		standardOffset:     28800,
		daylightOffset:     32400,
		standardOffsetHHMM: "+08:00",
		daylightOffsetHHMM: "+09:00",
		countryCode:        "CN",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1991,
	},
	"Asia/Singapore": &TzInfo{
		longGeneric:        "",
		longStandard:       "Singapore Standard Time",
		longDaylight:       "Malaya Summer Time",
		shortGeneric:       "",
		shortStandard:      "SGT",
		shortDaylight:      "MALST",
		standardOffset:     28800,
		daylightOffset:     26400,
		standardOffsetHHMM: "+08:00",
		daylightOffsetHHMM: "+07:20",
		countryCode:        "SG",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1935,
	},
	"Asia/Srednekolymsk": &TzInfo{
		longGeneric:        "",
		longStandard:       "Srednekolymsk Time",
		longDaylight:       "Magadan Summer Time",
		shortGeneric:       "",
		shortStandard:      "SRET",
		shortDaylight:      "MAGST",
		standardOffset:     39600,
		daylightOffset:     43200,
		standardOffsetHHMM: "+11:00",
		daylightOffsetHHMM: "+12:00",
		countryCode:        "RU",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2010,
	},
	"Asia/Taipei": &TzInfo{
		longGeneric:        "Taipei Time",
		longStandard:       "Taipei Standard Time",
		longDaylight:       "Taipei Daylight Time",
		shortGeneric:       "CT",
		shortStandard:      "CST",
		shortDaylight:      "CDT",
		standardOffset:     28800,
		daylightOffset:     32400,
		standardOffsetHHMM: "+08:00",
		daylightOffsetHHMM: "+09:00",
		countryCode:        "TW",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1979,
	},
	"Asia/Tashkent": &TzInfo{
		longGeneric:        "Uzbekistan Time",
		longStandard:       "Uzbekistan Standard Time",
		longDaylight:       "Uzbekistan Summer Time",
		shortGeneric:       "UZT",
		shortStandard:      "UZT",
		shortDaylight:      "UZST",
		standardOffset:     18000,
		daylightOffset:     21600,
		standardOffsetHHMM: "+05:00",
		daylightOffsetHHMM: "+06:00",
		countryCode:        "UZ",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1991,
	},
	"Asia/Tbilisi": &TzInfo{
		longGeneric:        "Georgia Time",
		longStandard:       "Georgia Standard Time",
		longDaylight:       "Georgia Summer Time",
		shortGeneric:       "GET",
		shortStandard:      "GET",
		shortDaylight:      "GEST",
		standardOffset:     14400,
		daylightOffset:     14400,
		standardOffsetHHMM: "+04:00",
		daylightOffsetHHMM: "+04:00",
		countryCode:        "GE",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2004,
	},
	"Asia/Tehran": &TzInfo{
		longGeneric:        "Iran Time",
		longStandard:       "Iran Standard Time",
		longDaylight:       "Iran Daylight Time",
		shortGeneric:       "IRST",
		shortStandard:      "IRST",
		shortDaylight:      "IRDT",
		standardOffset:     12600,
		daylightOffset:     16200,
		standardOffsetHHMM: "+03:30",
		daylightOffsetHHMM: "+04:30",
		countryCode:        "IR",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Asia/Tel_Aviv": &TzInfo{
		longGeneric:        "Israel Time",
		longStandard:       "Israel Standard Time",
		longDaylight:       "Israel Daylight Time",
		shortGeneric:       "IST",
		shortStandard:      "IST",
		shortDaylight:      "IDT",
		standardOffset:     7200,
		daylightOffset:     10800,
		standardOffsetHHMM: "+02:00",
		daylightOffsetHHMM: "+03:00",
		countryCode:        "IL",
		isDeprecated:       true,
		linkTo:             "Asia/Jerusalem",
		lastDST:            2037,
	},
	"Asia/Thimbu": &TzInfo{
		longGeneric:        "",
		longStandard:       "Bhutan Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "BTT",
		shortDaylight:      "",
		standardOffset:     21600,
		daylightOffset:     0,
		standardOffsetHHMM: "+06:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "BT",
		isDeprecated:       true,
		linkTo:             "Asia/Thimphu",
		lastDST:            0,
	},
	"Asia/Thimphu": &TzInfo{
		longGeneric:        "",
		longStandard:       "Bhutan Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "BTT",
		shortDaylight:      "",
		standardOffset:     21600,
		daylightOffset:     0,
		standardOffsetHHMM: "+06:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "BT",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Asia/Tokyo": &TzInfo{
		longGeneric:        "Japan Time",
		longStandard:       "Japan Standard Time",
		longDaylight:       "Japan Daylight Time",
		shortGeneric:       "JST",
		shortStandard:      "JST",
		shortDaylight:      "JDT",
		standardOffset:     32400,
		daylightOffset:     39600,
		standardOffsetHHMM: "+09:00",
		daylightOffsetHHMM: "+11:00",
		countryCode:        "JP",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1951,
	},
	"Asia/Tomsk": &TzInfo{
		longGeneric:        "Novosibirsk Time",
		longStandard:       "Novosibirsk Standard Time",
		longDaylight:       "Novosibirsk Summer Time",
		shortGeneric:       "NOVT",
		shortStandard:      "NOVT",
		shortDaylight:      "NOVST",
		standardOffset:     25200,
		daylightOffset:     25200,
		standardOffsetHHMM: "+07:00",
		daylightOffsetHHMM: "+07:00",
		countryCode:        "RU",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2010,
	},
	"Asia/Ujung_Pandang": &TzInfo{
		longGeneric:        "",
		longStandard:       "Central Indonesia Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "WITA",
		shortDaylight:      "",
		standardOffset:     28800,
		daylightOffset:     0,
		standardOffsetHHMM: "+08:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "ID",
		isDeprecated:       true,
		linkTo:             "Asia/Makassar",
		lastDST:            0,
	},
	"Asia/Ulaanbaatar": &TzInfo{
		longGeneric:        "Ulaanbaatar Time",
		longStandard:       "Ulaanbaatar Standard Time",
		longDaylight:       "Ulaanbaatar Summer Time",
		shortGeneric:       "ULAT",
		shortStandard:      "ULAT",
		shortDaylight:      "ULAST",
		standardOffset:     28800,
		daylightOffset:     32400,
		standardOffsetHHMM: "+08:00",
		daylightOffsetHHMM: "+09:00",
		countryCode:        "MN",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2016,
	},
	"Asia/Ulan_Bator": &TzInfo{
		longGeneric:        "Ulaanbaatar Time",
		longStandard:       "Ulaanbaatar Standard Time",
		longDaylight:       "Ulaanbaatar Summer Time",
		shortGeneric:       "ULAT",
		shortStandard:      "ULAT",
		shortDaylight:      "ULAST",
		standardOffset:     28800,
		daylightOffset:     32400,
		standardOffsetHHMM: "+08:00",
		daylightOffsetHHMM: "+09:00",
		countryCode:        "MN",
		isDeprecated:       true,
		linkTo:             "Asia/Ulaanbaatar",
		lastDST:            2016,
	},
	"Asia/Urumqi": &TzInfo{
		longGeneric:        "",
		longStandard:       "China Standard Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "CST",
		shortDaylight:      "",
		standardOffset:     21600,
		daylightOffset:     0,
		standardOffsetHHMM: "+06:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "CN",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Asia/Ust-Nera": &TzInfo{
		longGeneric:        "Vladivostok Time",
		longStandard:       "Vladivostok Standard Time",
		longDaylight:       "Vladivostok Summer Time",
		shortGeneric:       "VLAT",
		shortStandard:      "VLAT",
		shortDaylight:      "VLAST",
		standardOffset:     36000,
		daylightOffset:     43200,
		standardOffsetHHMM: "+10:00",
		daylightOffsetHHMM: "+12:00",
		countryCode:        "RU",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2010,
	},
	"Asia/Vientiane": &TzInfo{
		longGeneric:        "",
		longStandard:       "Indochina Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "ICT",
		shortDaylight:      "",
		standardOffset:     25200,
		daylightOffset:     0,
		standardOffsetHHMM: "+07:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "LA",
		isDeprecated:       false,
		linkTo:             "Asia/Bangkok",
		lastDST:            0,
	},
	"Asia/Vladivostok": &TzInfo{
		longGeneric:        "Vladivostok Time",
		longStandard:       "Vladivostok Standard Time",
		longDaylight:       "Vladivostok Summer Time",
		shortGeneric:       "VLAT",
		shortStandard:      "VLAT",
		shortDaylight:      "VLAST",
		standardOffset:     36000,
		daylightOffset:     39600,
		standardOffsetHHMM: "+10:00",
		daylightOffsetHHMM: "+11:00",
		countryCode:        "RU",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2010,
	},
	"Asia/Yakutsk": &TzInfo{
		longGeneric:        "Yakutsk Time",
		longStandard:       "Yakutsk Standard Time",
		longDaylight:       "Yakutsk Summer Time",
		shortGeneric:       "YAKT",
		shortStandard:      "YAKT",
		shortDaylight:      "YAKST",
		standardOffset:     32400,
		daylightOffset:     36000,
		standardOffsetHHMM: "+09:00",
		daylightOffsetHHMM: "+10:00",
		countryCode:        "RU",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2010,
	},
	"Asia/Yangon": &TzInfo{
		longGeneric:        "",
		longStandard:       "Myanmar Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "MMT",
		shortDaylight:      "",
		standardOffset:     23400,
		daylightOffset:     0,
		standardOffsetHHMM: "+06:30",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "MM",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Asia/Yekaterinburg": &TzInfo{
		longGeneric:        "Yekaterinburg Time",
		longStandard:       "Yekaterinburg Standard Time",
		longDaylight:       "Yekaterinburg Summer Time",
		shortGeneric:       "YEKT",
		shortStandard:      "YEKT",
		shortDaylight:      "YEKST",
		standardOffset:     18000,
		daylightOffset:     21600,
		standardOffsetHHMM: "+05:00",
		daylightOffsetHHMM: "+06:00",
		countryCode:        "RU",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2010,
	},
	"Asia/Yerevan": &TzInfo{
		longGeneric:        "Armenia Time",
		longStandard:       "Armenia Standard Time",
		longDaylight:       "Armenia Summer Time",
		shortGeneric:       "AMT",
		shortStandard:      "AMT",
		shortDaylight:      "AMST",
		standardOffset:     14400,
		daylightOffset:     18000,
		standardOffsetHHMM: "+04:00",
		daylightOffsetHHMM: "+05:00",
		countryCode:        "AM",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2011,
	},
	"Atlantic/Azores": &TzInfo{
		longGeneric:        "Azores Time",
		longStandard:       "Azores Standard Time",
		longDaylight:       "Azores Summer Time",
		shortGeneric:       "AZOT",
		shortStandard:      "AZOT",
		shortDaylight:      "AZOST",
		standardOffset:     -3600,
		daylightOffset:     0,
		standardOffsetHHMM: "-01:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "PT",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Atlantic/Bermuda": &TzInfo{
		longGeneric:        "Atlantic Time",
		longStandard:       "Atlantic Standard Time",
		longDaylight:       "Atlantic Daylight Time",
		shortGeneric:       "AT",
		shortStandard:      "AST",
		shortDaylight:      "ADT",
		standardOffset:     -14400,
		daylightOffset:     -10800,
		standardOffsetHHMM: "-04:00",
		daylightOffsetHHMM: "-03:00",
		countryCode:        "BM",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Atlantic/Canary": &TzInfo{
		longGeneric:        "Western European Time",
		longStandard:       "Western European Standard Time",
		longDaylight:       "Western European Summer Time",
		shortGeneric:       "WET",
		shortStandard:      "WET",
		shortDaylight:      "WEST",
		standardOffset:     0,
		daylightOffset:     3600,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+01:00",
		countryCode:        "ES",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Atlantic/Cape_Verde": &TzInfo{
		longGeneric:        "Cape Verde Time",
		longStandard:       "Cape Verde Standard Time",
		longDaylight:       "Cape Verde Summer Time",
		shortGeneric:       "CVT",
		shortStandard:      "CVT",
		shortDaylight:      "CVST",
		standardOffset:     -3600,
		daylightOffset:     -3600,
		standardOffsetHHMM: "-01:00",
		daylightOffsetHHMM: "-01:00",
		countryCode:        "CV",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1945,
	},
	"Atlantic/Faeroe": &TzInfo{
		longGeneric:        "Western European Time",
		longStandard:       "Western European Standard Time",
		longDaylight:       "Western European Summer Time",
		shortGeneric:       "WET",
		shortStandard:      "WET",
		shortDaylight:      "WEST",
		standardOffset:     0,
		daylightOffset:     3600,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+01:00",
		countryCode:        "FO",
		isDeprecated:       true,
		linkTo:             "Atlantic/Faroe",
		lastDST:            2037,
	},
	"Atlantic/Faroe": &TzInfo{
		longGeneric:        "Western European Time",
		longStandard:       "Western European Standard Time",
		longDaylight:       "Western European Summer Time",
		shortGeneric:       "WET",
		shortStandard:      "WET",
		shortDaylight:      "WEST",
		standardOffset:     0,
		daylightOffset:     3600,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+01:00",
		countryCode:        "FO",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Atlantic/Jan_Mayen": &TzInfo{
		longGeneric:        "Central European Time",
		longStandard:       "Central European Standard Time",
		longDaylight:       "Central European Summer Time",
		shortGeneric:       "CET",
		shortStandard:      "CET",
		shortDaylight:      "CEST",
		standardOffset:     3600,
		daylightOffset:     7200,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+02:00",
		countryCode:        "NO",
		isDeprecated:       true,
		linkTo:             "Europe/Oslo",
		lastDST:            2037,
	},
	"Atlantic/Madeira": &TzInfo{
		longGeneric:        "Western European Time",
		longStandard:       "Western European Standard Time",
		longDaylight:       "Western European Summer Time",
		shortGeneric:       "WET",
		shortStandard:      "WET",
		shortDaylight:      "WEST",
		standardOffset:     0,
		daylightOffset:     3600,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+01:00",
		countryCode:        "PT",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Atlantic/Reykjavik": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time",
		longDaylight:       "Greenwich Mean Time",
		shortGeneric:       "",
		shortStandard:      "GMT",
		shortDaylight:      "GMT",
		standardOffset:     0,
		daylightOffset:     0,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "IS",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1967,
	},
	"Atlantic/South_Georgia": &TzInfo{
		longGeneric:        "",
		longStandard:       "South Georgia Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GST",
		shortDaylight:      "",
		standardOffset:     -7200,
		daylightOffset:     0,
		standardOffsetHHMM: "-02:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "GS",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Atlantic/St_Helena": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT",
		shortDaylight:      "",
		standardOffset:     0,
		daylightOffset:     0,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "SH",
		isDeprecated:       false,
		linkTo:             "Africa/Abidjan",
		lastDST:            0,
	},
	"Atlantic/Stanley": &TzInfo{
		longGeneric:        "Falkland Islands Time",
		longStandard:       "Falkland Islands Standard Time",
		longDaylight:       "Falkland Islands Summer Time",
		shortGeneric:       "FKT",
		shortStandard:      "FKT",
		shortDaylight:      "FKST",
		standardOffset:     -10800,
		daylightOffset:     -10800,
		standardOffsetHHMM: "-03:00",
		daylightOffsetHHMM: "-03:00",
		countryCode:        "FK",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2010,
	},
	"Australia/ACT": &TzInfo{
		longGeneric:        "Eastern Australia Time",
		longStandard:       "Australian Eastern Standard Time",
		longDaylight:       "Australian Eastern Daylight Time",
		shortGeneric:       "AET",
		shortStandard:      "AEST",
		shortDaylight:      "AEDT",
		standardOffset:     36000,
		daylightOffset:     39600,
		standardOffsetHHMM: "+10:00",
		daylightOffsetHHMM: "+11:00",
		countryCode:        "AU",
		isDeprecated:       true,
		linkTo:             "Australia/Sydney",
		lastDST:            2038,
	},
	"Australia/Adelaide": &TzInfo{
		longGeneric:        "Central Australia Time",
		longStandard:       "Australian Central Standard Time",
		longDaylight:       "Australian Central Daylight Time",
		shortGeneric:       "ACT",
		shortStandard:      "ACST",
		shortDaylight:      "ACDT",
		standardOffset:     34200,
		daylightOffset:     37800,
		standardOffsetHHMM: "+09:30",
		daylightOffsetHHMM: "+10:30",
		countryCode:        "AU",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2038,
	},
	"Australia/Brisbane": &TzInfo{
		longGeneric:        "Eastern Australia Time",
		longStandard:       "Australian Eastern Standard Time",
		longDaylight:       "Australian Eastern Daylight Time",
		shortGeneric:       "AET",
		shortStandard:      "AEST",
		shortDaylight:      "AEDT",
		standardOffset:     36000,
		daylightOffset:     39600,
		standardOffsetHHMM: "+10:00",
		daylightOffsetHHMM: "+11:00",
		countryCode:        "AU",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1992,
	},
	"Australia/Broken_Hill": &TzInfo{
		longGeneric:        "Central Australia Time",
		longStandard:       "Australian Central Standard Time",
		longDaylight:       "Australian Central Daylight Time",
		shortGeneric:       "ACT",
		shortStandard:      "ACST",
		shortDaylight:      "ACDT",
		standardOffset:     34200,
		daylightOffset:     37800,
		standardOffsetHHMM: "+09:30",
		daylightOffsetHHMM: "+10:30",
		countryCode:        "AU",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2038,
	},
	"Australia/Canberra": &TzInfo{
		longGeneric:        "Eastern Australia Time",
		longStandard:       "Australian Eastern Standard Time",
		longDaylight:       "Australian Eastern Daylight Time",
		shortGeneric:       "AET",
		shortStandard:      "AEST",
		shortDaylight:      "AEDT",
		standardOffset:     36000,
		daylightOffset:     39600,
		standardOffsetHHMM: "+10:00",
		daylightOffsetHHMM: "+11:00",
		countryCode:        "AU",
		isDeprecated:       true,
		linkTo:             "Australia/Sydney",
		lastDST:            2038,
	},
	"Australia/Currie": &TzInfo{
		longGeneric:        "Eastern Australia Time",
		longStandard:       "Australian Eastern Standard Time",
		longDaylight:       "Australian Eastern Daylight Time",
		shortGeneric:       "AET",
		shortStandard:      "AEST",
		shortDaylight:      "AEDT",
		standardOffset:     36000,
		daylightOffset:     39600,
		standardOffsetHHMM: "+10:00",
		daylightOffsetHHMM: "+11:00",
		countryCode:        "AU",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2038,
	},
	"Australia/Darwin": &TzInfo{
		longGeneric:        "Central Australia Time",
		longStandard:       "Australian Central Standard Time",
		longDaylight:       "Australian Central Daylight Time",
		shortGeneric:       "ACT",
		shortStandard:      "ACST",
		shortDaylight:      "ACDT",
		standardOffset:     34200,
		daylightOffset:     37800,
		standardOffsetHHMM: "+09:30",
		daylightOffsetHHMM: "+10:30",
		countryCode:        "AU",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1944,
	},
	"Australia/Eucla": &TzInfo{
		longGeneric:        "Australian Central Western Time",
		longStandard:       "Australian Central Western Standard Time",
		longDaylight:       "Australian Central Western Daylight Time",
		shortGeneric:       "ACWT",
		shortStandard:      "ACWST",
		shortDaylight:      "ACWDT",
		standardOffset:     31500,
		daylightOffset:     35100,
		standardOffsetHHMM: "+08:45",
		daylightOffsetHHMM: "+09:45",
		countryCode:        "AU",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2009,
	},
	"Australia/Hobart": &TzInfo{
		longGeneric:        "Eastern Australia Time",
		longStandard:       "Australian Eastern Standard Time",
		longDaylight:       "Australian Eastern Daylight Time",
		shortGeneric:       "AET",
		shortStandard:      "AEST",
		shortDaylight:      "AEDT",
		standardOffset:     36000,
		daylightOffset:     39600,
		standardOffsetHHMM: "+10:00",
		daylightOffsetHHMM: "+11:00",
		countryCode:        "AU",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2038,
	},
	"Australia/LHI": &TzInfo{
		longGeneric:        "Lord Howe Time",
		longStandard:       "Lord Howe Standard Time",
		longDaylight:       "Lord Howe Daylight Time",
		shortGeneric:       "LHT",
		shortStandard:      "LHST",
		shortDaylight:      "LHDT",
		standardOffset:     37800,
		daylightOffset:     39600,
		standardOffsetHHMM: "+10:30",
		daylightOffsetHHMM: "+11:00",
		countryCode:        "AU",
		isDeprecated:       true,
		linkTo:             "Australia/Lord_Howe",
		lastDST:            2038,
	},
	"Australia/Lindeman": &TzInfo{
		longGeneric:        "Eastern Australia Time",
		longStandard:       "Australian Eastern Standard Time",
		longDaylight:       "Australian Eastern Daylight Time",
		shortGeneric:       "AET",
		shortStandard:      "AEST",
		shortDaylight:      "AEDT",
		standardOffset:     36000,
		daylightOffset:     39600,
		standardOffsetHHMM: "+10:00",
		daylightOffsetHHMM: "+11:00",
		countryCode:        "AU",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1994,
	},
	"Australia/Lord_Howe": &TzInfo{
		longGeneric:        "Lord Howe Time",
		longStandard:       "Lord Howe Standard Time",
		longDaylight:       "Lord Howe Daylight Time",
		shortGeneric:       "LHT",
		shortStandard:      "LHST",
		shortDaylight:      "LHDT",
		standardOffset:     37800,
		daylightOffset:     39600,
		standardOffsetHHMM: "+10:30",
		daylightOffsetHHMM: "+11:00",
		countryCode:        "AU",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2038,
	},
	"Australia/Melbourne": &TzInfo{
		longGeneric:        "Eastern Australia Time",
		longStandard:       "Australian Eastern Standard Time",
		longDaylight:       "Australian Eastern Daylight Time",
		shortGeneric:       "AET",
		shortStandard:      "AEST",
		shortDaylight:      "AEDT",
		standardOffset:     36000,
		daylightOffset:     39600,
		standardOffsetHHMM: "+10:00",
		daylightOffsetHHMM: "+11:00",
		countryCode:        "AU",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2038,
	},
	"Australia/NSW": &TzInfo{
		longGeneric:        "Eastern Australia Time",
		longStandard:       "Australian Eastern Standard Time",
		longDaylight:       "Australian Eastern Daylight Time",
		shortGeneric:       "AET",
		shortStandard:      "AEST",
		shortDaylight:      "AEDT",
		standardOffset:     36000,
		daylightOffset:     39600,
		standardOffsetHHMM: "+10:00",
		daylightOffsetHHMM: "+11:00",
		countryCode:        "AU",
		isDeprecated:       true,
		linkTo:             "Australia/Sydney",
		lastDST:            2038,
	},
	"Australia/North": &TzInfo{
		longGeneric:        "Central Australia Time",
		longStandard:       "Australian Central Standard Time",
		longDaylight:       "",
		shortGeneric:       "ACT",
		shortStandard:      "ACST",
		shortDaylight:      "",
		standardOffset:     34200,
		daylightOffset:     37800,
		standardOffsetHHMM: "+09:30",
		daylightOffsetHHMM: "+10:30",
		countryCode:        "AU",
		isDeprecated:       true,
		linkTo:             "Australia/Darwin",
		lastDST:            1944,
	},
	"Australia/Perth": &TzInfo{
		longGeneric:        "Australian Western Time",
		longStandard:       "Australian Western Standard Time",
		longDaylight:       "Australian Western Daylight Time",
		shortGeneric:       "AWT",
		shortStandard:      "AWST",
		shortDaylight:      "AWDT",
		standardOffset:     28800,
		daylightOffset:     32400,
		standardOffsetHHMM: "+08:00",
		daylightOffsetHHMM: "+09:00",
		countryCode:        "AU",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2009,
	},
	"Australia/Queensland": &TzInfo{
		longGeneric:        "Eastern Australia Time",
		longStandard:       "Australian Eastern Standard Time",
		longDaylight:       "Australian Eastern Daylight Time",
		shortGeneric:       "AET",
		shortStandard:      "AEST",
		shortDaylight:      "AEDT",
		standardOffset:     36000,
		daylightOffset:     39600,
		standardOffsetHHMM: "+10:00",
		daylightOffsetHHMM: "+11:00",
		countryCode:        "AU",
		isDeprecated:       true,
		linkTo:             "Australia/Brisbane",
		lastDST:            1992,
	},
	"Australia/South": &TzInfo{
		longGeneric:        "Central Australia Time",
		longStandard:       "Australian Central Standard Time",
		longDaylight:       "Australian Central Daylight Time",
		shortGeneric:       "ACT",
		shortStandard:      "ACST",
		shortDaylight:      "ACDT",
		standardOffset:     34200,
		daylightOffset:     37800,
		standardOffsetHHMM: "+09:30",
		daylightOffsetHHMM: "+10:30",
		countryCode:        "AU",
		isDeprecated:       true,
		linkTo:             "Australia/Adelaide",
		lastDST:            2038,
	},
	"Australia/Sydney": &TzInfo{
		longGeneric:        "Eastern Australia Time",
		longStandard:       "Australian Eastern Standard Time",
		longDaylight:       "Australian Eastern Daylight Time",
		shortGeneric:       "AET",
		shortStandard:      "AEST",
		shortDaylight:      "AEDT",
		standardOffset:     36000,
		daylightOffset:     39600,
		standardOffsetHHMM: "+10:00",
		daylightOffsetHHMM: "+11:00",
		countryCode:        "AU",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2038,
	},
	"Australia/Tasmania": &TzInfo{
		longGeneric:        "Eastern Australia Time",
		longStandard:       "Australian Eastern Standard Time",
		longDaylight:       "Australian Eastern Daylight Time",
		shortGeneric:       "AET",
		shortStandard:      "AEST",
		shortDaylight:      "AEDT",
		standardOffset:     36000,
		daylightOffset:     39600,
		standardOffsetHHMM: "+10:00",
		daylightOffsetHHMM: "+11:00",
		countryCode:        "AU",
		isDeprecated:       true,
		linkTo:             "Australia/Hobart",
		lastDST:            2038,
	},
	"Australia/Victoria": &TzInfo{
		longGeneric:        "Eastern Australia Time",
		longStandard:       "Australian Eastern Standard Time",
		longDaylight:       "Australian Eastern Daylight Time",
		shortGeneric:       "AET",
		shortStandard:      "AEST",
		shortDaylight:      "AEDT",
		standardOffset:     36000,
		daylightOffset:     39600,
		standardOffsetHHMM: "+10:00",
		daylightOffsetHHMM: "+11:00",
		countryCode:        "AU",
		isDeprecated:       true,
		linkTo:             "Australia/Melbourne",
		lastDST:            2038,
	},
	"Australia/West": &TzInfo{
		longGeneric:        "Australian Western Time",
		longStandard:       "Australian Western Standard Time",
		longDaylight:       "Australian Western Daylight Time",
		shortGeneric:       "AWT",
		shortStandard:      "AWST",
		shortDaylight:      "AWDT",
		standardOffset:     28800,
		daylightOffset:     32400,
		standardOffsetHHMM: "+08:00",
		daylightOffsetHHMM: "+09:00",
		countryCode:        "AU",
		isDeprecated:       true,
		linkTo:             "Australia/Perth",
		lastDST:            2009,
	},
	"Australia/Yancowinna": &TzInfo{
		longGeneric:        "Central Australia Time",
		longStandard:       "Australian Central Standard Time",
		longDaylight:       "Australian Central Daylight Time",
		shortGeneric:       "ACT",
		shortStandard:      "ACST",
		shortDaylight:      "ACDT",
		standardOffset:     34200,
		daylightOffset:     37800,
		standardOffsetHHMM: "+09:30",
		daylightOffsetHHMM: "+10:30",
		countryCode:        "AU",
		isDeprecated:       true,
		linkTo:             "Australia/Broken_Hill",
		lastDST:            2038,
	},
	"Brazil/Acre": &TzInfo{
		longGeneric:        "Acre Time",
		longStandard:       "Acre Standard Time",
		longDaylight:       "Acre Summer Time",
		shortGeneric:       "ACT",
		shortStandard:      "ACT",
		shortDaylight:      "ACST",
		standardOffset:     -18000,
		daylightOffset:     -14400,
		standardOffsetHHMM: "-05:00",
		daylightOffsetHHMM: "-04:00",
		countryCode:        "BR",
		isDeprecated:       true,
		linkTo:             "America/Rio_Branco",
		lastDST:            1988,
	},
	"Brazil/DeNoronha": &TzInfo{
		longGeneric:        "Fernando de Noronha Time",
		longStandard:       "Fernando de Noronha Standard Time",
		longDaylight:       "Fernando de Noronha Summer Time",
		shortGeneric:       "FNT",
		shortStandard:      "FNT",
		shortDaylight:      "FNST",
		standardOffset:     -7200,
		daylightOffset:     -3600,
		standardOffsetHHMM: "-02:00",
		daylightOffsetHHMM: "-01:00",
		countryCode:        "BR",
		isDeprecated:       true,
		linkTo:             "America/Noronha",
		lastDST:            2002,
	},
	"Brazil/East": &TzInfo{
		longGeneric:        "Brasilia Time",
		longStandard:       "Brasilia Standard Time",
		longDaylight:       "Brasilia Summer Time",
		shortGeneric:       "BRT",
		shortStandard:      "BRT",
		shortDaylight:      "BRST",
		standardOffset:     -10800,
		daylightOffset:     -7200,
		standardOffsetHHMM: "-03:00",
		daylightOffsetHHMM: "-02:00",
		countryCode:        "BR",
		isDeprecated:       true,
		linkTo:             "America/Sao_Paulo",
		lastDST:            2019,
	},
	"Brazil/West": &TzInfo{
		longGeneric:        "Amazon Time",
		longStandard:       "Amazon Standard Time",
		longDaylight:       "Amazon Summer Time",
		shortGeneric:       "AMT",
		shortStandard:      "AMT",
		shortDaylight:      "AMST",
		standardOffset:     -14400,
		daylightOffset:     -10800,
		standardOffsetHHMM: "-04:00",
		daylightOffsetHHMM: "-03:00",
		countryCode:        "BR",
		isDeprecated:       true,
		linkTo:             "America/Manaus",
		lastDST:            1994,
	},
	"CET": &TzInfo{
		longGeneric:        "Central European Time",
		longStandard:       "Central European Standard Time",
		longDaylight:       "Central European Summer Time",
		shortGeneric:       "CET",
		shortStandard:      "CET",
		shortDaylight:      "CEST",
		standardOffset:     3600,
		daylightOffset:     7200,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+02:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "",
		lastDST:            2037,
	},
	"CST6CDT": &TzInfo{
		longGeneric:        "Central Time",
		longStandard:       "Central Standard Time",
		longDaylight:       "Central Daylight Time",
		shortGeneric:       "CT",
		shortStandard:      "CST",
		shortDaylight:      "CDT",
		standardOffset:     -21600,
		daylightOffset:     -18000,
		standardOffsetHHMM: "-06:00",
		daylightOffsetHHMM: "-05:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "",
		lastDST:            2037,
	},
	"Canada/Atlantic": &TzInfo{
		longGeneric:        "Atlantic Time",
		longStandard:       "Atlantic Standard Time",
		longDaylight:       "Atlantic Daylight Time",
		shortGeneric:       "AT",
		shortStandard:      "AST",
		shortDaylight:      "ADT",
		standardOffset:     -14400,
		daylightOffset:     -10800,
		standardOffsetHHMM: "-04:00",
		daylightOffsetHHMM: "-03:00",
		countryCode:        "CA",
		isDeprecated:       true,
		linkTo:             "America/Halifax",
		lastDST:            2037,
	},
	"Canada/Central": &TzInfo{
		longGeneric:        "Central Time",
		longStandard:       "Central Standard Time",
		longDaylight:       "Central Daylight Time",
		shortGeneric:       "CT",
		shortStandard:      "CST",
		shortDaylight:      "CDT",
		standardOffset:     -21600,
		daylightOffset:     -18000,
		standardOffsetHHMM: "-06:00",
		daylightOffsetHHMM: "-05:00",
		countryCode:        "CA",
		isDeprecated:       true,
		linkTo:             "America/Winnipeg",
		lastDST:            2037,
	},
	"Canada/Eastern": &TzInfo{
		longGeneric:        "Eastern Time",
		longStandard:       "Eastern Standard Time",
		longDaylight:       "Eastern Daylight Time",
		shortGeneric:       "ET",
		shortStandard:      "EST",
		shortDaylight:      "EDT",
		standardOffset:     -18000,
		daylightOffset:     -14400,
		standardOffsetHHMM: "-05:00",
		daylightOffsetHHMM: "-04:00",
		countryCode:        "CA",
		isDeprecated:       true,
		linkTo:             "America/Toronto",
		lastDST:            2037,
	},
	"Canada/Mountain": &TzInfo{
		longGeneric:        "Mountain Time",
		longStandard:       "Mountain Standard Time",
		longDaylight:       "Mountain Daylight Time",
		shortGeneric:       "MT",
		shortStandard:      "MST",
		shortDaylight:      "MDT",
		standardOffset:     -25200,
		daylightOffset:     -21600,
		standardOffsetHHMM: "-07:00",
		daylightOffsetHHMM: "-06:00",
		countryCode:        "CA",
		isDeprecated:       true,
		linkTo:             "America/Edmonton",
		lastDST:            2037,
	},
	"Canada/Newfoundland": &TzInfo{
		longGeneric:        "Newfoundland Time",
		longStandard:       "Newfoundland Standard Time",
		longDaylight:       "Newfoundland Daylight Time",
		shortGeneric:       "NT",
		shortStandard:      "NST",
		shortDaylight:      "NDT",
		standardOffset:     -12600,
		daylightOffset:     -9000,
		standardOffsetHHMM: "-03:30",
		daylightOffsetHHMM: "-02:30",
		countryCode:        "CA",
		isDeprecated:       true,
		linkTo:             "America/St_Johns",
		lastDST:            2037,
	},
	"Canada/Pacific": &TzInfo{
		longGeneric:        "Pacific Time",
		longStandard:       "Pacific Standard Time",
		longDaylight:       "Pacific Daylight Time",
		shortGeneric:       "PT",
		shortStandard:      "PST",
		shortDaylight:      "PDT",
		standardOffset:     -28800,
		daylightOffset:     -25200,
		standardOffsetHHMM: "-08:00",
		daylightOffsetHHMM: "-07:00",
		countryCode:        "CA",
		isDeprecated:       true,
		linkTo:             "America/Vancouver",
		lastDST:            2037,
	},
	"Canada/Saskatchewan": &TzInfo{
		longGeneric:        "Central Time",
		longStandard:       "Central Standard Time",
		longDaylight:       "Mountain Daylight Time",
		shortGeneric:       "CT",
		shortStandard:      "CST",
		shortDaylight:      "MDT",
		standardOffset:     -21600,
		daylightOffset:     -21600,
		standardOffsetHHMM: "-06:00",
		daylightOffsetHHMM: "-06:00",
		countryCode:        "CA",
		isDeprecated:       true,
		linkTo:             "America/Regina",
		lastDST:            1959,
	},
	"Canada/Yukon": &TzInfo{
		longGeneric:        "Mountain Time",
		longStandard:       "Mountain Standard Time",
		longDaylight:       "Pacific Daylight Time",
		shortGeneric:       "MT",
		shortStandard:      "MST",
		shortDaylight:      "PDT",
		standardOffset:     -25200,
		daylightOffset:     -25200,
		standardOffsetHHMM: "-07:00",
		daylightOffsetHHMM: "-07:00",
		countryCode:        "CA",
		isDeprecated:       true,
		linkTo:             "America/Whitehorse",
		lastDST:            2019,
	},
	"Chile/Continental": &TzInfo{
		longGeneric:        "Chile Time",
		longStandard:       "Chile Standard Time",
		longDaylight:       "Chile Summer Time",
		shortGeneric:       "CLT",
		shortStandard:      "CLT",
		shortDaylight:      "CLST",
		standardOffset:     -14400,
		daylightOffset:     -10800,
		standardOffsetHHMM: "-04:00",
		daylightOffsetHHMM: "-03:00",
		countryCode:        "CL",
		isDeprecated:       true,
		linkTo:             "America/Santiago",
		lastDST:            2038,
	},
	"Chile/EasterIsland": &TzInfo{
		longGeneric:        "Easter Island Time",
		longStandard:       "Easter Island Standard Time",
		longDaylight:       "Easter Island Summer Time",
		shortGeneric:       "EAST",
		shortStandard:      "EAST",
		shortDaylight:      "EASST",
		standardOffset:     -21600,
		daylightOffset:     -18000,
		standardOffsetHHMM: "-06:00",
		daylightOffsetHHMM: "-05:00",
		countryCode:        "CL",
		isDeprecated:       true,
		linkTo:             "Pacific/Easter",
		lastDST:            2038,
	},
	"Cuba": &TzInfo{
		longGeneric:        "Cuba Time",
		longStandard:       "Cuba Standard Time",
		longDaylight:       "Cuba Daylight Time",
		shortGeneric:       "CT",
		shortStandard:      "CST",
		shortDaylight:      "CDT",
		standardOffset:     -18000,
		daylightOffset:     -14400,
		standardOffsetHHMM: "-05:00",
		daylightOffsetHHMM: "-04:00",
		countryCode:        "CU",
		isDeprecated:       true,
		linkTo:             "America/Havana",
		lastDST:            2037,
	},
	"EET": &TzInfo{
		longGeneric:        "Eastern European Time",
		longStandard:       "Eastern European Standard Time",
		longDaylight:       "Eastern European Summer Time",
		shortGeneric:       "EET",
		shortStandard:      "EET",
		shortDaylight:      "EEST",
		standardOffset:     7200,
		daylightOffset:     10800,
		standardOffsetHHMM: "+02:00",
		daylightOffsetHHMM: "+03:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "",
		lastDST:            2037,
	},
	"EST": &TzInfo{
		longGeneric:        "Eastern Time",
		longStandard:       "Eastern Standard Time",
		longDaylight:       "",
		shortGeneric:       "ET",
		shortStandard:      "EST",
		shortDaylight:      "",
		standardOffset:     -18000,
		daylightOffset:     0,
		standardOffsetHHMM: "-05:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "",
		lastDST:            0,
	},
	"EST5EDT": &TzInfo{
		longGeneric:        "Eastern Time",
		longStandard:       "Eastern Standard Time",
		longDaylight:       "Eastern Daylight Time",
		shortGeneric:       "ET",
		shortStandard:      "EST",
		shortDaylight:      "EDT",
		standardOffset:     -18000,
		daylightOffset:     -14400,
		standardOffsetHHMM: "-05:00",
		daylightOffsetHHMM: "-04:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "",
		lastDST:            2037,
	},
	"Egypt": &TzInfo{
		longGeneric:        "Eastern European Time",
		longStandard:       "Eastern European Standard Time",
		longDaylight:       "Eastern European Summer Time",
		shortGeneric:       "EET",
		shortStandard:      "EET",
		shortDaylight:      "EEST",
		standardOffset:     7200,
		daylightOffset:     10800,
		standardOffsetHHMM: "+02:00",
		daylightOffsetHHMM: "+03:00",
		countryCode:        "EG",
		isDeprecated:       true,
		linkTo:             "Africa/Cairo",
		lastDST:            2014,
	},
	"Eire": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time",
		longDaylight:       "Irish Standard Time",
		shortGeneric:       "",
		shortStandard:      "GMT",
		shortDaylight:      "IST",
		standardOffset:     0,
		daylightOffset:     3600,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+01:00",
		countryCode:        "IE",
		isDeprecated:       true,
		linkTo:             "Europe/Dublin",
		lastDST:            2037,
	},
	"Etc/GMT": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT",
		shortDaylight:      "",
		standardOffset:     0,
		daylightOffset:     0,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "",
		lastDST:            0,
	},
	"Etc/GMT+0": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT",
		shortDaylight:      "",
		standardOffset:     0,
		daylightOffset:     0,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "Etc/GMT",
		lastDST:            0,
	},
	"Etc/GMT+1": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time -1",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT-1",
		shortDaylight:      "",
		standardOffset:     -3600,
		daylightOffset:     0,
		standardOffsetHHMM: "-01:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "",
		lastDST:            0,
	},
	"Etc/GMT+10": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time -10",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT-10",
		shortDaylight:      "",
		standardOffset:     -36000,
		daylightOffset:     0,
		standardOffsetHHMM: "-10:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "",
		lastDST:            0,
	},
	"Etc/GMT+11": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time -11",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT-11",
		shortDaylight:      "",
		standardOffset:     -39600,
		daylightOffset:     0,
		standardOffsetHHMM: "-11:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "",
		lastDST:            0,
	},
	"Etc/GMT+12": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time -12",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT-12",
		shortDaylight:      "",
		standardOffset:     -43200,
		daylightOffset:     0,
		standardOffsetHHMM: "-12:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "",
		lastDST:            0,
	},
	"Etc/GMT+2": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time -2",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT-2",
		shortDaylight:      "",
		standardOffset:     -7200,
		daylightOffset:     0,
		standardOffsetHHMM: "-02:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "",
		lastDST:            0,
	},
	"Etc/GMT+3": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time -3",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT-3",
		shortDaylight:      "",
		standardOffset:     -10800,
		daylightOffset:     0,
		standardOffsetHHMM: "-03:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "",
		lastDST:            0,
	},
	"Etc/GMT+4": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time -4",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT-4",
		shortDaylight:      "",
		standardOffset:     -14400,
		daylightOffset:     0,
		standardOffsetHHMM: "-04:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "",
		lastDST:            0,
	},
	"Etc/GMT+5": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time -5",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT-5",
		shortDaylight:      "",
		standardOffset:     -18000,
		daylightOffset:     0,
		standardOffsetHHMM: "-05:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "",
		lastDST:            0,
	},
	"Etc/GMT+6": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time -6",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT-6",
		shortDaylight:      "",
		standardOffset:     -21600,
		daylightOffset:     0,
		standardOffsetHHMM: "-06:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "",
		lastDST:            0,
	},
	"Etc/GMT+7": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time -7",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT-7",
		shortDaylight:      "",
		standardOffset:     -25200,
		daylightOffset:     0,
		standardOffsetHHMM: "-07:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "",
		lastDST:            0,
	},
	"Etc/GMT+8": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time -8",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT-8",
		shortDaylight:      "",
		standardOffset:     -28800,
		daylightOffset:     0,
		standardOffsetHHMM: "-08:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "",
		lastDST:            0,
	},
	"Etc/GMT+9": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time -9",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT-9",
		shortDaylight:      "",
		standardOffset:     -32400,
		daylightOffset:     0,
		standardOffsetHHMM: "-09:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "",
		lastDST:            0,
	},
	"Etc/GMT-0": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT",
		shortDaylight:      "",
		standardOffset:     0,
		daylightOffset:     0,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "Etc/GMT",
		lastDST:            0,
	},
	"Etc/GMT-1": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time +1",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT+1",
		shortDaylight:      "",
		standardOffset:     3600,
		daylightOffset:     0,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "",
		lastDST:            0,
	},
	"Etc/GMT-10": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time +10",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT+10",
		shortDaylight:      "",
		standardOffset:     36000,
		daylightOffset:     0,
		standardOffsetHHMM: "+10:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "",
		lastDST:            0,
	},
	"Etc/GMT-11": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time +11",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT+11",
		shortDaylight:      "",
		standardOffset:     39600,
		daylightOffset:     0,
		standardOffsetHHMM: "+11:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "",
		lastDST:            0,
	},
	"Etc/GMT-12": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time +12",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT+12",
		shortDaylight:      "",
		standardOffset:     43200,
		daylightOffset:     0,
		standardOffsetHHMM: "+12:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "",
		lastDST:            0,
	},
	"Etc/GMT-13": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time +13",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT+13",
		shortDaylight:      "",
		standardOffset:     46800,
		daylightOffset:     0,
		standardOffsetHHMM: "+13:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "",
		lastDST:            0,
	},
	"Etc/GMT-14": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time +14",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT+14",
		shortDaylight:      "",
		standardOffset:     50400,
		daylightOffset:     0,
		standardOffsetHHMM: "+14:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "",
		lastDST:            0,
	},
	"Etc/GMT-2": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time +2",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT+2",
		shortDaylight:      "",
		standardOffset:     7200,
		daylightOffset:     0,
		standardOffsetHHMM: "+02:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "",
		lastDST:            0,
	},
	"Etc/GMT-3": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time +3",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT+3",
		shortDaylight:      "",
		standardOffset:     10800,
		daylightOffset:     0,
		standardOffsetHHMM: "+03:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "",
		lastDST:            0,
	},
	"Etc/GMT-4": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time +4",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT+4",
		shortDaylight:      "",
		standardOffset:     14400,
		daylightOffset:     0,
		standardOffsetHHMM: "+04:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "",
		lastDST:            0,
	},
	"Etc/GMT-5": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time +5",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT+5",
		shortDaylight:      "",
		standardOffset:     18000,
		daylightOffset:     0,
		standardOffsetHHMM: "+05:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "",
		lastDST:            0,
	},
	"Etc/GMT-6": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time +6",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT+6",
		shortDaylight:      "",
		standardOffset:     21600,
		daylightOffset:     0,
		standardOffsetHHMM: "+06:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "",
		lastDST:            0,
	},
	"Etc/GMT-7": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time +7",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT+7",
		shortDaylight:      "",
		standardOffset:     25200,
		daylightOffset:     0,
		standardOffsetHHMM: "+07:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "",
		lastDST:            0,
	},
	"Etc/GMT-8": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time +8",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT+8",
		shortDaylight:      "",
		standardOffset:     28800,
		daylightOffset:     0,
		standardOffsetHHMM: "+08:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "",
		lastDST:            0,
	},
	"Etc/GMT-9": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time +9",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT+9",
		shortDaylight:      "",
		standardOffset:     32400,
		daylightOffset:     0,
		standardOffsetHHMM: "+09:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "",
		lastDST:            0,
	},
	"Etc/GMT0": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT",
		shortDaylight:      "",
		standardOffset:     0,
		daylightOffset:     0,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "Etc/GMT",
		lastDST:            0,
	},
	"Etc/Greenwich": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT",
		shortDaylight:      "",
		standardOffset:     0,
		daylightOffset:     0,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "Etc/GMT",
		lastDST:            0,
	},
	"Etc/UCT": &TzInfo{
		longGeneric:        "",
		longStandard:       "Coordinated Universal Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "UTC",
		shortDaylight:      "",
		standardOffset:     0,
		daylightOffset:     0,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "Etc/UTC",
		lastDST:            0,
	},
	"Etc/UTC": &TzInfo{
		longGeneric:        "",
		longStandard:       "Coordinated Universal Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "UTC",
		shortDaylight:      "",
		standardOffset:     0,
		daylightOffset:     0,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "",
		lastDST:            0,
	},
	"Etc/Universal": &TzInfo{
		longGeneric:        "",
		longStandard:       "Coordinated Universal Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "UTC",
		shortDaylight:      "",
		standardOffset:     0,
		daylightOffset:     0,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "Etc/UTC",
		lastDST:            0,
	},
	"Etc/Zulu": &TzInfo{
		longGeneric:        "",
		longStandard:       "Coordinated Universal Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "UTC",
		shortDaylight:      "",
		standardOffset:     0,
		daylightOffset:     0,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "Etc/UTC",
		lastDST:            0,
	},
	"Europe/Amsterdam": &TzInfo{
		longGeneric:        "Central European Time",
		longStandard:       "Central European Standard Time",
		longDaylight:       "Central European Summer Time",
		shortGeneric:       "CET",
		shortStandard:      "CET",
		shortDaylight:      "CEST",
		standardOffset:     3600,
		daylightOffset:     7200,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+02:00",
		countryCode:        "NL",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Europe/Andorra": &TzInfo{
		longGeneric:        "Central European Time",
		longStandard:       "Central European Standard Time",
		longDaylight:       "Central European Summer Time",
		shortGeneric:       "CET",
		shortStandard:      "CET",
		shortDaylight:      "CEST",
		standardOffset:     3600,
		daylightOffset:     7200,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+02:00",
		countryCode:        "AD",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Europe/Astrakhan": &TzInfo{
		longGeneric:        "Samara Time",
		longStandard:       "Samara Standard Time",
		longDaylight:       "Samara Summer Time",
		shortGeneric:       "SAMT",
		shortStandard:      "SAMT",
		shortDaylight:      "SAMST",
		standardOffset:     14400,
		daylightOffset:     14400,
		standardOffsetHHMM: "+04:00",
		daylightOffsetHHMM: "+04:00",
		countryCode:        "RU",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2010,
	},
	"Europe/Athens": &TzInfo{
		longGeneric:        "Eastern European Time",
		longStandard:       "Eastern European Standard Time",
		longDaylight:       "Eastern European Summer Time",
		shortGeneric:       "EET",
		shortStandard:      "EET",
		shortDaylight:      "EEST",
		standardOffset:     7200,
		daylightOffset:     10800,
		standardOffsetHHMM: "+02:00",
		daylightOffsetHHMM: "+03:00",
		countryCode:        "GR",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Europe/Belfast": &TzInfo{
		longGeneric:        "Greenwich Mean Time",
		longStandard:       "Greenwich Mean Time",
		longDaylight:       "British Summer Time",
		shortGeneric:       "GMT",
		shortStandard:      "GMT",
		shortDaylight:      "BST",
		standardOffset:     0,
		daylightOffset:     3600,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+01:00",
		countryCode:        "GB",
		isDeprecated:       true,
		linkTo:             "Europe/London",
		lastDST:            2037,
	},
	"Europe/Belgrade": &TzInfo{
		longGeneric:        "Central European Time",
		longStandard:       "Central European Standard Time",
		longDaylight:       "Central European Summer Time",
		shortGeneric:       "CET",
		shortStandard:      "CET",
		shortDaylight:      "CEST",
		standardOffset:     3600,
		daylightOffset:     7200,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+02:00",
		countryCode:        "RS",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Europe/Berlin": &TzInfo{
		longGeneric:        "Central European Time",
		longStandard:       "Central European Standard Time",
		longDaylight:       "Central European Summer Time",
		shortGeneric:       "CET",
		shortStandard:      "CET",
		shortDaylight:      "CEST",
		standardOffset:     3600,
		daylightOffset:     7200,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+02:00",
		countryCode:        "DE",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Europe/Bratislava": &TzInfo{
		longGeneric:        "Central European Time",
		longStandard:       "Central European Standard Time",
		longDaylight:       "Central European Summer Time",
		shortGeneric:       "CET",
		shortStandard:      "CET",
		shortDaylight:      "CEST",
		standardOffset:     3600,
		daylightOffset:     7200,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+02:00",
		countryCode:        "SK",
		isDeprecated:       false,
		linkTo:             "Europe/Prague",
		lastDST:            2037,
	},
	"Europe/Brussels": &TzInfo{
		longGeneric:        "Central European Time",
		longStandard:       "Central European Standard Time",
		longDaylight:       "Central European Summer Time",
		shortGeneric:       "CET",
		shortStandard:      "CET",
		shortDaylight:      "CEST",
		standardOffset:     3600,
		daylightOffset:     7200,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+02:00",
		countryCode:        "BE",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Europe/Bucharest": &TzInfo{
		longGeneric:        "Eastern European Time",
		longStandard:       "Eastern European Standard Time",
		longDaylight:       "Eastern European Summer Time",
		shortGeneric:       "EET",
		shortStandard:      "EET",
		shortDaylight:      "EEST",
		standardOffset:     7200,
		daylightOffset:     10800,
		standardOffsetHHMM: "+02:00",
		daylightOffsetHHMM: "+03:00",
		countryCode:        "RO",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Europe/Budapest": &TzInfo{
		longGeneric:        "Central European Time",
		longStandard:       "Central European Standard Time",
		longDaylight:       "Central European Summer Time",
		shortGeneric:       "CET",
		shortStandard:      "CET",
		shortDaylight:      "CEST",
		standardOffset:     3600,
		daylightOffset:     7200,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+02:00",
		countryCode:        "HU",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Europe/Busingen": &TzInfo{
		longGeneric:        "Central European Time",
		longStandard:       "Central European Standard Time",
		longDaylight:       "Central European Summer Time",
		shortGeneric:       "CET",
		shortStandard:      "CET",
		shortDaylight:      "CEST",
		standardOffset:     3600,
		daylightOffset:     7200,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+02:00",
		countryCode:        "DE",
		isDeprecated:       false,
		linkTo:             "Europe/Zurich",
		lastDST:            2037,
	},
	"Europe/Chisinau": &TzInfo{
		longGeneric:        "Eastern European Time",
		longStandard:       "Eastern European Standard Time",
		longDaylight:       "Eastern European Summer Time",
		shortGeneric:       "EET",
		shortStandard:      "EET",
		shortDaylight:      "EEST",
		standardOffset:     7200,
		daylightOffset:     10800,
		standardOffsetHHMM: "+02:00",
		daylightOffsetHHMM: "+03:00",
		countryCode:        "MD",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Europe/Copenhagen": &TzInfo{
		longGeneric:        "Central European Time",
		longStandard:       "Central European Standard Time",
		longDaylight:       "Central European Summer Time",
		shortGeneric:       "CET",
		shortStandard:      "CET",
		shortDaylight:      "CEST",
		standardOffset:     3600,
		daylightOffset:     7200,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+02:00",
		countryCode:        "DK",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Europe/Dublin": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time",
		longDaylight:       "Irish Standard Time",
		shortGeneric:       "",
		shortStandard:      "GMT",
		shortDaylight:      "IST",
		standardOffset:     0,
		daylightOffset:     3600,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+01:00",
		countryCode:        "IE",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Europe/Gibraltar": &TzInfo{
		longGeneric:        "Central European Time",
		longStandard:       "Central European Standard Time",
		longDaylight:       "Central European Summer Time",
		shortGeneric:       "CET",
		shortStandard:      "CET",
		shortDaylight:      "CEST",
		standardOffset:     3600,
		daylightOffset:     7200,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+02:00",
		countryCode:        "GI",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Europe/Guernsey": &TzInfo{
		longGeneric:        "Greenwich Mean Time",
		longStandard:       "Greenwich Mean Time",
		longDaylight:       "British Summer Time",
		shortGeneric:       "GMT",
		shortStandard:      "GMT",
		shortDaylight:      "BST",
		standardOffset:     0,
		daylightOffset:     3600,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+01:00",
		countryCode:        "GG",
		isDeprecated:       false,
		linkTo:             "Europe/London",
		lastDST:            2037,
	},
	"Europe/Helsinki": &TzInfo{
		longGeneric:        "Eastern European Time",
		longStandard:       "Eastern European Standard Time",
		longDaylight:       "Eastern European Summer Time",
		shortGeneric:       "EET",
		shortStandard:      "EET",
		shortDaylight:      "EEST",
		standardOffset:     7200,
		daylightOffset:     10800,
		standardOffsetHHMM: "+02:00",
		daylightOffsetHHMM: "+03:00",
		countryCode:        "FI",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Europe/Isle_of_Man": &TzInfo{
		longGeneric:        "Greenwich Mean Time",
		longStandard:       "Greenwich Mean Time",
		longDaylight:       "British Summer Time",
		shortGeneric:       "GMT",
		shortStandard:      "GMT",
		shortDaylight:      "BST",
		standardOffset:     0,
		daylightOffset:     3600,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+01:00",
		countryCode:        "IM",
		isDeprecated:       false,
		linkTo:             "Europe/London",
		lastDST:            2037,
	},
	"Europe/Istanbul": &TzInfo{
		longGeneric:        "",
		longStandard:       "Turkey Time",
		longDaylight:       "Turkey Summer Time",
		shortGeneric:       "",
		shortStandard:      "TRT",
		shortDaylight:      "TRST",
		standardOffset:     10800,
		daylightOffset:     10800,
		standardOffsetHHMM: "+03:00",
		daylightOffsetHHMM: "+03:00",
		countryCode:        "TR",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2016,
	},
	"Europe/Jersey": &TzInfo{
		longGeneric:        "Greenwich Mean Time",
		longStandard:       "Greenwich Mean Time",
		longDaylight:       "British Summer Time",
		shortGeneric:       "GMT",
		shortStandard:      "GMT",
		shortDaylight:      "BST",
		standardOffset:     0,
		daylightOffset:     3600,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+01:00",
		countryCode:        "JE",
		isDeprecated:       false,
		linkTo:             "Europe/London",
		lastDST:            2037,
	},
	"Europe/Kaliningrad": &TzInfo{
		longGeneric:        "Eastern European Time",
		longStandard:       "Eastern European Standard Time",
		longDaylight:       "Eastern European Summer Time",
		shortGeneric:       "EET",
		shortStandard:      "EET",
		shortDaylight:      "EEST",
		standardOffset:     7200,
		daylightOffset:     10800,
		standardOffsetHHMM: "+02:00",
		daylightOffsetHHMM: "+03:00",
		countryCode:        "RU",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2010,
	},
	"Europe/Kiev": &TzInfo{
		longGeneric:        "Eastern European Time",
		longStandard:       "Eastern European Standard Time",
		longDaylight:       "Eastern European Summer Time",
		shortGeneric:       "EET",
		shortStandard:      "EET",
		shortDaylight:      "EEST",
		standardOffset:     7200,
		daylightOffset:     10800,
		standardOffsetHHMM: "+02:00",
		daylightOffsetHHMM: "+03:00",
		countryCode:        "UA",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Europe/Kirov": &TzInfo{
		longGeneric:        "Moscow Time",
		longStandard:       "Moscow Standard Time",
		longDaylight:       "Moscow Summer Time",
		shortGeneric:       "MSK",
		shortStandard:      "MSK",
		shortDaylight:      "MSD",
		standardOffset:     10800,
		daylightOffset:     14400,
		standardOffsetHHMM: "+03:00",
		daylightOffsetHHMM: "+04:00",
		countryCode:        "RU",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2010,
	},
	"Europe/Lisbon": &TzInfo{
		longGeneric:        "Western European Time",
		longStandard:       "Western European Standard Time",
		longDaylight:       "Western European Summer Time",
		shortGeneric:       "WET",
		shortStandard:      "WET",
		shortDaylight:      "WEST",
		standardOffset:     0,
		daylightOffset:     3600,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+01:00",
		countryCode:        "PT",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Europe/Ljubljana": &TzInfo{
		longGeneric:        "Central European Time",
		longStandard:       "Central European Standard Time",
		longDaylight:       "Central European Summer Time",
		shortGeneric:       "CET",
		shortStandard:      "CET",
		shortDaylight:      "CEST",
		standardOffset:     3600,
		daylightOffset:     7200,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+02:00",
		countryCode:        "SI",
		isDeprecated:       false,
		linkTo:             "Europe/Belgrade",
		lastDST:            2037,
	},
	"Europe/London": &TzInfo{
		longGeneric:        "Greenwich Mean Time",
		longStandard:       "Greenwich Mean Time",
		longDaylight:       "British Summer Time",
		shortGeneric:       "GMT",
		shortStandard:      "GMT",
		shortDaylight:      "BST",
		standardOffset:     0,
		daylightOffset:     3600,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+01:00",
		countryCode:        "GB",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Europe/Luxembourg": &TzInfo{
		longGeneric:        "Central European Time",
		longStandard:       "Central European Standard Time",
		longDaylight:       "Central European Summer Time",
		shortGeneric:       "CET",
		shortStandard:      "CET",
		shortDaylight:      "CEST",
		standardOffset:     3600,
		daylightOffset:     7200,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+02:00",
		countryCode:        "LU",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Europe/Madrid": &TzInfo{
		longGeneric:        "Central European Time",
		longStandard:       "Central European Standard Time",
		longDaylight:       "Central European Summer Time",
		shortGeneric:       "CET",
		shortStandard:      "CET",
		shortDaylight:      "CEST",
		standardOffset:     3600,
		daylightOffset:     7200,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+02:00",
		countryCode:        "ES",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Europe/Malta": &TzInfo{
		longGeneric:        "Central European Time",
		longStandard:       "Central European Standard Time",
		longDaylight:       "Central European Summer Time",
		shortGeneric:       "CET",
		shortStandard:      "CET",
		shortDaylight:      "CEST",
		standardOffset:     3600,
		daylightOffset:     7200,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+02:00",
		countryCode:        "MT",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Europe/Mariehamn": &TzInfo{
		longGeneric:        "Eastern European Time",
		longStandard:       "Eastern European Standard Time",
		longDaylight:       "Eastern European Summer Time",
		shortGeneric:       "EET",
		shortStandard:      "EET",
		shortDaylight:      "EEST",
		standardOffset:     7200,
		daylightOffset:     10800,
		standardOffsetHHMM: "+02:00",
		daylightOffsetHHMM: "+03:00",
		countryCode:        "AX",
		isDeprecated:       false,
		linkTo:             "Europe/Helsinki",
		lastDST:            2037,
	},
	"Europe/Minsk": &TzInfo{
		longGeneric:        "Moscow Time",
		longStandard:       "Moscow Standard Time",
		longDaylight:       "Eastern European Summer Time",
		shortGeneric:       "MSK",
		shortStandard:      "MSK",
		shortDaylight:      "EEST",
		standardOffset:     10800,
		daylightOffset:     10800,
		standardOffsetHHMM: "+03:00",
		daylightOffsetHHMM: "+03:00",
		countryCode:        "BY",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2010,
	},
	"Europe/Monaco": &TzInfo{
		longGeneric:        "Central European Time",
		longStandard:       "Central European Standard Time",
		longDaylight:       "Central European Summer Time",
		shortGeneric:       "CET",
		shortStandard:      "CET",
		shortDaylight:      "CEST",
		standardOffset:     3600,
		daylightOffset:     7200,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+02:00",
		countryCode:        "MC",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Europe/Moscow": &TzInfo{
		longGeneric:        "Moscow Time",
		longStandard:       "Moscow Standard Time",
		longDaylight:       "Moscow Summer Time",
		shortGeneric:       "MSK",
		shortStandard:      "MSK",
		shortDaylight:      "MSD",
		standardOffset:     10800,
		daylightOffset:     14400,
		standardOffsetHHMM: "+03:00",
		daylightOffsetHHMM: "+04:00",
		countryCode:        "RU",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2010,
	},
	"Europe/Nicosia": &TzInfo{
		longGeneric:        "Eastern European Time",
		longStandard:       "Eastern European Standard Time",
		longDaylight:       "Eastern European Summer Time",
		shortGeneric:       "EET",
		shortStandard:      "EET",
		shortDaylight:      "EEST",
		standardOffset:     7200,
		daylightOffset:     10800,
		standardOffsetHHMM: "+02:00",
		daylightOffsetHHMM: "+03:00",
		countryCode:        "CY",
		isDeprecated:       true,
		linkTo:             "Asia/Nicosia",
		lastDST:            2037,
	},
	"Europe/Oslo": &TzInfo{
		longGeneric:        "Central European Time",
		longStandard:       "Central European Standard Time",
		longDaylight:       "Central European Summer Time",
		shortGeneric:       "CET",
		shortStandard:      "CET",
		shortDaylight:      "CEST",
		standardOffset:     3600,
		daylightOffset:     7200,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+02:00",
		countryCode:        "NO",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Europe/Paris": &TzInfo{
		longGeneric:        "Central European Time",
		longStandard:       "Central European Standard Time",
		longDaylight:       "Central European Summer Time",
		shortGeneric:       "CET",
		shortStandard:      "CET",
		shortDaylight:      "CEST",
		standardOffset:     3600,
		daylightOffset:     7200,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+02:00",
		countryCode:        "FR",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Europe/Podgorica": &TzInfo{
		longGeneric:        "Central European Time",
		longStandard:       "Central European Standard Time",
		longDaylight:       "Central European Summer Time",
		shortGeneric:       "CET",
		shortStandard:      "CET",
		shortDaylight:      "CEST",
		standardOffset:     3600,
		daylightOffset:     7200,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+02:00",
		countryCode:        "ME",
		isDeprecated:       false,
		linkTo:             "Europe/Belgrade",
		lastDST:            2037,
	},
	"Europe/Prague": &TzInfo{
		longGeneric:        "Central European Time",
		longStandard:       "Central European Standard Time",
		longDaylight:       "Central European Summer Time",
		shortGeneric:       "CET",
		shortStandard:      "CET",
		shortDaylight:      "CEST",
		standardOffset:     3600,
		daylightOffset:     7200,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+02:00",
		countryCode:        "CZ",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Europe/Riga": &TzInfo{
		longGeneric:        "Eastern European Time",
		longStandard:       "Eastern European Standard Time",
		longDaylight:       "Eastern European Summer Time",
		shortGeneric:       "EET",
		shortStandard:      "EET",
		shortDaylight:      "EEST",
		standardOffset:     7200,
		daylightOffset:     10800,
		standardOffsetHHMM: "+02:00",
		daylightOffsetHHMM: "+03:00",
		countryCode:        "LV",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Europe/Rome": &TzInfo{
		longGeneric:        "Central European Time",
		longStandard:       "Central European Standard Time",
		longDaylight:       "Central European Summer Time",
		shortGeneric:       "CET",
		shortStandard:      "CET",
		shortDaylight:      "CEST",
		standardOffset:     3600,
		daylightOffset:     7200,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+02:00",
		countryCode:        "IT",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Europe/Samara": &TzInfo{
		longGeneric:        "Samara Time",
		longStandard:       "Samara Standard Time",
		longDaylight:       "Samara Summer Time",
		shortGeneric:       "SAMT",
		shortStandard:      "SAMT",
		shortDaylight:      "SAMST",
		standardOffset:     14400,
		daylightOffset:     14400,
		standardOffsetHHMM: "+04:00",
		daylightOffsetHHMM: "+04:00",
		countryCode:        "RU",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2010,
	},
	"Europe/San_Marino": &TzInfo{
		longGeneric:        "Central European Time",
		longStandard:       "Central European Standard Time",
		longDaylight:       "Central European Summer Time",
		shortGeneric:       "CET",
		shortStandard:      "CET",
		shortDaylight:      "CEST",
		standardOffset:     3600,
		daylightOffset:     7200,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+02:00",
		countryCode:        "SM",
		isDeprecated:       false,
		linkTo:             "Europe/Rome",
		lastDST:            2037,
	},
	"Europe/Sarajevo": &TzInfo{
		longGeneric:        "Central European Time",
		longStandard:       "Central European Standard Time",
		longDaylight:       "Central European Summer Time",
		shortGeneric:       "CET",
		shortStandard:      "CET",
		shortDaylight:      "CEST",
		standardOffset:     3600,
		daylightOffset:     7200,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+02:00",
		countryCode:        "BA",
		isDeprecated:       false,
		linkTo:             "Europe/Belgrade",
		lastDST:            2037,
	},
	"Europe/Saratov": &TzInfo{
		longGeneric:        "",
		longStandard:       "Saratov Standard Time",
		longDaylight:       "Moscow Summer Time",
		shortGeneric:       "",
		shortStandard:      "GMT+04:00",
		shortDaylight:      "MSD",
		standardOffset:     14400,
		daylightOffset:     14400,
		standardOffsetHHMM: "+04:00",
		daylightOffsetHHMM: "+04:00",
		countryCode:        "RU",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2010,
	},
	"Europe/Simferopol": &TzInfo{
		longGeneric:        "Moscow Time",
		longStandard:       "Moscow Standard Time",
		longDaylight:       "Eastern European Summer Time",
		shortGeneric:       "MSK",
		shortStandard:      "MSK",
		shortDaylight:      "EEST",
		standardOffset:     10800,
		daylightOffset:     10800,
		standardOffsetHHMM: "+03:00",
		daylightOffsetHHMM: "+03:00",
		countryCode:        "UA",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2013,
	},
	"Europe/Skopje": &TzInfo{
		longGeneric:        "Central European Time",
		longStandard:       "Central European Standard Time",
		longDaylight:       "Central European Summer Time",
		shortGeneric:       "CET",
		shortStandard:      "CET",
		shortDaylight:      "CEST",
		standardOffset:     3600,
		daylightOffset:     7200,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+02:00",
		countryCode:        "MK",
		isDeprecated:       false,
		linkTo:             "Europe/Belgrade",
		lastDST:            2037,
	},
	"Europe/Sofia": &TzInfo{
		longGeneric:        "Eastern European Time",
		longStandard:       "Eastern European Standard Time",
		longDaylight:       "Eastern European Summer Time",
		shortGeneric:       "EET",
		shortStandard:      "EET",
		shortDaylight:      "EEST",
		standardOffset:     7200,
		daylightOffset:     10800,
		standardOffsetHHMM: "+02:00",
		daylightOffsetHHMM: "+03:00",
		countryCode:        "BG",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Europe/Stockholm": &TzInfo{
		longGeneric:        "Central European Time",
		longStandard:       "Central European Standard Time",
		longDaylight:       "Central European Summer Time",
		shortGeneric:       "CET",
		shortStandard:      "CET",
		shortDaylight:      "CEST",
		standardOffset:     3600,
		daylightOffset:     7200,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+02:00",
		countryCode:        "SE",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Europe/Tallinn": &TzInfo{
		longGeneric:        "Eastern European Time",
		longStandard:       "Eastern European Standard Time",
		longDaylight:       "Eastern European Summer Time",
		shortGeneric:       "EET",
		shortStandard:      "EET",
		shortDaylight:      "EEST",
		standardOffset:     7200,
		daylightOffset:     10800,
		standardOffsetHHMM: "+02:00",
		daylightOffsetHHMM: "+03:00",
		countryCode:        "EE",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Europe/Tirane": &TzInfo{
		longGeneric:        "Central European Time",
		longStandard:       "Central European Standard Time",
		longDaylight:       "Central European Summer Time",
		shortGeneric:       "CET",
		shortStandard:      "CET",
		shortDaylight:      "CEST",
		standardOffset:     3600,
		daylightOffset:     7200,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+02:00",
		countryCode:        "AL",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Europe/Tiraspol": &TzInfo{
		longGeneric:        "Eastern European Time",
		longStandard:       "Eastern European Standard Time",
		longDaylight:       "Eastern European Summer Time",
		shortGeneric:       "EET",
		shortStandard:      "EET",
		shortDaylight:      "EEST",
		standardOffset:     7200,
		daylightOffset:     10800,
		standardOffsetHHMM: "+02:00",
		daylightOffsetHHMM: "+03:00",
		countryCode:        "MD",
		isDeprecated:       true,
		linkTo:             "Europe/Chisinau",
		lastDST:            2037,
	},
	"Europe/Ulyanovsk": &TzInfo{
		longGeneric:        "",
		longStandard:       "Samara Standard Time",
		longDaylight:       "Moscow Summer Time",
		shortGeneric:       "",
		shortStandard:      "SAMT",
		shortDaylight:      "MSD",
		standardOffset:     14400,
		daylightOffset:     14400,
		standardOffsetHHMM: "+04:00",
		daylightOffsetHHMM: "+04:00",
		countryCode:        "RU",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2010,
	},
	"Europe/Uzhgorod": &TzInfo{
		longGeneric:        "Eastern European Time",
		longStandard:       "Eastern European Standard Time",
		longDaylight:       "Eastern European Summer Time",
		shortGeneric:       "EET",
		shortStandard:      "EET",
		shortDaylight:      "EEST",
		standardOffset:     7200,
		daylightOffset:     10800,
		standardOffsetHHMM: "+02:00",
		daylightOffsetHHMM: "+03:00",
		countryCode:        "UA",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Europe/Vaduz": &TzInfo{
		longGeneric:        "Central European Time",
		longStandard:       "Central European Standard Time",
		longDaylight:       "Central European Summer Time",
		shortGeneric:       "CET",
		shortStandard:      "CET",
		shortDaylight:      "CEST",
		standardOffset:     3600,
		daylightOffset:     7200,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+02:00",
		countryCode:        "LI",
		isDeprecated:       false,
		linkTo:             "Europe/Zurich",
		lastDST:            2037,
	},
	"Europe/Vatican": &TzInfo{
		longGeneric:        "Central European Time",
		longStandard:       "Central European Standard Time",
		longDaylight:       "Central European Summer Time",
		shortGeneric:       "CET",
		shortStandard:      "CET",
		shortDaylight:      "CEST",
		standardOffset:     3600,
		daylightOffset:     7200,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+02:00",
		countryCode:        "VA",
		isDeprecated:       false,
		linkTo:             "Europe/Rome",
		lastDST:            2037,
	},
	"Europe/Vienna": &TzInfo{
		longGeneric:        "Central European Time",
		longStandard:       "Central European Standard Time",
		longDaylight:       "Central European Summer Time",
		shortGeneric:       "CET",
		shortStandard:      "CET",
		shortDaylight:      "CEST",
		standardOffset:     3600,
		daylightOffset:     7200,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+02:00",
		countryCode:        "AT",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Europe/Vilnius": &TzInfo{
		longGeneric:        "Eastern European Time",
		longStandard:       "Eastern European Standard Time",
		longDaylight:       "Eastern European Summer Time",
		shortGeneric:       "EET",
		shortStandard:      "EET",
		shortDaylight:      "EEST",
		standardOffset:     7200,
		daylightOffset:     10800,
		standardOffsetHHMM: "+02:00",
		daylightOffsetHHMM: "+03:00",
		countryCode:        "LT",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Europe/Volgograd": &TzInfo{
		longGeneric:        "Volgograd Time",
		longStandard:       "Volgograd Standard Time",
		longDaylight:       "Volgograd Summer Time",
		shortGeneric:       "VOLT",
		shortStandard:      "VOLT",
		shortDaylight:      "VOLST",
		standardOffset:     14400,
		daylightOffset:     14400,
		standardOffsetHHMM: "+04:00",
		daylightOffsetHHMM: "+04:00",
		countryCode:        "RU",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2010,
	},
	"Europe/Warsaw": &TzInfo{
		longGeneric:        "Central European Time",
		longStandard:       "Central European Standard Time",
		longDaylight:       "Central European Summer Time",
		shortGeneric:       "CET",
		shortStandard:      "CET",
		shortDaylight:      "CEST",
		standardOffset:     3600,
		daylightOffset:     7200,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+02:00",
		countryCode:        "PL",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Europe/Zagreb": &TzInfo{
		longGeneric:        "Central European Time",
		longStandard:       "Central European Standard Time",
		longDaylight:       "Central European Summer Time",
		shortGeneric:       "CET",
		shortStandard:      "CET",
		shortDaylight:      "CEST",
		standardOffset:     3600,
		daylightOffset:     7200,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+02:00",
		countryCode:        "HR",
		isDeprecated:       false,
		linkTo:             "Europe/Belgrade",
		lastDST:            2037,
	},
	"Europe/Zaporozhye": &TzInfo{
		longGeneric:        "Eastern European Time",
		longStandard:       "Eastern European Standard Time",
		longDaylight:       "Eastern European Summer Time",
		shortGeneric:       "EET",
		shortStandard:      "EET",
		shortDaylight:      "EEST",
		standardOffset:     7200,
		daylightOffset:     10800,
		standardOffsetHHMM: "+02:00",
		daylightOffsetHHMM: "+03:00",
		countryCode:        "UA",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Europe/Zurich": &TzInfo{
		longGeneric:        "Central European Time",
		longStandard:       "Central European Standard Time",
		longDaylight:       "Central European Summer Time",
		shortGeneric:       "CET",
		shortStandard:      "CET",
		shortDaylight:      "CEST",
		standardOffset:     3600,
		daylightOffset:     7200,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+02:00",
		countryCode:        "CH",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2037,
	},
	"Factory": &TzInfo{
		longGeneric:        "",
		longStandard:       "Undefined",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "-00",
		shortDaylight:      "",
		standardOffset:     0,
		daylightOffset:     0,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "GB",
		isDeprecated:       true,
		linkTo:             "",
		lastDST:            2037,
	},
	"GB": &TzInfo{
		longGeneric:        "Greenwich Mean Time",
		longStandard:       "Greenwich Mean Time",
		longDaylight:       "British Summer Time",
		shortGeneric:       "GMT",
		shortStandard:      "GMT",
		shortDaylight:      "BST",
		standardOffset:     0,
		daylightOffset:     3600,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+01:00",
		countryCode:        "GB",
		isDeprecated:       true,
		linkTo:             "Europe/London",
		lastDST:            2037,
	},
	"GB-Eire": &TzInfo{
		longGeneric:        "Greenwich Mean Time",
		longStandard:       "Greenwich Mean Time",
		longDaylight:       "British Summer Time",
		shortGeneric:       "GMT",
		shortStandard:      "GMT",
		shortDaylight:      "BST",
		standardOffset:     0,
		daylightOffset:     3600,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+01:00",
		countryCode:        "GB",
		isDeprecated:       true,
		linkTo:             "Europe/London",
		lastDST:            2037,
	},
	"GMT": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT",
		shortDaylight:      "",
		standardOffset:     0,
		daylightOffset:     0,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "Etc/GMT",
		lastDST:            0,
	},
	"GMT+0": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT",
		shortDaylight:      "",
		standardOffset:     0,
		daylightOffset:     0,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "Etc/GMT",
		lastDST:            0,
	},
	"GMT-0": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT",
		shortDaylight:      "",
		standardOffset:     0,
		daylightOffset:     0,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "Etc/GMT",
		lastDST:            0,
	},
	"GMT0": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT",
		shortDaylight:      "",
		standardOffset:     0,
		daylightOffset:     0,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "Etc/GMT",
		lastDST:            0,
	},
	"Greenwich": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GMT",
		shortDaylight:      "",
		standardOffset:     0,
		daylightOffset:     0,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "Etc/GMT",
		lastDST:            0,
	},
	"HST": &TzInfo{
		longGeneric:        "Hawaii-Aleutian Time",
		longStandard:       "Hawaii-Aleutian Standard Time",
		longDaylight:       "",
		shortGeneric:       "HAT",
		shortStandard:      "HAST",
		shortDaylight:      "",
		standardOffset:     -36000,
		daylightOffset:     0,
		standardOffsetHHMM: "-10:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "",
		lastDST:            0,
	},
	"Hongkong": &TzInfo{
		longGeneric:        "Hong Kong Time",
		longStandard:       "Hong Kong Standard Time",
		longDaylight:       "Hong Kong Summer Time",
		shortGeneric:       "HKT",
		shortStandard:      "HKT",
		shortDaylight:      "HKST",
		standardOffset:     28800,
		daylightOffset:     32400,
		standardOffsetHHMM: "+08:00",
		daylightOffsetHHMM: "+09:00",
		countryCode:        "HK",
		isDeprecated:       true,
		linkTo:             "Asia/Hong_Kong",
		lastDST:            1979,
	},
	"Iceland": &TzInfo{
		longGeneric:        "",
		longStandard:       "Greenwich Mean Time",
		longDaylight:       "Greenwich Mean Time",
		shortGeneric:       "",
		shortStandard:      "GMT",
		shortDaylight:      "GMT",
		standardOffset:     0,
		daylightOffset:     0,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "IS",
		isDeprecated:       true,
		linkTo:             "Atlantic/Reykjavik",
		lastDST:            1967,
	},
	"Indian/Antananarivo": &TzInfo{
		longGeneric:        "",
		longStandard:       "East Africa Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "EAT",
		shortDaylight:      "",
		standardOffset:     10800,
		daylightOffset:     0,
		standardOffsetHHMM: "+03:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "MG",
		isDeprecated:       false,
		linkTo:             "Africa/Nairobi",
		lastDST:            0,
	},
	"Indian/Chagos": &TzInfo{
		longGeneric:        "",
		longStandard:       "Indian Ocean Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "IOT",
		shortDaylight:      "",
		standardOffset:     21600,
		daylightOffset:     0,
		standardOffsetHHMM: "+06:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "IO",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Indian/Christmas": &TzInfo{
		longGeneric:        "",
		longStandard:       "Christmas Island Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "CXT",
		shortDaylight:      "",
		standardOffset:     25200,
		daylightOffset:     0,
		standardOffsetHHMM: "+07:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "CX",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Indian/Cocos": &TzInfo{
		longGeneric:        "",
		longStandard:       "Cocos Islands Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "CCT",
		shortDaylight:      "",
		standardOffset:     23400,
		daylightOffset:     0,
		standardOffsetHHMM: "+06:30",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "CC",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Indian/Comoro": &TzInfo{
		longGeneric:        "",
		longStandard:       "East Africa Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "EAT",
		shortDaylight:      "",
		standardOffset:     10800,
		daylightOffset:     0,
		standardOffsetHHMM: "+03:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "KM",
		isDeprecated:       false,
		linkTo:             "Africa/Nairobi",
		lastDST:            0,
	},
	"Indian/Kerguelen": &TzInfo{
		longGeneric:        "",
		longStandard:       "French Southern & Antarctic Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "TFT",
		shortDaylight:      "",
		standardOffset:     18000,
		daylightOffset:     0,
		standardOffsetHHMM: "+05:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "TF",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Indian/Mahe": &TzInfo{
		longGeneric:        "",
		longStandard:       "Seychelles Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "SCT",
		shortDaylight:      "",
		standardOffset:     14400,
		daylightOffset:     0,
		standardOffsetHHMM: "+04:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "SC",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Indian/Maldives": &TzInfo{
		longGeneric:        "",
		longStandard:       "Maldives Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "MVT",
		shortDaylight:      "",
		standardOffset:     18000,
		daylightOffset:     0,
		standardOffsetHHMM: "+05:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "MV",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Indian/Mauritius": &TzInfo{
		longGeneric:        "Mauritius Time",
		longStandard:       "Mauritius Standard Time",
		longDaylight:       "Mauritius Summer Time",
		shortGeneric:       "MUT",
		shortStandard:      "MUT",
		shortDaylight:      "MUST",
		standardOffset:     14400,
		daylightOffset:     18000,
		standardOffsetHHMM: "+04:00",
		daylightOffsetHHMM: "+05:00",
		countryCode:        "MU",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2009,
	},
	"Indian/Mayotte": &TzInfo{
		longGeneric:        "",
		longStandard:       "East Africa Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "EAT",
		shortDaylight:      "",
		standardOffset:     10800,
		daylightOffset:     0,
		standardOffsetHHMM: "+03:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "YT",
		isDeprecated:       false,
		linkTo:             "Africa/Nairobi",
		lastDST:            0,
	},
	"Indian/Reunion": &TzInfo{
		longGeneric:        "",
		longStandard:       "Réunion Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "RET",
		shortDaylight:      "",
		standardOffset:     14400,
		daylightOffset:     0,
		standardOffsetHHMM: "+04:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "RE",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Iran": &TzInfo{
		longGeneric:        "Iran Time",
		longStandard:       "Iran Standard Time",
		longDaylight:       "Iran Daylight Time",
		shortGeneric:       "IRT",
		shortStandard:      "IRST",
		shortDaylight:      "IRDT",
		standardOffset:     12600,
		daylightOffset:     16200,
		standardOffsetHHMM: "+03:30",
		daylightOffsetHHMM: "+04:30",
		countryCode:        "IR",
		isDeprecated:       true,
		linkTo:             "Asia/Tehran",
		lastDST:            2037,
	},
	"Israel": &TzInfo{
		longGeneric:        "Israel Time",
		longStandard:       "Israel Standard Time",
		longDaylight:       "Israel Daylight Time",
		shortGeneric:       "IST",
		shortStandard:      "IST",
		shortDaylight:      "IDT",
		standardOffset:     7200,
		daylightOffset:     10800,
		standardOffsetHHMM: "+02:00",
		daylightOffsetHHMM: "+03:00",
		countryCode:        "IL",
		isDeprecated:       true,
		linkTo:             "Asia/Jerusalem",
		lastDST:            2037,
	},
	"Jamaica": &TzInfo{
		longGeneric:        "Eastern Time",
		longStandard:       "Eastern Standard Time",
		longDaylight:       "Eastern Daylight Time",
		shortGeneric:       "ET",
		shortStandard:      "EST",
		shortDaylight:      "EDT",
		standardOffset:     -18000,
		daylightOffset:     -14400,
		standardOffsetHHMM: "-05:00",
		daylightOffsetHHMM: "-04:00",
		countryCode:        "JM",
		isDeprecated:       true,
		linkTo:             "America/Jamaica",
		lastDST:            1983,
	},
	"Japan": &TzInfo{
		longGeneric:        "Japan Time",
		longStandard:       "Japan Standard Time",
		longDaylight:       "Japan Daylight Time",
		shortGeneric:       "JST",
		shortStandard:      "JST",
		shortDaylight:      "JDT",
		standardOffset:     32400,
		daylightOffset:     39600,
		standardOffsetHHMM: "+09:00",
		daylightOffsetHHMM: "+11:00",
		countryCode:        "JP",
		isDeprecated:       true,
		linkTo:             "Asia/Tokyo",
		lastDST:            1951,
	},
	"Kwajalein": &TzInfo{
		longGeneric:        "",
		longStandard:       "Marshall Islands Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "MHT",
		shortDaylight:      "",
		standardOffset:     43200,
		daylightOffset:     0,
		standardOffsetHHMM: "+12:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "MH",
		isDeprecated:       true,
		linkTo:             "Pacific/Kwajalein",
		lastDST:            0,
	},
	"Libya": &TzInfo{
		longGeneric:        "Eastern European Time",
		longStandard:       "Eastern European Standard Time",
		longDaylight:       "Central European Summer Time",
		shortGeneric:       "EET",
		shortStandard:      "EET",
		shortDaylight:      "CEST",
		standardOffset:     7200,
		daylightOffset:     7200,
		standardOffsetHHMM: "+02:00",
		daylightOffsetHHMM: "+02:00",
		countryCode:        "LY",
		isDeprecated:       true,
		linkTo:             "Africa/Tripoli",
		lastDST:            2013,
	},
	"MET": &TzInfo{
		longGeneric:        "",
		longStandard:       "Middle European Time",
		longDaylight:       "Middle European Summer Time",
		shortGeneric:       "",
		shortStandard:      "MET",
		shortDaylight:      "MEST",
		standardOffset:     3600,
		daylightOffset:     7200,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+02:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "",
		lastDST:            2037,
	},
	"MST": &TzInfo{
		longGeneric:        "Mountain Time",
		longStandard:       "Mountain Standard Time",
		longDaylight:       "",
		shortGeneric:       "MT",
		shortStandard:      "MST",
		shortDaylight:      "",
		standardOffset:     -25200,
		daylightOffset:     0,
		standardOffsetHHMM: "-07:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "",
		lastDST:            0,
	},
	"MST7MDT": &TzInfo{
		longGeneric:        "Mountain Time",
		longStandard:       "Mountain Standard Time",
		longDaylight:       "Mountain Daylight Time",
		shortGeneric:       "MT",
		shortStandard:      "MST",
		shortDaylight:      "MDT",
		standardOffset:     -25200,
		daylightOffset:     -21600,
		standardOffsetHHMM: "-07:00",
		daylightOffsetHHMM: "-06:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "",
		lastDST:            2037,
	},
	"Mexico/BajaNorte": &TzInfo{
		longGeneric:        "Pacific Time",
		longStandard:       "Pacific Standard Time",
		longDaylight:       "Pacific Daylight Time",
		shortGeneric:       "PT",
		shortStandard:      "PST",
		shortDaylight:      "PDT",
		standardOffset:     -28800,
		daylightOffset:     -25200,
		standardOffsetHHMM: "-08:00",
		daylightOffsetHHMM: "-07:00",
		countryCode:        "MX",
		isDeprecated:       true,
		linkTo:             "America/Tijuana",
		lastDST:            2037,
	},
	"Mexico/BajaSur": &TzInfo{
		longGeneric:        "Mexican Pacific Time",
		longStandard:       "Mexican Pacific Standard Time",
		longDaylight:       "Mexican Pacific Daylight Time",
		shortGeneric:       "MT",
		shortStandard:      "MST",
		shortDaylight:      "MDT",
		standardOffset:     -25200,
		daylightOffset:     -21600,
		standardOffsetHHMM: "-07:00",
		daylightOffsetHHMM: "-06:00",
		countryCode:        "MX",
		isDeprecated:       true,
		linkTo:             "America/Mazatlan",
		lastDST:            2037,
	},
	"Mexico/General": &TzInfo{
		longGeneric:        "Central Time",
		longStandard:       "Central Standard Time",
		longDaylight:       "Central Daylight Time",
		shortGeneric:       "CT",
		shortStandard:      "CST",
		shortDaylight:      "CDT",
		standardOffset:     -21600,
		daylightOffset:     -18000,
		standardOffsetHHMM: "-06:00",
		daylightOffsetHHMM: "-05:00",
		countryCode:        "MX",
		isDeprecated:       true,
		linkTo:             "America/Mexico_City",
		lastDST:            2037,
	},
	"NZ": &TzInfo{
		longGeneric:        "New Zealand Time",
		longStandard:       "New Zealand Standard Time",
		longDaylight:       "New Zealand Daylight Time",
		shortGeneric:       "NZT",
		shortStandard:      "NZST",
		shortDaylight:      "NZDT",
		standardOffset:     43200,
		daylightOffset:     46800,
		standardOffsetHHMM: "+12:00",
		daylightOffsetHHMM: "+13:00",
		countryCode:        "NZ",
		isDeprecated:       true,
		linkTo:             "Pacific/Auckland",
		lastDST:            2038,
	},
	"NZ-CHAT": &TzInfo{
		longGeneric:        "Chatham Time",
		longStandard:       "Chatham Standard Time",
		longDaylight:       "Chatham Daylight Time",
		shortGeneric:       "CHAT",
		shortStandard:      "CHAST",
		shortDaylight:      "CHADT",
		standardOffset:     45900,
		daylightOffset:     49500,
		standardOffsetHHMM: "+12:45",
		daylightOffsetHHMM: "+13:45",
		countryCode:        "NZ",
		isDeprecated:       true,
		linkTo:             "Pacific/Chatham",
		lastDST:            2038,
	},
	"Navajo": &TzInfo{
		longGeneric:        "Mountain Time",
		longStandard:       "Mountain Standard Time",
		longDaylight:       "Mountain Daylight Time",
		shortGeneric:       "MT",
		shortStandard:      "MST",
		shortDaylight:      "MDT",
		standardOffset:     -25200,
		daylightOffset:     -21600,
		standardOffsetHHMM: "-07:00",
		daylightOffsetHHMM: "-06:00",
		countryCode:        "US",
		isDeprecated:       true,
		linkTo:             "America/Denver",
		lastDST:            2037,
	},
	"PRC": &TzInfo{
		longGeneric:        "China Time",
		longStandard:       "China Standard Time",
		longDaylight:       "China Daylight Time",
		shortGeneric:       "CT",
		shortStandard:      "CST",
		shortDaylight:      "CDT",
		standardOffset:     28800,
		daylightOffset:     32400,
		standardOffsetHHMM: "+08:00",
		daylightOffsetHHMM: "+09:00",
		countryCode:        "CN",
		isDeprecated:       true,
		linkTo:             "Asia/Shanghai",
		lastDST:            1991,
	},
	"PST8PDT": &TzInfo{
		longGeneric:        "Pacific Time",
		longStandard:       "Pacific Standard Time",
		longDaylight:       "Pacific Daylight Time",
		shortGeneric:       "PT",
		shortStandard:      "PST",
		shortDaylight:      "PDT",
		standardOffset:     -28800,
		daylightOffset:     -25200,
		standardOffsetHHMM: "-08:00",
		daylightOffsetHHMM: "-07:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "",
		lastDST:            2037,
	},
	"Pacific/Apia": &TzInfo{
		longGeneric:        "Apia Time",
		longStandard:       "Apia Standard Time",
		longDaylight:       "Apia Daylight Time",
		shortGeneric:       "WST",
		shortStandard:      "WST",
		shortDaylight:      "WSDT",
		standardOffset:     46800,
		daylightOffset:     50400,
		standardOffsetHHMM: "+13:00",
		daylightOffsetHHMM: "+14:00",
		countryCode:        "WS",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2038,
	},
	"Pacific/Auckland": &TzInfo{
		longGeneric:        "New Zealand Time",
		longStandard:       "New Zealand Standard Time",
		longDaylight:       "New Zealand Daylight Time",
		shortGeneric:       "NZT",
		shortStandard:      "NZST",
		shortDaylight:      "NZDT",
		standardOffset:     43200,
		daylightOffset:     46800,
		standardOffsetHHMM: "+12:00",
		daylightOffsetHHMM: "+13:00",
		countryCode:        "NZ",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2038,
	},
	"Pacific/Bougainville": &TzInfo{
		longGeneric:        "",
		longStandard:       "Bougainville Standard Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "BST",
		shortDaylight:      "",
		standardOffset:     39600,
		daylightOffset:     0,
		standardOffsetHHMM: "+11:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "PG",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Pacific/Chatham": &TzInfo{
		longGeneric:        "Chatham Time",
		longStandard:       "Chatham Standard Time",
		longDaylight:       "Chatham Daylight Time",
		shortGeneric:       "CHAT",
		shortStandard:      "CHAST",
		shortDaylight:      "CHADT",
		standardOffset:     45900,
		daylightOffset:     49500,
		standardOffsetHHMM: "+12:45",
		daylightOffsetHHMM: "+13:45",
		countryCode:        "NZ",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2038,
	},
	"Pacific/Chuuk": &TzInfo{
		longGeneric:        "",
		longStandard:       "Chuuk Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "CHUT",
		shortDaylight:      "",
		standardOffset:     36000,
		daylightOffset:     0,
		standardOffsetHHMM: "+10:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "FM",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Pacific/Easter": &TzInfo{
		longGeneric:        "Easter Island Time",
		longStandard:       "Easter Island Standard Time",
		longDaylight:       "Easter Island Summer Time",
		shortGeneric:       "EAST",
		shortStandard:      "EAST",
		shortDaylight:      "EASST",
		standardOffset:     -21600,
		daylightOffset:     -18000,
		standardOffsetHHMM: "-06:00",
		daylightOffsetHHMM: "-05:00",
		countryCode:        "CL",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2038,
	},
	"Pacific/Efate": &TzInfo{
		longGeneric:        "Vanuatu Time",
		longStandard:       "Vanuatu Standard Time",
		longDaylight:       "Vanuatu Summer Time",
		shortGeneric:       "VUT",
		shortStandard:      "VUT",
		shortDaylight:      "VUST",
		standardOffset:     39600,
		daylightOffset:     43200,
		standardOffsetHHMM: "+11:00",
		daylightOffsetHHMM: "+12:00",
		countryCode:        "VU",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1993,
	},
	"Pacific/Enderbury": &TzInfo{
		longGeneric:        "",
		longStandard:       "Phoenix Islands Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "PHOT",
		shortDaylight:      "",
		standardOffset:     46800,
		daylightOffset:     0,
		standardOffsetHHMM: "+13:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "KI",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Pacific/Fakaofo": &TzInfo{
		longGeneric:        "",
		longStandard:       "Tokelau Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "TKT",
		shortDaylight:      "",
		standardOffset:     46800,
		daylightOffset:     0,
		standardOffsetHHMM: "+13:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "TK",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Pacific/Fiji": &TzInfo{
		longGeneric:        "Fiji Time",
		longStandard:       "Fiji Standard Time",
		longDaylight:       "Fiji Summer Time",
		shortGeneric:       "FJT",
		shortStandard:      "FJT",
		shortDaylight:      "FJST",
		standardOffset:     43200,
		daylightOffset:     46800,
		standardOffsetHHMM: "+12:00",
		daylightOffsetHHMM: "+13:00",
		countryCode:        "FJ",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2038,
	},
	"Pacific/Funafuti": &TzInfo{
		longGeneric:        "",
		longStandard:       "Tuvalu Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "TVT",
		shortDaylight:      "",
		standardOffset:     43200,
		daylightOffset:     0,
		standardOffsetHHMM: "+12:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "TV",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Pacific/Galapagos": &TzInfo{
		longGeneric:        "",
		longStandard:       "Galapagos Time",
		longDaylight:       "Easter Island Summer Time",
		shortGeneric:       "",
		shortStandard:      "GALT",
		shortDaylight:      "EASST",
		standardOffset:     -21600,
		daylightOffset:     -18000,
		standardOffsetHHMM: "-06:00",
		daylightOffsetHHMM: "-05:00",
		countryCode:        "EC",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1993,
	},
	"Pacific/Gambier": &TzInfo{
		longGeneric:        "",
		longStandard:       "Gambier Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GAMT",
		shortDaylight:      "",
		standardOffset:     -32400,
		daylightOffset:     0,
		standardOffsetHHMM: "-09:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "PF",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Pacific/Guadalcanal": &TzInfo{
		longGeneric:        "",
		longStandard:       "Solomon Islands Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "SBT",
		shortDaylight:      "",
		standardOffset:     39600,
		daylightOffset:     0,
		standardOffsetHHMM: "+11:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "SB",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Pacific/Guam": &TzInfo{
		longGeneric:        "",
		longStandard:       "Chamorro Standard Time",
		longDaylight:       "Guam Daylight Time",
		shortGeneric:       "",
		shortStandard:      "ChST",
		shortDaylight:      "GDT",
		standardOffset:     36000,
		daylightOffset:     39600,
		standardOffsetHHMM: "+10:00",
		daylightOffsetHHMM: "+11:00",
		countryCode:        "GU",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1977,
	},
	"Pacific/Honolulu": &TzInfo{
		longGeneric:        "Hawaii-Aleutian Time",
		longStandard:       "Hawaii-Aleutian Standard Time",
		longDaylight:       "Hawaii-Aleutian Daylight Time",
		shortGeneric:       "HAT",
		shortStandard:      "HAST",
		shortDaylight:      "HADT",
		standardOffset:     -36000,
		daylightOffset:     -34200,
		standardOffsetHHMM: "-10:00",
		daylightOffsetHHMM: "-09:30",
		countryCode:        "US",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1945,
	},
	"Pacific/Johnston": &TzInfo{
		longGeneric:        "Hawaii-Aleutian Time",
		longStandard:       "Hawaii-Aleutian Standard Time",
		longDaylight:       "Hawaii-Aleutian Daylight Time",
		shortGeneric:       "HAT",
		shortStandard:      "HAST",
		shortDaylight:      "HADT",
		standardOffset:     -36000,
		daylightOffset:     -34200,
		standardOffsetHHMM: "-10:00",
		daylightOffsetHHMM: "-09:30",
		countryCode:        "US",
		isDeprecated:       true,
		linkTo:             "Pacific/Honolulu",
		lastDST:            1945,
	},
	"Pacific/Kiritimati": &TzInfo{
		longGeneric:        "",
		longStandard:       "Line Islands Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "LINT",
		shortDaylight:      "",
		standardOffset:     50400,
		daylightOffset:     0,
		standardOffsetHHMM: "+14:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "KI",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Pacific/Kosrae": &TzInfo{
		longGeneric:        "",
		longStandard:       "Kosrae Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "KOST",
		shortDaylight:      "",
		standardOffset:     39600,
		daylightOffset:     0,
		standardOffsetHHMM: "+11:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "FM",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Pacific/Kwajalein": &TzInfo{
		longGeneric:        "",
		longStandard:       "Marshall Islands Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "MHT",
		shortDaylight:      "",
		standardOffset:     43200,
		daylightOffset:     0,
		standardOffsetHHMM: "+12:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "MH",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Pacific/Majuro": &TzInfo{
		longGeneric:        "",
		longStandard:       "Marshall Islands Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "MHT",
		shortDaylight:      "",
		standardOffset:     43200,
		daylightOffset:     0,
		standardOffsetHHMM: "+12:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "MH",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Pacific/Marquesas": &TzInfo{
		longGeneric:        "",
		longStandard:       "Marquesas Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "MART",
		shortDaylight:      "",
		standardOffset:     -34200,
		daylightOffset:     0,
		standardOffsetHHMM: "-09:30",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "PF",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Pacific/Midway": &TzInfo{
		longGeneric:        "Samoa Time",
		longStandard:       "Samoa Standard Time",
		longDaylight:       "",
		shortGeneric:       "SST",
		shortStandard:      "SST",
		shortDaylight:      "",
		standardOffset:     -39600,
		daylightOffset:     0,
		standardOffsetHHMM: "-11:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "UM",
		isDeprecated:       false,
		linkTo:             "Pacific/Pago_Pago",
		lastDST:            0,
	},
	"Pacific/Nauru": &TzInfo{
		longGeneric:        "",
		longStandard:       "Nauru Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "NRT",
		shortDaylight:      "",
		standardOffset:     43200,
		daylightOffset:     0,
		standardOffsetHHMM: "+12:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "NR",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Pacific/Niue": &TzInfo{
		longGeneric:        "",
		longStandard:       "Niue Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "NUT",
		shortDaylight:      "",
		standardOffset:     -39600,
		daylightOffset:     0,
		standardOffsetHHMM: "-11:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "NU",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Pacific/Norfolk": &TzInfo{
		longGeneric:        "Norfolk Island Time",
		longStandard:       "Norfolk Island Standard Time",
		longDaylight:       "Norfolk Island Daylight Time",
		shortGeneric:       "NFT",
		shortStandard:      "NFT",
		shortDaylight:      "NFDT",
		standardOffset:     39600,
		daylightOffset:     43200,
		standardOffsetHHMM: "+11:00",
		daylightOffsetHHMM: "+12:00",
		countryCode:        "NF",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2038,
	},
	"Pacific/Noumea": &TzInfo{
		longGeneric:        "New Caledonia Time",
		longStandard:       "New Caledonia Standard Time",
		longDaylight:       "New Caledonia Summer Time",
		shortGeneric:       "NCT",
		shortStandard:      "NCT",
		shortDaylight:      "NCST",
		standardOffset:     39600,
		daylightOffset:     43200,
		standardOffsetHHMM: "+11:00",
		daylightOffsetHHMM: "+12:00",
		countryCode:        "NC",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1997,
	},
	"Pacific/Pago_Pago": &TzInfo{
		longGeneric:        "Samoa Time",
		longStandard:       "Samoa Standard Time",
		longDaylight:       "",
		shortGeneric:       "SST",
		shortStandard:      "SST",
		shortDaylight:      "",
		standardOffset:     -39600,
		daylightOffset:     0,
		standardOffsetHHMM: "-11:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "AS",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Pacific/Palau": &TzInfo{
		longGeneric:        "",
		longStandard:       "Palau Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "PWT",
		shortDaylight:      "",
		standardOffset:     32400,
		daylightOffset:     0,
		standardOffsetHHMM: "+09:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "PW",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Pacific/Pitcairn": &TzInfo{
		longGeneric:        "",
		longStandard:       "Pitcairn Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "PST",
		shortDaylight:      "",
		standardOffset:     -28800,
		daylightOffset:     0,
		standardOffsetHHMM: "-08:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "PN",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Pacific/Pohnpei": &TzInfo{
		longGeneric:        "",
		longStandard:       "Ponape Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "PONT",
		shortDaylight:      "",
		standardOffset:     39600,
		daylightOffset:     0,
		standardOffsetHHMM: "+11:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "FM",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Pacific/Ponape": &TzInfo{
		longGeneric:        "",
		longStandard:       "Ponape Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "PONT",
		shortDaylight:      "",
		standardOffset:     39600,
		daylightOffset:     0,
		standardOffsetHHMM: "+11:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "FM",
		isDeprecated:       true,
		linkTo:             "Pacific/Pohnpei",
		lastDST:            0,
	},
	"Pacific/Port_Moresby": &TzInfo{
		longGeneric:        "",
		longStandard:       "Papua New Guinea Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "PGT",
		shortDaylight:      "",
		standardOffset:     36000,
		daylightOffset:     0,
		standardOffsetHHMM: "+10:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "PG",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Pacific/Rarotonga": &TzInfo{
		longGeneric:        "Cook Islands Time",
		longStandard:       "Cook Islands Standard Time",
		longDaylight:       "Cook Islands Half Summer Time",
		shortGeneric:       "CKT",
		shortStandard:      "CKT",
		shortDaylight:      "CKHST",
		standardOffset:     -36000,
		daylightOffset:     -34200,
		standardOffsetHHMM: "-10:00",
		daylightOffsetHHMM: "-09:30",
		countryCode:        "CK",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            1991,
	},
	"Pacific/Saipan": &TzInfo{
		longGeneric:        "",
		longStandard:       "Chamorro Standard Time",
		longDaylight:       "Guam Daylight Time",
		shortGeneric:       "",
		shortStandard:      "ChST",
		shortDaylight:      "GDT",
		standardOffset:     36000,
		daylightOffset:     39600,
		standardOffsetHHMM: "+10:00",
		daylightOffsetHHMM: "+11:00",
		countryCode:        "MP",
		isDeprecated:       false,
		linkTo:             "Pacific/Guam",
		lastDST:            1977,
	},
	"Pacific/Samoa": &TzInfo{
		longGeneric:        "Samoa Time",
		longStandard:       "Samoa Standard Time",
		longDaylight:       "",
		shortGeneric:       "SST",
		shortStandard:      "SST",
		shortDaylight:      "",
		standardOffset:     -39600,
		daylightOffset:     0,
		standardOffsetHHMM: "-11:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "AS",
		isDeprecated:       true,
		linkTo:             "Pacific/Pago_Pago",
		lastDST:            0,
	},
	"Pacific/Tahiti": &TzInfo{
		longGeneric:        "",
		longStandard:       "Tahiti Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "TAHT",
		shortDaylight:      "",
		standardOffset:     -36000,
		daylightOffset:     0,
		standardOffsetHHMM: "-10:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "PF",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Pacific/Tarawa": &TzInfo{
		longGeneric:        "",
		longStandard:       "Gilbert Islands Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "GILT",
		shortDaylight:      "",
		standardOffset:     43200,
		daylightOffset:     0,
		standardOffsetHHMM: "+12:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "KI",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Pacific/Tongatapu": &TzInfo{
		longGeneric:        "Tonga Time",
		longStandard:       "Tonga Standard Time",
		longDaylight:       "Tonga Summer Time",
		shortGeneric:       "TOT",
		shortStandard:      "TOT",
		shortDaylight:      "TOST",
		standardOffset:     46800,
		daylightOffset:     50400,
		standardOffsetHHMM: "+13:00",
		daylightOffsetHHMM: "+14:00",
		countryCode:        "TO",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            2017,
	},
	"Pacific/Truk": &TzInfo{
		longGeneric:        "",
		longStandard:       "Chuuk Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "CHUT",
		shortDaylight:      "",
		standardOffset:     36000,
		daylightOffset:     0,
		standardOffsetHHMM: "+10:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "FM",
		isDeprecated:       true,
		linkTo:             "Pacific/Chuuk",
		lastDST:            0,
	},
	"Pacific/Wake": &TzInfo{
		longGeneric:        "",
		longStandard:       "Wake Island Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "WAKT",
		shortDaylight:      "",
		standardOffset:     43200,
		daylightOffset:     0,
		standardOffsetHHMM: "+12:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "UM",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Pacific/Wallis": &TzInfo{
		longGeneric:        "",
		longStandard:       "Wallis & Futuna Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "WFT",
		shortDaylight:      "",
		standardOffset:     43200,
		daylightOffset:     0,
		standardOffsetHHMM: "+12:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "WF",
		isDeprecated:       false,
		linkTo:             "",
		lastDST:            0,
	},
	"Pacific/Yap": &TzInfo{
		longGeneric:        "",
		longStandard:       "Chuuk Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "CHUT",
		shortDaylight:      "",
		standardOffset:     36000,
		daylightOffset:     0,
		standardOffsetHHMM: "+10:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "FM",
		isDeprecated:       true,
		linkTo:             "Pacific/Chuuk",
		lastDST:            0,
	},
	"Poland": &TzInfo{
		longGeneric:        "Central European Time",
		longStandard:       "Central European Standard Time",
		longDaylight:       "Central European Summer Time",
		shortGeneric:       "CET",
		shortStandard:      "CET",
		shortDaylight:      "CEST",
		standardOffset:     3600,
		daylightOffset:     7200,
		standardOffsetHHMM: "+01:00",
		daylightOffsetHHMM: "+02:00",
		countryCode:        "PL",
		isDeprecated:       true,
		linkTo:             "Europe/Warsaw",
		lastDST:            2037,
	},
	"Portugal": &TzInfo{
		longGeneric:        "Western European Time",
		longStandard:       "Western European Standard Time",
		longDaylight:       "Western European Summer Time",
		shortGeneric:       "WET",
		shortStandard:      "WET",
		shortDaylight:      "WEST",
		standardOffset:     0,
		daylightOffset:     3600,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+01:00",
		countryCode:        "PT",
		isDeprecated:       true,
		linkTo:             "Europe/Lisbon",
		lastDST:            2037,
	},
	"ROC": &TzInfo{
		longGeneric:        "Taipei Time",
		longStandard:       "Taipei Standard Time",
		longDaylight:       "Taipei Daylight Time",
		shortGeneric:       "CT",
		shortStandard:      "CST",
		shortDaylight:      "CDT",
		standardOffset:     28800,
		daylightOffset:     32400,
		standardOffsetHHMM: "+08:00",
		daylightOffsetHHMM: "+09:00",
		countryCode:        "TW",
		isDeprecated:       true,
		linkTo:             "Asia/Taipei",
		lastDST:            1979,
	},
	"ROK": &TzInfo{
		longGeneric:        "Korean Time",
		longStandard:       "Korean Standard Time",
		longDaylight:       "Korean Daylight Time",
		shortGeneric:       "KT",
		shortStandard:      "KST",
		shortDaylight:      "KDT",
		standardOffset:     32400,
		daylightOffset:     36000,
		standardOffsetHHMM: "+09:00",
		daylightOffsetHHMM: "+10:00",
		countryCode:        "KR",
		isDeprecated:       true,
		linkTo:             "Asia/Seoul",
		lastDST:            1988,
	},
	"Singapore": &TzInfo{
		longGeneric:        "",
		longStandard:       "Singapore Standard Time",
		longDaylight:       "Malaya Summer Time",
		shortGeneric:       "",
		shortStandard:      "SGT",
		shortDaylight:      "MALST",
		standardOffset:     28800,
		daylightOffset:     26400,
		standardOffsetHHMM: "+08:00",
		daylightOffsetHHMM: "+07:20",
		countryCode:        "SG",
		isDeprecated:       true,
		linkTo:             "Asia/Singapore",
		lastDST:            1935,
	},
	"Turkey": &TzInfo{
		longGeneric:        "",
		longStandard:       "Turkey Time",
		longDaylight:       "Turkey Summer Time",
		shortGeneric:       "",
		shortStandard:      "TRT",
		shortDaylight:      "TRST",
		standardOffset:     10800,
		daylightOffset:     10800,
		standardOffsetHHMM: "+03:00",
		daylightOffsetHHMM: "+03:00",
		countryCode:        "TR",
		isDeprecated:       true,
		linkTo:             "Europe/Istanbul",
		lastDST:            2016,
	},
	"UCT": &TzInfo{
		longGeneric:        "",
		longStandard:       "Coordinated Universal Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "UTC",
		shortDaylight:      "",
		standardOffset:     0,
		daylightOffset:     0,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "Etc/UTC",
		lastDST:            0,
	},
	"US/Alaska": &TzInfo{
		longGeneric:        "Alaska Time",
		longStandard:       "Alaska Standard Time",
		longDaylight:       "Alaska Daylight Time",
		shortGeneric:       "AKT",
		shortStandard:      "AKST",
		shortDaylight:      "AKDT",
		standardOffset:     -32400,
		daylightOffset:     -28800,
		standardOffsetHHMM: "-09:00",
		daylightOffsetHHMM: "-08:00",
		countryCode:        "US",
		isDeprecated:       true,
		linkTo:             "America/Anchorage",
		lastDST:            2037,
	},
	"US/Aleutian": &TzInfo{
		longGeneric:        "Hawaii-Aleutian Time",
		longStandard:       "Hawaii-Aleutian Standard Time",
		longDaylight:       "Hawaii-Aleutian Daylight Time",
		shortGeneric:       "HAT",
		shortStandard:      "HAST",
		shortDaylight:      "HADT",
		standardOffset:     -36000,
		daylightOffset:     -32400,
		standardOffsetHHMM: "-10:00",
		daylightOffsetHHMM: "-09:00",
		countryCode:        "US",
		isDeprecated:       true,
		linkTo:             "America/Adak",
		lastDST:            2037,
	},
	"US/Arizona": &TzInfo{
		longGeneric:        "Mountain Time",
		longStandard:       "Mountain Standard Time",
		longDaylight:       "Mountain Daylight Time",
		shortGeneric:       "MT",
		shortStandard:      "MST",
		shortDaylight:      "MDT",
		standardOffset:     -25200,
		daylightOffset:     -21600,
		standardOffsetHHMM: "-07:00",
		daylightOffsetHHMM: "-06:00",
		countryCode:        "US",
		isDeprecated:       true,
		linkTo:             "America/Phoenix",
		lastDST:            1967,
	},
	"US/Central": &TzInfo{
		longGeneric:        "Central Time",
		longStandard:       "Central Standard Time",
		longDaylight:       "Central Daylight Time",
		shortGeneric:       "CT",
		shortStandard:      "CST",
		shortDaylight:      "CDT",
		standardOffset:     -21600,
		daylightOffset:     -18000,
		standardOffsetHHMM: "-06:00",
		daylightOffsetHHMM: "-05:00",
		countryCode:        "US",
		isDeprecated:       true,
		linkTo:             "America/Chicago",
		lastDST:            2037,
	},
	"US/East-Indiana": &TzInfo{
		longGeneric:        "Eastern Time",
		longStandard:       "Eastern Standard Time",
		longDaylight:       "Eastern Daylight Time",
		shortGeneric:       "ET",
		shortStandard:      "EST",
		shortDaylight:      "EDT",
		standardOffset:     -18000,
		daylightOffset:     -14400,
		standardOffsetHHMM: "-05:00",
		daylightOffsetHHMM: "-04:00",
		countryCode:        "US",
		isDeprecated:       true,
		linkTo:             "America/Indiana/Indianapolis",
		lastDST:            2037,
	},
	"US/Eastern": &TzInfo{
		longGeneric:        "Eastern Time",
		longStandard:       "Eastern Standard Time",
		longDaylight:       "Eastern Daylight Time",
		shortGeneric:       "ET",
		shortStandard:      "EST",
		shortDaylight:      "EDT",
		standardOffset:     -18000,
		daylightOffset:     -14400,
		standardOffsetHHMM: "-05:00",
		daylightOffsetHHMM: "-04:00",
		countryCode:        "US",
		isDeprecated:       true,
		linkTo:             "America/New_York",
		lastDST:            2037,
	},
	"US/Hawaii": &TzInfo{
		longGeneric:        "Hawaii-Aleutian Time",
		longStandard:       "Hawaii-Aleutian Standard Time",
		longDaylight:       "Hawaii-Aleutian Daylight Time",
		shortGeneric:       "HAT",
		shortStandard:      "HAST",
		shortDaylight:      "HADT",
		standardOffset:     -36000,
		daylightOffset:     -34200,
		standardOffsetHHMM: "-10:00",
		daylightOffsetHHMM: "-09:30",
		countryCode:        "US",
		isDeprecated:       true,
		linkTo:             "Pacific/Honolulu",
		lastDST:            1945,
	},
	"US/Indiana-Starke": &TzInfo{
		longGeneric:        "Central Time",
		longStandard:       "Central Standard Time",
		longDaylight:       "Central Daylight Time",
		shortGeneric:       "CT",
		shortStandard:      "CST",
		shortDaylight:      "CDT",
		standardOffset:     -21600,
		daylightOffset:     -18000,
		standardOffsetHHMM: "-06:00",
		daylightOffsetHHMM: "-05:00",
		countryCode:        "US",
		isDeprecated:       true,
		linkTo:             "America/Indiana/Knox",
		lastDST:            2037,
	},
	"US/Michigan": &TzInfo{
		longGeneric:        "Eastern Time",
		longStandard:       "Eastern Standard Time",
		longDaylight:       "Eastern Daylight Time",
		shortGeneric:       "ET",
		shortStandard:      "EST",
		shortDaylight:      "EDT",
		standardOffset:     -18000,
		daylightOffset:     -14400,
		standardOffsetHHMM: "-05:00",
		daylightOffsetHHMM: "-04:00",
		countryCode:        "US",
		isDeprecated:       true,
		linkTo:             "America/Detroit",
		lastDST:            2037,
	},
	"US/Mountain": &TzInfo{
		longGeneric:        "Mountain Time",
		longStandard:       "Mountain Standard Time",
		longDaylight:       "Mountain Daylight Time",
		shortGeneric:       "MT",
		shortStandard:      "MST",
		shortDaylight:      "MDT",
		standardOffset:     -25200,
		daylightOffset:     -21600,
		standardOffsetHHMM: "-07:00",
		daylightOffsetHHMM: "-06:00",
		countryCode:        "US",
		isDeprecated:       true,
		linkTo:             "America/Denver",
		lastDST:            2037,
	},
	"US/Pacific": &TzInfo{
		longGeneric:        "Pacific Time",
		longStandard:       "Pacific Standard Time",
		longDaylight:       "Pacific Daylight Time",
		shortGeneric:       "PT",
		shortStandard:      "PST",
		shortDaylight:      "PDT",
		standardOffset:     -28800,
		daylightOffset:     -25200,
		standardOffsetHHMM: "-08:00",
		daylightOffsetHHMM: "-07:00",
		countryCode:        "US",
		isDeprecated:       true,
		linkTo:             "America/Los_Angeles",
		lastDST:            2037,
	},
	"US/Samoa": &TzInfo{
		longGeneric:        "Samoa Time",
		longStandard:       "Samoa Standard Time",
		longDaylight:       "",
		shortGeneric:       "SST",
		shortStandard:      "SST",
		shortDaylight:      "",
		standardOffset:     -39600,
		daylightOffset:     0,
		standardOffsetHHMM: "-11:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "AS",
		isDeprecated:       true,
		linkTo:             "Pacific/Pago_Pago",
		lastDST:            0,
	},
	"UTC": &TzInfo{
		longGeneric:        "",
		longStandard:       "Coordinated Universal Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "UTC",
		shortDaylight:      "",
		standardOffset:     0,
		daylightOffset:     0,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "Etc/UTC",
		lastDST:            0,
	},
	"Universal": &TzInfo{
		longGeneric:        "",
		longStandard:       "Coordinated Universal Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "UTC",
		shortDaylight:      "",
		standardOffset:     0,
		daylightOffset:     0,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "Etc/UTC",
		lastDST:            0,
	},
	"W-SU": &TzInfo{
		longGeneric:        "Moscow Time",
		longStandard:       "Moscow Standard Time",
		longDaylight:       "Moscow Summer Time",
		shortGeneric:       "MSK",
		shortStandard:      "MSK",
		shortDaylight:      "MSD",
		standardOffset:     10800,
		daylightOffset:     14400,
		standardOffsetHHMM: "+03:00",
		daylightOffsetHHMM: "+04:00",
		countryCode:        "RU",
		isDeprecated:       true,
		linkTo:             "Europe/Moscow",
		lastDST:            2010,
	},
	"WET": &TzInfo{
		longGeneric:        "",
		longStandard:       "Western European Standard Time",
		longDaylight:       "Western European Summer Time",
		shortGeneric:       "",
		shortStandard:      "WET",
		shortDaylight:      "WEST",
		standardOffset:     0,
		daylightOffset:     3600,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+01:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "",
		lastDST:            2037,
	},
	"Zulu": &TzInfo{
		longGeneric:        "",
		longStandard:       "Coordinated Universal Time",
		longDaylight:       "",
		shortGeneric:       "",
		shortStandard:      "UTC",
		shortDaylight:      "",
		standardOffset:     0,
		daylightOffset:     0,
		standardOffsetHHMM: "+00:00",
		daylightOffsetHHMM: "+00:00",
		countryCode:        "",
		isDeprecated:       true,
		linkTo:             "Etc/UTC",
		lastDST:            0,
	},
}
